# Change Log

## [v0.5.0-rc.0](https://github.com/kubeflow/kubeflow/tree/v0.5.0-rc.0) (2019-03-28)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.1-rc.4...v0.5.0-rc.0)

**Fixed bugs:**

- kfctl apply failed for invalid spec.version when installing CRD tfjobs.kubeflow.org [\#2634](https://github.com/kubeflow/kubeflow/issues/2634)
- Wrong service account is used if a project ID has a prefix for its org [\#2244](https://github.com/kubeflow/kubeflow/issues/2244)
- PytorchJob & operator not installed by kfctl in for non GCP platforms in 0.4 [\#2212](https://github.com/kubeflow/kubeflow/issues/2212)
- kfctl.sh fails if a user isn't explicitly added to the IAM policy [\#2186](https://github.com/kubeflow/kubeflow/issues/2186)

**Closed issues:**

- kfctl attribute deleteStorage is appearing in app.yaml when platform is not gcp [\#2826](https://github.com/kubeflow/kubeflow/issues/2826)
- kfctl delete fails when no platform or minikube is specified [\#2809](https://github.com/kubeflow/kubeflow/issues/2809)
- kfctl generate fails "jupyter" is not a component or a module [\#2796](https://github.com/kubeflow/kubeflow/issues/2796)
- kfctl apply fails to create k8s resources; tries to deploy to 127.0.0.1 [\#2791](https://github.com/kubeflow/kubeflow/issues/2791)
- ipName and zone are being written to app.yaml even when no platform is specified [\#2773](https://github.com/kubeflow/kubeflow/issues/2773)
- kfctl Incorrect ksonnet OptionServer is specified when no platform is provided  [\#2761](https://github.com/kubeflow/kubeflow/issues/2761)
- kfctl apply should fail early if no client id/secret environment variable [\#2752](https://github.com/kubeflow/kubeflow/issues/2752)
- \[kfctl\] Finish kfctl delete [\#2750](https://github.com/kubeflow/kubeflow/issues/2750)
- kfctl presubmit test failure [\#2725](https://github.com/kubeflow/kubeflow/issues/2725)
- Jupyter resource should indicate when notebook is running [\#2723](https://github.com/kubeflow/kubeflow/issues/2723)
- kfctl apply fails trying to deploy to 127.0.0.1 [\#2722](https://github.com/kubeflow/kubeflow/issues/2722)
- make build-kfctl is failed during test [\#2715](https://github.com/kubeflow/kubeflow/issues/2715)
- kfctl needs to support passing swagger spec to ks init from file [\#2709](https://github.com/kubeflow/kubeflow/issues/2709)
- kfctl creates invalid IAM policy binding file if email not set [\#2707](https://github.com/kubeflow/kubeflow/issues/2707)
- kfctl tries to call ks init even on ks generate platform [\#2706](https://github.com/kubeflow/kubeflow/issues/2706)
- \[kfctl\] ipName and hostname doesn't set on basic-auth-ingress [\#2701](https://github.com/kubeflow/kubeflow/issues/2701)
- kfctl go doesn't exit with non-zero exit code on failure [\#2699](https://github.com/kubeflow/kubeflow/issues/2699)
- "make build" under "bootstrap" module fails due to some go modules missing under /tmp inside Docker. [\#2696](https://github.com/kubeflow/kubeflow/issues/2696)
- spark-operator test is flaky [\#2693](https://github.com/kubeflow/kubeflow/issues/2693)
- kfctl config issue [\#2691](https://github.com/kubeflow/kubeflow/issues/2691)
- tf-operator Docker image based on Cent OS image with a security flaw [\#2688](https://github.com/kubeflow/kubeflow/issues/2688)
- \[Dashboard v1\] Hide Central Dashboard sidebar when viewing iframe pages [\#2678](https://github.com/kubeflow/kubeflow/issues/2678)
- Store Azure Secrets during setup [\#2675](https://github.com/kubeflow/kubeflow/issues/2675)
- kfctl could not generate kfApp no hostname [\#2670](https://github.com/kubeflow/kubeflow/issues/2670)
- kfctl doesn't create secret with username and password for basic auth [\#2661](https://github.com/kubeflow/kubeflow/issues/2661)
- kfctl Not actually setting GCP IAM roles [\#2659](https://github.com/kubeflow/kubeflow/issues/2659)
- kfctl apply requires oauth client id and secret even if using basic auth [\#2658](https://github.com/kubeflow/kubeflow/issues/2658)
- kfctl generate won't succeed if first attempt failed [\#2657](https://github.com/kubeflow/kubeflow/issues/2657)
- kfctl generated yaml fails validation [\#2653](https://github.com/kubeflow/kubeflow/issues/2653)
- Central Dashboard Label is spelled incorrectly [\#2652](https://github.com/kubeflow/kubeflow/issues/2652)
- Error in application component [\#2642](https://github.com/kubeflow/kubeflow/issues/2642)
- Inject common config into Jupyter Pods [\#2641](https://github.com/kubeflow/kubeflow/issues/2641)
- kfctl - provide option \(default\) to statically link ksonnet and kustomize into kfctl [\#2635](https://github.com/kubeflow/kubeflow/issues/2635)
- kfctl apply failed [\#2622](https://github.com/kubeflow/kubeflow/issues/2622)
- \[1-click deploy\] propagate PD name to ks app via ks param set [\#2617](https://github.com/kubeflow/kubeflow/issues/2617)
- \[Dashboard v1\] Add endpoint to central dashboard server to surface events [\#2615](https://github.com/kubeflow/kubeflow/issues/2615)
- \[Dashboard v1\] Support deep-links [\#2614](https://github.com/kubeflow/kubeflow/issues/2614)
-  Central Dashboard - Rename "JupyterHub" to "Notebooks" [\#2612](https://github.com/kubeflow/kubeflow/issues/2612)
- \[GCP\] kfctl iap setup permissions error [\#2605](https://github.com/kubeflow/kubeflow/issues/2605)
- \[GCP\] kfctl create named context and set namespace [\#2604](https://github.com/kubeflow/kubeflow/issues/2604)
- User inside Notebook is root and not jovyan [\#2602](https://github.com/kubeflow/kubeflow/issues/2602)
- Set the base\_url flag in Jupyter Pod [\#2595](https://github.com/kubeflow/kubeflow/issues/2595)
- jupyter turn off token authentication [\#2593](https://github.com/kubeflow/kubeflow/issues/2593)
- Ambassador routes for new jupyter notebooks don't work [\#2590](https://github.com/kubeflow/kubeflow/issues/2590)
- Central dashboard doesn't render; lots of 404s [\#2582](https://github.com/kubeflow/kubeflow/issues/2582)
- \[click-to-deploy app\] Load test with multiple projects  [\#2580](https://github.com/kubeflow/kubeflow/issues/2580)
- Automate image builds of Jupyter UI [\#2578](https://github.com/kubeflow/kubeflow/issues/2578)
- Multi user for Jupyterhub [\#2577](https://github.com/kubeflow/kubeflow/issues/2577)
- presubmit error: ImportError: cannot import name tf\_job\_client [\#2574](https://github.com/kubeflow/kubeflow/issues/2574)
- \[question\] driver support for cuda 10? [\#2573](https://github.com/kubeflow/kubeflow/issues/2573)
- clean up role binding after presubmit tests. [\#2570](https://github.com/kubeflow/kubeflow/issues/2570)
- How can I work around "cannot create directory ‘/home/jovyan/work’: Permission denied" [\#2567](https://github.com/kubeflow/kubeflow/issues/2567)
- \[Dashboard v1\] Getting started card on has no content [\#2562](https://github.com/kubeflow/kubeflow/issues/2562)
- Move ksonnet, kustomize implementations out of KfApps.Children [\#2561](https://github.com/kubeflow/kubeflow/issues/2561)
- kfctl: Add a show subcommand  [\#2560](https://github.com/kubeflow/kubeflow/issues/2560)
- Create a new repo for kustomize packages [\#2559](https://github.com/kubeflow/kubeflow/issues/2559)
- Update TFDV and TFMA versions in Jupyter images [\#2551](https://github.com/kubeflow/kubeflow/issues/2551)
- Create secret in istio namespace when using istio [\#2549](https://github.com/kubeflow/kubeflow/issues/2549)
- kfctl \(golang\) move creation of test directories to subdirs under bootstrap [\#2537](https://github.com/kubeflow/kubeflow/issues/2537)
- kfctl \(golang\) Simplify the child/parent relationships in platforms [\#2536](https://github.com/kubeflow/kubeflow/issues/2536)
- kfctl \(golang\) Remove hard dependency on GOOGLE\_APPLICATION\_CREDENTIALS [\#2535](https://github.com/kubeflow/kubeflow/issues/2535)
- openshift 3.11 routes ok, but stylesheets and fonts from Web [\#2524](https://github.com/kubeflow/kubeflow/issues/2524)
- Stop hosting mongo in gcr.io/kubeflow-images-public/mongo:3.4 [\#2520](https://github.com/kubeflow/kubeflow/issues/2520)
- kfctl, replace regex edits with yaml modifications of individual fields [\#2515](https://github.com/kubeflow/kubeflow/issues/2515)
- add additional config files to kfctl for iap, basic\_auth, default components [\#2514](https://github.com/kubeflow/kubeflow/issues/2514)
- vizier-db and vizier-core cannot running [\#2513](https://github.com/kubeflow/kubeflow/issues/2513)
- \[Dashboard v1\] Rewrite the backend for Central-Dashboard to Node.JS [\#2512](https://github.com/kubeflow/kubeflow/issues/2512)
- Stop deploying JupyterHub [\#2498](https://github.com/kubeflow/kubeflow/issues/2498)
- Update the central dashboard to redirect to the new jupyter web-app [\#2497](https://github.com/kubeflow/kubeflow/issues/2497)
- kfctl go binary should have an option to skip initi project [\#2491](https://github.com/kubeflow/kubeflow/issues/2491)
- bootstrap period test failure [\#2489](https://github.com/kubeflow/kubeflow/issues/2489)
- The CustomResourceDefinition "scheduledworkflows.kubeflow.org" is invalid [\#2487](https://github.com/kubeflow/kubeflow/issues/2487)
- Calling `os.makedirs` fails even after we have check for directory existence. [\#2484](https://github.com/kubeflow/kubeflow/issues/2484)
- Add Jupyter WebApp to kfctl [\#2481](https://github.com/kubeflow/kubeflow/issues/2481)
- Cloud NFS PVC needs to specify volumeName with k8s 1.11 [\#2475](https://github.com/kubeflow/kubeflow/issues/2475)
- kfctl: support deploy with basic auth [\#2472](https://github.com/kubeflow/kubeflow/issues/2472)
- Provide a list of required docs for the documentation card on the new landing page [\#2468](https://github.com/kubeflow/kubeflow/issues/2468)
- Upgrade to go 1.12, remove 'static', 'plugins' macros in kfctl \(golang\)  [\#2460](https://github.com/kubeflow/kubeflow/issues/2460)
- Change jupyter images to work with the new jupyter CR [\#2458](https://github.com/kubeflow/kubeflow/issues/2458)
- Issues with the current Go notebook controller [\#2456](https://github.com/kubeflow/kubeflow/issues/2456)
- Update Python scripts based on ".style.yapf" config. [\#2448](https://github.com/kubeflow/kubeflow/issues/2448)
- Failed to resolve server nfs-server.kubeflow.svc.cluster.local: Name or service not known for pipelines [\#2443](https://github.com/kubeflow/kubeflow/issues/2443)
- jupyter spawns pod outside of it's namespace [\#2436](https://github.com/kubeflow/kubeflow/issues/2436)
- under bootstrap document the golang version required [\#2430](https://github.com/kubeflow/kubeflow/issues/2430)
- Error creating Profile CR: status.observedGeneration in body must be of type int64 [\#2423](https://github.com/kubeflow/kubeflow/issues/2423)
- add docker-for-desktop platform to kfctl \(golang\) [\#2420](https://github.com/kubeflow/kubeflow/issues/2420)
- make it easy to configure the foo sample plugin as a plugin or statically linked [\#2414](https://github.com/kubeflow/kubeflow/issues/2414)
- kfctl.sh delete all failed on OSX [\#2411](https://github.com/kubeflow/kubeflow/issues/2411)
- presubmit failing: Quota 'DISKS\_TOTAL\_GB' exceeded. Limit: 16384.0 in region us-east1. [\#2401](https://github.com/kubeflow/kubeflow/issues/2401)
- kfctl \(golang\) rename 'ks' directory and app to ksonnet and ksonnet.go respectively [\#2398](https://github.com/kubeflow/kubeflow/issues/2398)
- kfctl - Fetch registry automatically [\#2397](https://github.com/kubeflow/kubeflow/issues/2397)
- DM template fails with GPU enabled [\#2392](https://github.com/kubeflow/kubeflow/issues/2392)
- \[Dashboard v1\] Immediate fixes for new dashboard [\#2390](https://github.com/kubeflow/kubeflow/issues/2390)
- Clean up trailing whitespaces at the end of lines [\#2389](https://github.com/kubeflow/kubeflow/issues/2389)
- Integrate test\_flake8.py into CI system [\#2388](https://github.com/kubeflow/kubeflow/issues/2388)
- I am installing kubeflow and got this error，no matches for kind "Application" in version "app.k8s.io/v1beta1"，need help [\#2380](https://github.com/kubeflow/kubeflow/issues/2380)
- \[Click To Deploy\] Take a query argument that specifies the list of Kubeflow versions to display [\#2377](https://github.com/kubeflow/kubeflow/issues/2377)
- "pip install --upgrade pip" is usually a bad practice since it's known to have caused issues. [\#2375](https://github.com/kubeflow/kubeflow/issues/2375)
- add the gcp platform to kfctl \(golang\) [\#2370](https://github.com/kubeflow/kubeflow/issues/2370)
- Replace CfgFile \*viper.Viper in KsApp with a struct and move to group.go in kfctl \(golang\) [\#2368](https://github.com/kubeflow/kubeflow/issues/2368)
- Have the different kfctl \(golang\) implementations of KfApp hold a map of KfApp children [\#2367](https://github.com/kubeflow/kubeflow/issues/2367)
- Move --namespace parameter from generate to init in kfctl \(golang\) [\#2366](https://github.com/kubeflow/kubeflow/issues/2366)
- Remove --packages and --components from 'kfctl generate' \(golang\) [\#2365](https://github.com/kubeflow/kubeflow/issues/2365)
- Re-enable click\_deploy\_test [\#2364](https://github.com/kubeflow/kubeflow/issues/2364)
- \[Dashboard v1\]\[Tracker\]\[Redesign\] Landing Page v1 [\#2359](https://github.com/kubeflow/kubeflow/issues/2359)
- Failed to connect to Hub API at 'http://jupyter-0:8081/hub/api'.  Is the Hub accessible at this URL \(from host: jupyter-q\)? [\#2350](https://github.com/kubeflow/kubeflow/issues/2350)
- Unable to download after pod starts [\#2345](https://github.com/kubeflow/kubeflow/issues/2345)
- TF-Serving: How to add new Param to Service Prototype \(running in Field does not exist\) [\#2326](https://github.com/kubeflow/kubeflow/issues/2326)
- kubeflow 有没有中文社区 [\#2325](https://github.com/kubeflow/kubeflow/issues/2325)
- TF serving new template should support model from NFS volume  [\#2321](https://github.com/kubeflow/kubeflow/issues/2321)
- tf-serving how to add volumes/volumeMounts  [\#2319](https://github.com/kubeflow/kubeflow/issues/2319)
- Add Azure Version of tf-serving prototype [\#2317](https://github.com/kubeflow/kubeflow/issues/2317)
- studyjob controller stays in CrashLoopbackoff [\#2308](https://github.com/kubeflow/kubeflow/issues/2308)
- Proposal: Kubeflow Serverless Serving CRD [\#2306](https://github.com/kubeflow/kubeflow/issues/2306)
- Sending predictions through TF-Serving returns 404's when using IAP [\#2302](https://github.com/kubeflow/kubeflow/issues/2302)
- Need help deploying simple model with tf-serving and enable Rest API [\#2292](https://github.com/kubeflow/kubeflow/issues/2292)
- "kfctl.sh apply k8s" stuck in ambassador and return error. [\#2290](https://github.com/kubeflow/kubeflow/issues/2290)
- GCP secrets are not created unless oAuth credentials are provided [\#2284](https://github.com/kubeflow/kubeflow/issues/2284)
- Go based implementation of the profiles custom resource? [\#2270](https://github.com/kubeflow/kubeflow/issues/2270)
- Go based implementation of Jupyter CR? [\#2269](https://github.com/kubeflow/kubeflow/issues/2269)
- Argo UI doesn't work when Ambassador is scaled to more than 1 replicas [\#2222](https://github.com/kubeflow/kubeflow/issues/2222)
- Install profiles CR by default [\#2177](https://github.com/kubeflow/kubeflow/issues/2177)
- Profiles resource needs an E2E test [\#2176](https://github.com/kubeflow/kubeflow/issues/2176)
- Jupyter CR E2E test [\#2174](https://github.com/kubeflow/kubeflow/issues/2174)
- Docs: The reference to the deployer app should be higher in the page [\#2169](https://github.com/kubeflow/kubeflow/issues/2169)
- Notebook manager UI should disable New PVC option if no default storage class is defined. [\#2157](https://github.com/kubeflow/kubeflow/issues/2157)
- Jupyter spawner UI should provide a warning if pod isn't backed by durable storage [\#2156](https://github.com/kubeflow/kubeflow/issues/2156)
- Allow in-cluster traffic through ambassador while enable basic username/password login with ambassador  [\#2149](https://github.com/kubeflow/kubeflow/issues/2149)
- Cookie based auth for basic username/password login with ambassador [\#2148](https://github.com/kubeflow/kubeflow/issues/2148)
- login page for basic username/password login with ambassador [\#2147](https://github.com/kubeflow/kubeflow/issues/2147)
- Kubebench operator jsonnet unittest [\#2134](https://github.com/kubeflow/kubeflow/issues/2134)
- \[gcp-click-to-deploy\] cleanup: remove ks and kubectl from Dockerfile [\#2132](https://github.com/kubeflow/kubeflow/issues/2132)
- nodeselector in jupyter spawner not working [\#2131](https://github.com/kubeflow/kubeflow/issues/2131)
- 0.4 blog post [\#2102](https://github.com/kubeflow/kubeflow/issues/2102)
- \[gcp-click-to-deploy\] Web app should support configuring basic auth [\#2095](https://github.com/kubeflow/kubeflow/issues/2095)
- Support basic username/password login with ambassador [\#2094](https://github.com/kubeflow/kubeflow/issues/2094)
- Central dashboard should be left handed navigating bar [\#2093](https://github.com/kubeflow/kubeflow/issues/2093)
- Color scheme for central dashboard should match Kubeflow pipelines [\#2092](https://github.com/kubeflow/kubeflow/issues/2092)
- \[Question / friction\] envoy unable to read /etc/envoy/envoy-config.json [\#2070](https://github.com/kubeflow/kubeflow/issues/2070)
- Broken links for k8s-model-server docs [\#2027](https://github.com/kubeflow/kubeflow/issues/2027)
- Jupyter notebook manager UI that uses the new CRD [\#1995](https://github.com/kubeflow/kubeflow/issues/1995)
- Use ISTIO to restrict access to Jupyter Notebooks [\#1994](https://github.com/kubeflow/kubeflow/issues/1994)
- Can not deploy kubeflow on docker-for-kubernetes [\#1991](https://github.com/kubeflow/kubeflow/issues/1991)
- Error creating object: Service "vizier-core" [\#1982](https://github.com/kubeflow/kubeflow/issues/1982)
- ksonnet cleanup don't merge "params and env" [\#1961](https://github.com/kubeflow/kubeflow/issues/1961)
- Add e2etest for katib [\#1946](https://github.com/kubeflow/kubeflow/issues/1946)
- feature request: include 'google-api-python-client' in the JH images [\#1932](https://github.com/kubeflow/kubeflow/issues/1932)
- create cluster-admin role for kubeflow:default service account so that it can create a tfjob [\#1882](https://github.com/kubeflow/kubeflow/issues/1882)
- Remove OpenMPI package in 0.5.0 [\#1859](https://github.com/kubeflow/kubeflow/issues/1859)
- kfctl.sh delete doesn't check/change kubectl context before issuing delete [\#1669](https://github.com/kubeflow/kubeflow/issues/1669)
- add jsonnet tests for all libsonnet files [\#1542](https://github.com/kubeflow/kubeflow/issues/1542)
- \[kfctl\] Create kfctl CLI  [\#1419](https://github.com/kubeflow/kubeflow/issues/1419)
- \[microk8s\] error while loading shared libraries: libpython3.6m.so.1.0 [\#1367](https://github.com/kubeflow/kubeflow/issues/1367)
- JupyterHub users can't create pods on GKE [\#1281](https://github.com/kubeflow/kubeflow/issues/1281)
- Pachyderm and Kubeflow integration [\#151](https://github.com/kubeflow/kubeflow/issues/151)
- Make JupyterHub More Configurable [\#56](https://github.com/kubeflow/kubeflow/issues/56)

**Merged pull requests:**

- Cherrypick to 0.5 [\#2849](https://github.com/kubeflow/kubeflow/pull/2849) ([lluunn](https://github.com/lluunn))
- remove openmpi from registry file [\#2840](https://github.com/kubeflow/kubeflow/pull/2840) ([kunmingg](https://github.com/kunmingg))
- make createResourceFromFile check first, then create [\#2839](https://github.com/kubeflow/kubeflow/pull/2839) ([lluunn](https://github.com/lluunn))
- update pytorch image [\#2837](https://github.com/kubeflow/kubeflow/pull/2837) ([lluunn](https://github.com/lluunn))
- fixes 'kfctl attribute deleteStorage is appearing in app.yaml when platform is not gcp' [\#2827](https://github.com/kubeflow/kubeflow/pull/2827) ([kkasravi](https://github.com/kkasravi))
- Cherrypick \#2787 into 0.5 branch [\#2822](https://github.com/kubeflow/kubeflow/pull/2822) ([lluunn](https://github.com/lluunn))
- update ks for 0.5 [\#2816](https://github.com/kubeflow/kubeflow/pull/2816) ([lluunn](https://github.com/lluunn))
- Use YAML modifications instead of regex replacement [\#2815](https://github.com/kubeflow/kubeflow/pull/2815) ([gabrielwen](https://github.com/gabrielwen))
- Add kfctl E2E test on GCP with IAP [\#2814](https://github.com/kubeflow/kubeflow/pull/2814) ([jlewi](https://github.com/jlewi))
- fixes 'kfctl apply fails to create k8s resources; tries to deploy to 127.0.0.1' [\#2813](https://github.com/kubeflow/kubeflow/pull/2813) ([kkasravi](https://github.com/kkasravi))
- fixes 'kfctl delete fails when no platform or minikube is specified' [\#2810](https://github.com/kubeflow/kubeflow/pull/2810) ([kkasravi](https://github.com/kkasravi))
- Retag jupyter images with tag v0.5.0 [\#2805](https://github.com/kubeflow/kubeflow/pull/2805) ([zabbasi](https://github.com/zabbasi))
- check CLIENT\_ID/CLIENT\_SECRET before acutal Apply [\#2803](https://github.com/kubeflow/kubeflow/pull/2803) ([gabrielwen](https://github.com/gabrielwen))
- Add named context to KUBECONFIG [\#2802](https://github.com/kubeflow/kubeflow/pull/2802) ([gabrielwen](https://github.com/gabrielwen))
- kfctl interface in gcp.go/ksonnet.go for deploy app [\#2801](https://github.com/kubeflow/kubeflow/pull/2801) ([kunmingg](https://github.com/kunmingg))
- Stop setting JupyterHub parameters and pull config from PR branch. [\#2798](https://github.com/kubeflow/kubeflow/pull/2798) ([jlewi](https://github.com/jlewi))
- E2E kfctl go test should verify that Kubeflow is deployed. [\#2795](https://github.com/kubeflow/kubeflow/pull/2795) ([jlewi](https://github.com/jlewi))
- Update the developer guide for kfctl. [\#2794](https://github.com/kubeflow/kubeflow/pull/2794) ([jlewi](https://github.com/jlewi))
- Add missing alsologtostderr flag to mpi-operator args [\#2793](https://github.com/kubeflow/kubeflow/pull/2793) ([terrytangyuan](https://github.com/terrytangyuan))
- Add "update" verb to pdb resource of mpi-job [\#2792](https://github.com/kubeflow/kubeflow/pull/2792) ([terrytangyuan](https://github.com/terrytangyuan))
- Namespace selector now only shows up when on activity page [\#2788](https://github.com/kubeflow/kubeflow/pull/2788) ([avdaredevil](https://github.com/avdaredevil))
- notebook CR shows container status [\#2787](https://github.com/kubeflow/kubeflow/pull/2787) ([lluunn](https://github.com/lluunn))
- Privacy link implemented with CSS changes [\#2786](https://github.com/kubeflow/kubeflow/pull/2786) ([avdaredevil](https://github.com/avdaredevil))
- update pipeline system images to 0.1.13 release  [\#2785](https://github.com/kubeflow/kubeflow/pull/2785) ([IronPan](https://github.com/IronPan))
- add spartakus as component [\#2784](https://github.com/kubeflow/kubeflow/pull/2784) ([gabrielwen](https://github.com/gabrielwen))
- update pipeline version to v0.1.13 [\#2783](https://github.com/kubeflow/kubeflow/pull/2783) ([IronPan](https://github.com/IronPan))
- add jupyter image with tf 2.0 [\#2782](https://github.com/kubeflow/kubeflow/pull/2782) ([zabbasi](https://github.com/zabbasi))
- move admission webhook to gcp [\#2781](https://github.com/kubeflow/kubeflow/pull/2781) ([lluunn](https://github.com/lluunn))
- update dashboard image [\#2780](https://github.com/kubeflow/kubeflow/pull/2780) ([lluunn](https://github.com/lluunn))
- Obtain build version from ENV [\#2779](https://github.com/kubeflow/kubeflow/pull/2779) ([prodonjs](https://github.com/prodonjs))
- fixes 'ipName and zone are being written to app.yaml even when no platform is specified' [\#2774](https://github.com/kubeflow/kubeflow/pull/2774) ([kkasravi](https://github.com/kkasravi))
- replace download k8s manifest with ksonnet entry [\#2772](https://github.com/kubeflow/kubeflow/pull/2772) ([kunmingg](https://github.com/kunmingg))
- remove openmpi package [\#2771](https://github.com/kubeflow/kubeflow/pull/2771) ([lluunn](https://github.com/lluunn))
- Adds Kferror interface [\#2769](https://github.com/kubeflow/kubeflow/pull/2769) ([gabrielwen](https://github.com/gabrielwen))
- update katib image for 0.5 [\#2768](https://github.com/kubeflow/kubeflow/pull/2768) ([lluunn](https://github.com/lluunn))
- cache k8s spec in kubeflow so it can be used by ksonnet lib [\#2765](https://github.com/kubeflow/kubeflow/pull/2765) ([kunmingg](https://github.com/kunmingg))
- added notebook-controller and jupyter-web-app as part of kf deployment [\#2764](https://github.com/kubeflow/kubeflow/pull/2764) ([zabbasi](https://github.com/zabbasi))
- fixes 'kfctl Incorrect ksonnet OptionServer is specified when no platform is provided' [\#2763](https://github.com/kubeflow/kubeflow/pull/2763) ([kkasravi](https://github.com/kkasravi))
- kfctl delete for GCP [\#2762](https://github.com/kubeflow/kubeflow/pull/2762) ([gabrielwen](https://github.com/gabrielwen))
- ModelDB V2 support in KubeFlow [\#2757](https://github.com/kubeflow/kubeflow/pull/2757) ([mvartakAtVerta](https://github.com/mvartakAtVerta))
- Fix error in iap component [\#2756](https://github.com/kubeflow/kubeflow/pull/2756) ([lluunn](https://github.com/lluunn))
- kfctl install istio [\#2755](https://github.com/kubeflow/kubeflow/pull/2755) ([lluunn](https://github.com/lluunn))
- fix make build; set IAM policy following read/modify/write [\#2751](https://github.com/kubeflow/kubeflow/pull/2751) ([kunmingg](https://github.com/kunmingg))
- admission webhook manifest [\#2744](https://github.com/kubeflow/kubeflow/pull/2744) ([lluunn](https://github.com/lluunn))
- added ReadyReplicas status to notebook-controller [\#2743](https://github.com/kubeflow/kubeflow/pull/2743) ([zabbasi](https://github.com/zabbasi))
- \[KUBEFLOW-2735\] Fix regex for distribution detection. [\#2737](https://github.com/kubeflow/kubeflow/pull/2737) ([holdenk](https://github.com/holdenk))
- Polish changes: [\#2733](https://github.com/kubeflow/kubeflow/pull/2733) ([avdaredevil](https://github.com/avdaredevil))
- Add pdb to mpi-operator clusterrole [\#2732](https://github.com/kubeflow/kubeflow/pull/2732) ([stpabhi](https://github.com/stpabhi))
- Added tf 1.13 to the list of jupyter images  [\#2730](https://github.com/kubeflow/kubeflow/pull/2730) ([zabbasi](https://github.com/zabbasi))
- Fix presubmit kfctl\_go\_test [\#2729](https://github.com/kubeflow/kubeflow/pull/2729) ([gabrielwen](https://github.com/gabrielwen))
- update fairing@7f7a66687ceab3ed2838ad29e3ff4b04afe351ab [\#2728](https://github.com/kubeflow/kubeflow/pull/2728) ([r2d4](https://github.com/r2d4))
- Launch trtserver so that CUDA driver compatibility is enabled [\#2726](https://github.com/kubeflow/kubeflow/pull/2726) ([deadeyegoodwin](https://github.com/deadeyegoodwin))
- fixes: kfctl go doesn't exit with non-zero exit code on failure [\#2721](https://github.com/kubeflow/kubeflow/pull/2721) ([kkasravi](https://github.com/kkasravi))
- Admission webhook for inserting credential to pod [\#2720](https://github.com/kubeflow/kubeflow/pull/2720) ([lluunn](https://github.com/lluunn))
- fixes 'kfctl needs to support passing swagger spec to ks init from file' [\#2719](https://github.com/kubeflow/kubeflow/pull/2719) ([kkasravi](https://github.com/kkasravi))
- fixes 'kfctl creates invalid IAM policy binding file if email not set' [\#2718](https://github.com/kubeflow/kubeflow/pull/2718) ([kkasravi](https://github.com/kkasravi))
- fixes Kfctl clientspec \#2691 [\#2714](https://github.com/kubeflow/kubeflow/pull/2714) ([kkasravi](https://github.com/kkasravi))
- Move basic auth username/password to ENV [\#2713](https://github.com/kubeflow/kubeflow/pull/2713) ([gabrielwen](https://github.com/gabrielwen))
- Update centraldashboard.jsonnet [\#2711](https://github.com/kubeflow/kubeflow/pull/2711) ([prodonjs](https://github.com/prodonjs))
- Added PVC volumeName [\#2710](https://github.com/kubeflow/kubeflow/pull/2710) ([zabbasi](https://github.com/zabbasi))
- Kfctl go E2E test should deploy kubeflow [\#2705](https://github.com/kubeflow/kubeflow/pull/2705) ([jlewi](https://github.com/jlewi))
- Fix error in setup\_backend [\#2704](https://github.com/kubeflow/kubeflow/pull/2704) ([lluunn](https://github.com/lluunn))
- Fix param set on ipName and hostname [\#2702](https://github.com/kubeflow/kubeflow/pull/2702) ([gabrielwen](https://github.com/gabrielwen))
- \[Dashboard v1\] Sidebar dynamic hide support added, stylistic refactor [\#2695](https://github.com/kubeflow/kubeflow/pull/2695) ([avdaredevil](https://github.com/avdaredevil))
- Attempt to fix spark-operator and argo-deploy test flakiness. [\#2694](https://github.com/kubeflow/kubeflow/pull/2694) ([jlewi](https://github.com/jlewi))
- moved the Profiles golang controller kustomize manifests around [\#2692](https://github.com/kubeflow/kubeflow/pull/2692) ([swiftdiaries](https://github.com/swiftdiaries))
- Create secret for basic login [\#2690](https://github.com/kubeflow/kubeflow/pull/2690) ([gabrielwen](https://github.com/gabrielwen))
- fixes 'Install profiles CR by default' [\#2689](https://github.com/kubeflow/kubeflow/pull/2689) ([kkasravi](https://github.com/kkasravi))
- Skip check to oauth\_id/oauth\_secret if using basic auth [\#2687](https://github.com/kubeflow/kubeflow/pull/2687) ([gabrielwen](https://github.com/gabrielwen))
- Add ClusterRole and ClusterRole [\#2684](https://github.com/kubeflow/kubeflow/pull/2684) ([prodonjs](https://github.com/prodonjs))
- fix pipeline-viewer-controller access kube-apiserver 403 [\#2683](https://github.com/kubeflow/kubeflow/pull/2683) ([hzxuzhonghu](https://github.com/hzxuzhonghu))
- fix IAM policy set [\#2681](https://github.com/kubeflow/kubeflow/pull/2681) ([kunmingg](https://github.com/kunmingg))
- Don't create PVCs if no default StorageClass is set [\#2679](https://github.com/kubeflow/kubeflow/pull/2679) ([kimwnasptd](https://github.com/kimwnasptd))
- Serve Pytorch v1beta2 and v1beta1 crd [\#2677](https://github.com/kubeflow/kubeflow/pull/2677) ([johnugeorge](https://github.com/johnugeorge))
- store azure secrets to cluster during setup [\#2676](https://github.com/kubeflow/kubeflow/pull/2676) ([rakelkar](https://github.com/rakelkar))
- fixes 'kfctl generated yaml fails validation \#2653' [\#2674](https://github.com/kubeflow/kubeflow/pull/2674) ([kkasravi](https://github.com/kkasravi))
- fixes 'add kustomize support to kfctl' [\#2673](https://github.com/kubeflow/kubeflow/pull/2673) ([kkasravi](https://github.com/kkasravi))
- Scaffolding for E2E test for the new kfctl go binary. [\#2672](https://github.com/kubeflow/kubeflow/pull/2672) ([jlewi](https://github.com/jlewi))
- Add pre/post submit jobs for Jupyter UI [\#2671](https://github.com/kubeflow/kubeflow/pull/2671) ([kimwnasptd](https://github.com/kimwnasptd))
- Update the ROADMAP with more details about how we are approaching 1.0 [\#2669](https://github.com/kubeflow/kubeflow/pull/2669) ([jlewi](https://github.com/jlewi))
- Add Namespaces and Activities from API server. [\#2667](https://github.com/kubeflow/kubeflow/pull/2667) ([prodonjs](https://github.com/prodonjs))
- Updated TFMA and TFDV versions of Jupyter images [\#2666](https://github.com/kubeflow/kubeflow/pull/2666) ([zabbasi](https://github.com/zabbasi))
- Add GCB scripts for Jupyter UI [\#2656](https://github.com/kubeflow/kubeflow/pull/2656) ([kimwnasptd](https://github.com/kimwnasptd))
- update DM config file [\#2655](https://github.com/kubeflow/kubeflow/pull/2655) ([kunmingg](https://github.com/kunmingg))
- Fix iap libsonnet: avoid empty object [\#2654](https://github.com/kubeflow/kubeflow/pull/2654) ([lluunn](https://github.com/lluunn))
- Getting started card completed [\#2651](https://github.com/kubeflow/kubeflow/pull/2651) ([avdaredevil](https://github.com/avdaredevil))
- Use multiple projects in the load test for 1-click-deployment [\#2648](https://github.com/kubeflow/kubeflow/pull/2648) ([zhenghuiwang](https://github.com/zhenghuiwang))
- add retry around ks init [\#2643](https://github.com/kubeflow/kubeflow/pull/2643) ([kunmingg](https://github.com/kunmingg))
- update pipeline system images to 0.1.12 release \(\#2637\) [\#2640](https://github.com/kubeflow/kubeflow/pull/2640) ([gaoning777](https://github.com/gaoning777))
- Updated jupyter image paths to point to the latest ones [\#2638](https://github.com/kubeflow/kubeflow/pull/2638) ([zabbasi](https://github.com/zabbasi))
- update pipeline system images to 0.1.12 release [\#2637](https://github.com/kubeflow/kubeflow/pull/2637) ([gaoning777](https://github.com/gaoning777))
- Fix kfctl: didn't pass flag client\_id/secret [\#2632](https://github.com/kubeflow/kubeflow/pull/2632) ([lluunn](https://github.com/lluunn))
- Fix typo in kfctl [\#2631](https://github.com/kubeflow/kubeflow/pull/2631) ([lluunn](https://github.com/lluunn))
- Setting the base\_url flag of Jupyter images [\#2627](https://github.com/kubeflow/kubeflow/pull/2627) ([zabbasi](https://github.com/zabbasi))
- Separate front-end components and add mock activities service. [\#2626](https://github.com/kubeflow/kubeflow/pull/2626) ([prodonjs](https://github.com/prodonjs))
- store non exist parameter differently [\#2625](https://github.com/kubeflow/kubeflow/pull/2625) ([IronPan](https://github.com/IronPan))
- Fix ambassador route and base\_url in notebook controller [\#2620](https://github.com/kubeflow/kubeflow/pull/2620) ([lluunn](https://github.com/lluunn))
- \[Dashboard v1\] Changed sidebar tab from JupyterHub to Notebooks [\#2619](https://github.com/kubeflow/kubeflow/pull/2619) ([avdaredevil](https://github.com/avdaredevil))
- Add prodonjs to OWNERS [\#2613](https://github.com/kubeflow/kubeflow/pull/2613) ([prodonjs](https://github.com/prodonjs))
- Updated jupyter spawning options to the latest images.  [\#2611](https://github.com/kubeflow/kubeflow/pull/2611) ([zabbasi](https://github.com/zabbasi))
- Adding additional printer columns to display status [\#2609](https://github.com/kubeflow/kubeflow/pull/2609) ([johnugeorge](https://github.com/johnugeorge))
- Updated jupyter images to allow any origin [\#2606](https://github.com/kubeflow/kubeflow/pull/2606) ([zabbasi](https://github.com/zabbasi))
- Add build using GCB support to profile controller [\#2603](https://github.com/kubeflow/kubeflow/pull/2603) ([lluunn](https://github.com/lluunn))
- Removing prune for Subresource field in CRD [\#2598](https://github.com/kubeflow/kubeflow/pull/2598) ([johnugeorge](https://github.com/johnugeorge))
- Adding backOffLimit to metric collector spec [\#2597](https://github.com/kubeflow/kubeflow/pull/2597) ([johnugeorge](https://github.com/johnugeorge))
- Turnning off jupyter images authentication [\#2591](https://github.com/kubeflow/kubeflow/pull/2591) ([zabbasi](https://github.com/zabbasi))
- Update the jupyter-web-app Image [\#2589](https://github.com/kubeflow/kubeflow/pull/2589) ([kimwnasptd](https://github.com/kimwnasptd))
- Semi-working kfctl go binary [\#2587](https://github.com/kubeflow/kubeflow/pull/2587) ([gabrielwen](https://github.com/gabrielwen))
- Updating python package imports related to tf-operator [\#2581](https://github.com/kubeflow/kubeflow/pull/2581) ([zabbasi](https://github.com/zabbasi))
- Add ESLint to enforce Google JS style in public/ [\#2579](https://github.com/kubeflow/kubeflow/pull/2579) ([prodonjs](https://github.com/prodonjs))
- Fixed Dashboard v0.0.1 w/ Polymer3 + Webpack [\#2576](https://github.com/kubeflow/kubeflow/pull/2576) ([avdaredevil](https://github.com/avdaredevil))
- Refactor for Express + Webpack build stack. [\#2572](https://github.com/kubeflow/kubeflow/pull/2572) ([prodonjs](https://github.com/prodonjs))
- Enabling EFS on AWS for Tensorboard [\#2569](https://github.com/kubeflow/kubeflow/pull/2569) ([jeremievallee](https://github.com/jeremievallee))
- new deploy API following Open API format [\#2564](https://github.com/kubeflow/kubeflow/pull/2564) ([kunmingg](https://github.com/kunmingg))
- Add status to notebook [\#2558](https://github.com/kubeflow/kubeflow/pull/2558) ([lluunn](https://github.com/lluunn))
- Add Azure support for kfctl.sh [\#2557](https://github.com/kubeflow/kubeflow/pull/2557) ([ritazh](https://github.com/ritazh))
- Temporary change to pin kubeflow to the latest verified tf-operator commit  [\#2555](https://github.com/kubeflow/kubeflow/pull/2555) ([zabbasi](https://github.com/zabbasi))
- update katib component [\#2553](https://github.com/kubeflow/kubeflow/pull/2553) ([hougangliu](https://github.com/hougangliu))
- Updated Jupyter image paths for using in notebook controller [\#2552](https://github.com/kubeflow/kubeflow/pull/2552) ([zabbasi](https://github.com/zabbasi))
- fixes 'kfctl \(golang\) Simplify the child/parent relationships in platforms' [\#2547](https://github.com/kubeflow/kubeflow/pull/2547) ([kkasravi](https://github.com/kkasravi))
- Fixed Version bump [\#2544](https://github.com/kubeflow/kubeflow/pull/2544) ([avdaredevil](https://github.com/avdaredevil))
- fix backendconfig name [\#2542](https://github.com/kubeflow/kubeflow/pull/2542) ([lluunn](https://github.com/lluunn))
- port ksonnet changes to pipeline branchs [\#2541](https://github.com/kubeflow/kubeflow/pull/2541) ([IronPan](https://github.com/IronPan))
- Update dashboard image to point to newest build [\#2540](https://github.com/kubeflow/kubeflow/pull/2540) ([avdaredevil](https://github.com/avdaredevil))
- fix command in bootstrap dev guide [\#2538](https://github.com/kubeflow/kubeflow/pull/2538) ([lluunn](https://github.com/lluunn))
- update pipeline image version to v0.1.10 [\#2534](https://github.com/kubeflow/kubeflow/pull/2534) ([IronPan](https://github.com/IronPan))
- Golang profile controller  [\#2533](https://github.com/kubeflow/kubeflow/pull/2533) ([lluunn](https://github.com/lluunn))
- Pytorch v1beta2 support [\#2532](https://github.com/kubeflow/kubeflow/pull/2532) ([johnugeorge](https://github.com/johnugeorge))
- Update dev guide for bootstrapper [\#2527](https://github.com/kubeflow/kubeflow/pull/2527) ([lluunn](https://github.com/lluunn))
- Fix typo [\#2523](https://github.com/kubeflow/kubeflow/pull/2523) ([ib-steffen](https://github.com/ib-steffen))
- Fix periodic test [\#2519](https://github.com/kubeflow/kubeflow/pull/2519) ([lluunn](https://github.com/lluunn))
- Added a windows equivalent script for the makefile for central-dashboard [\#2518](https://github.com/kubeflow/kubeflow/pull/2518) ([avdaredevil](https://github.com/avdaredevil))
- Change jupyter images to work with the new jupyter CR, issue\# 2458 [\#2517](https://github.com/kubeflow/kubeflow/pull/2517) ([zabbasi](https://github.com/zabbasi))
- Added unit tests for GetUpdatedPolicy at gcpUtils.go - bootstrap/app [\#2516](https://github.com/kubeflow/kubeflow/pull/2516) ([mwarzynski](https://github.com/mwarzynski))
- Add optional parameter ambassadorNodePort [\#2511](https://github.com/kubeflow/kubeflow/pull/2511) ([iankoulski](https://github.com/iankoulski))
- Small fix for notebook controller [\#2506](https://github.com/kubeflow/kubeflow/pull/2506) ([lluunn](https://github.com/lluunn))
- create permanent storage from click-to-deploy app [\#2504](https://github.com/kubeflow/kubeflow/pull/2504) ([IronPan](https://github.com/IronPan))
- name the PD generically and assign to minio [\#2503](https://github.com/kubeflow/kubeflow/pull/2503) ([IronPan](https://github.com/IronPan))
- Add myself to Central Dashboard owners [\#2502](https://github.com/kubeflow/kubeflow/pull/2502) ([avdaredevil](https://github.com/avdaredevil))
- Bump up pipeline version to 0.1.10 \(\#2496\) [\#2501](https://github.com/kubeflow/kubeflow/pull/2501) ([hongye-sun](https://github.com/hongye-sun))
- Add jupyter-web-app to kfctl [\#2500](https://github.com/kubeflow/kubeflow/pull/2500) ([kimwnasptd](https://github.com/kimwnasptd))
- Readme added for Kubeflow Central-Dashboard Component [\#2499](https://github.com/kubeflow/kubeflow/pull/2499) ([avdaredevil](https://github.com/avdaredevil))
- Bump up pipeline version to 0.1.10 [\#2496](https://github.com/kubeflow/kubeflow/pull/2496) ([hongye-sun](https://github.com/hongye-sun))
- Add kubebench-operator jsonnet unit test [\#2495](https://github.com/kubeflow/kubeflow/pull/2495) ([andreyvelich](https://github.com/andreyvelich))
- add missing fields [\#2494](https://github.com/kubeflow/kubeflow/pull/2494) ([kunmingg](https://github.com/kunmingg))
- update jupyter-web-app image path [\#2493](https://github.com/kubeflow/kubeflow/pull/2493) ([gabrielwen](https://github.com/gabrielwen))
- fix workflow name [\#2492](https://github.com/kubeflow/kubeflow/pull/2492) ([lluunn](https://github.com/lluunn))
- Update Jupyter WebApp redirect URL and libsonnet [\#2490](https://github.com/kubeflow/kubeflow/pull/2490) ([kimwnasptd](https://github.com/kimwnasptd))
- Add build with GCB support to notebook controller [\#2486](https://github.com/kubeflow/kubeflow/pull/2486) ([lluunn](https://github.com/lluunn))
- pass username & password hash as k8s secret instead of ks parameters [\#2485](https://github.com/kubeflow/kubeflow/pull/2485) ([kunmingg](https://github.com/kunmingg))
- Wrap os.makedir calls inside try,catch block [\#2483](https://github.com/kubeflow/kubeflow/pull/2483) ([ashahba](https://github.com/ashahba))
- add config file entries for deployment on GCP [\#2482](https://github.com/kubeflow/kubeflow/pull/2482) ([kunmingg](https://github.com/kunmingg))
- Add script to upgrade kubeflow pipeline  [\#2479](https://github.com/kubeflow/kubeflow/pull/2479) ([IronPan](https://github.com/IronPan))
- Refactor the Kubeflow Pipeline ksonnet to better support upgrade [\#2478](https://github.com/kubeflow/kubeflow/pull/2478) ([IronPan](https://github.com/IronPan))
- fix test image [\#2477](https://github.com/kubeflow/kubeflow/pull/2477) ([lluunn](https://github.com/lluunn))
- Support multiple CRD versions for TFJob [\#2474](https://github.com/kubeflow/kubeflow/pull/2474) ([richardsliu](https://github.com/richardsliu))
- Fix typo in profile CR [\#2473](https://github.com/kubeflow/kubeflow/pull/2473) ([lluunn](https://github.com/lluunn))
- cherrypick pipeline deployment changes to pipelines branch [\#2470](https://github.com/kubeflow/kubeflow/pull/2470) ([IronPan](https://github.com/IronPan))
- add selector for minio deploy [\#2466](https://github.com/kubeflow/kubeflow/pull/2466) ([IronPan](https://github.com/IronPan))
- Reduce NFS disk size from 200 -\> 20 GB [\#2464](https://github.com/kubeflow/kubeflow/pull/2464) ([IronPan](https://github.com/IronPan))
-  Notebook controller fixes [\#2463](https://github.com/kubeflow/kubeflow/pull/2463) ([lluunn](https://github.com/lluunn))
- fix test name on testgrid [\#2462](https://github.com/kubeflow/kubeflow/pull/2462) ([lluunn](https://github.com/lluunn))
- add basic auth as alternative of iap access to deploy app;  [\#2455](https://github.com/kubeflow/kubeflow/pull/2455) ([kunmingg](https://github.com/kunmingg))
- Skipped context check on OSX [\#2453](https://github.com/kubeflow/kubeflow/pull/2453) ([svalleru](https://github.com/svalleru))
- bootstrapper e2e test with istio [\#2451](https://github.com/kubeflow/kubeflow/pull/2451) ([lluunn](https://github.com/lluunn))
- Fix testgrid test name [\#2450](https://github.com/kubeflow/kubeflow/pull/2450) ([lluunn](https://github.com/lluunn))
- fix artifact dir [\#2449](https://github.com/kubeflow/kubeflow/pull/2449) ([lluunn](https://github.com/lluunn))
- Update python code styles based on what's provided in .style.yapf [\#2447](https://github.com/kubeflow/kubeflow/pull/2447) ([ashahba](https://github.com/ashahba))
- Deploy NFS only when explicitly set the nfs parameter [\#2446](https://github.com/kubeflow/kubeflow/pull/2446) ([IronPan](https://github.com/IronPan))
- Add mpijobs and pods/log in kubebench rbac [\#2442](https://github.com/kubeflow/kubeflow/pull/2442) ([Jeffwan](https://github.com/Jeffwan))
- part of 'add the gcp platform to kfctl \(golang\)' [\#2440](https://github.com/kubeflow/kubeflow/pull/2440) ([kkasravi](https://github.com/kkasravi))
- NB controller fix [\#2439](https://github.com/kubeflow/kubeflow/pull/2439) ([lluunn](https://github.com/lluunn))
- ingress entry for basic auth [\#2438](https://github.com/kubeflow/kubeflow/pull/2438) ([kunmingg](https://github.com/kunmingg))
- make click-deploy-test upload junit artifacts [\#2437](https://github.com/kubeflow/kubeflow/pull/2437) ([lluunn](https://github.com/lluunn))
- Use command array in mpi job prototype [\#2434](https://github.com/kubeflow/kubeflow/pull/2434) ([Jeffwan](https://github.com/Jeffwan))
- fixes 'add docker-for-desktop platform to kfctl \(golang\)' [\#2433](https://github.com/kubeflow/kubeflow/pull/2433) ([kkasravi](https://github.com/kkasravi))
- Dashboard immediate changes complete [\#2432](https://github.com/kubeflow/kubeflow/pull/2432) ([avdaredevil](https://github.com/avdaredevil))
- fix click\_to\_deploy test [\#2431](https://github.com/kubeflow/kubeflow/pull/2431) ([lluunn](https://github.com/lluunn))
- Cherry pick storage changes to pipelines branch [\#2429](https://github.com/kubeflow/kubeflow/pull/2429) ([IronPan](https://github.com/IronPan))
- fixes 'make it easy to configure the foo sample plugin as a plugin or statically linked' [\#2428](https://github.com/kubeflow/kubeflow/pull/2428) ([kkasravi](https://github.com/kkasravi))
- Bump pipeline version to 0.1.9 [\#2427](https://github.com/kubeflow/kubeflow/pull/2427) ([IronPan](https://github.com/IronPan))
- fixes 'kfctl - Fetch registry automatically' [\#2426](https://github.com/kubeflow/kubeflow/pull/2426) ([kkasravi](https://github.com/kkasravi))
- provision minio using pv or pd directly. only create nfs conditionally [\#2425](https://github.com/kubeflow/kubeflow/pull/2425) ([IronPan](https://github.com/IronPan))
- Specify CRD version using v1beta1 schema [\#2424](https://github.com/kubeflow/kubeflow/pull/2424) ([neuromage](https://github.com/neuromage))
- fixes kfctl \(golang\) rename 'ks' directory and app to ksonnet and ksonnet.go respectively [\#2419](https://github.com/kubeflow/kubeflow/pull/2419) ([kkasravi](https://github.com/kkasravi))
- Deploy viewer CRD controller for Kubeflow Pipelines. [\#2416](https://github.com/kubeflow/kubeflow/pull/2416) ([neuromage](https://github.com/neuromage))
- port leftover diff from kfapp-ksapp branch after kfctl merge [\#2410](https://github.com/kubeflow/kubeflow/pull/2410) ([ashahba](https://github.com/ashahba))
- Wait for at most 100s on namespace deletion [\#2409](https://github.com/kubeflow/kubeflow/pull/2409) ([IronPan](https://github.com/IronPan))
- Create kfctl command [\#2407](https://github.com/kubeflow/kubeflow/pull/2407) ([kkasravi](https://github.com/kkasravi))
- Profiles e2e test [\#2404](https://github.com/kubeflow/kubeflow/pull/2404) ([lluunn](https://github.com/lluunn))
- Integrated test\_flake8.py into CI system [\#2403](https://github.com/kubeflow/kubeflow/pull/2403) ([bikramnehra](https://github.com/bikramnehra))
- fix click\_deploy\_test [\#2400](https://github.com/kubeflow/kubeflow/pull/2400) ([lluunn](https://github.com/lluunn))
- sync pipelines branch to master [\#2396](https://github.com/kubeflow/kubeflow/pull/2396) ([IronPan](https://github.com/IronPan))
- add query string to click-to-deploy app to support arbitrary version [\#2384](https://github.com/kubeflow/kubeflow/pull/2384) ([IronPan](https://github.com/IronPan))
- deploy storage through kfctl.sh [\#2373](https://github.com/kubeflow/kubeflow/pull/2373) ([IronPan](https://github.com/IronPan))
- upgrade conda and tini to nerwer versions and stick with pip version 19.0.1 for now [\#2372](https://github.com/kubeflow/kubeflow/pull/2372) ([ashahba](https://github.com/ashahba))
- Remove all unnecessary white spaces at the end of lines [\#2371](https://github.com/kubeflow/kubeflow/pull/2371) ([ashahba](https://github.com/ashahba))
- Combine check for kf client dependencies into one utility function check\_installed\_deps [\#2369](https://github.com/kubeflow/kubeflow/pull/2369) ([ashahba](https://github.com/ashahba))
- Propagate Disk name to ks application [\#2363](https://github.com/kubeflow/kubeflow/pull/2363) ([IronPan](https://github.com/IronPan))
- one-click-deploy fix - break if deploy successfully [\#2362](https://github.com/kubeflow/kubeflow/pull/2362) ([IronPan](https://github.com/IronPan))
- Dashboard v1 UI rewrite done [\#2361](https://github.com/kubeflow/kubeflow/pull/2361) ([avdaredevil](https://github.com/avdaredevil))
- Jupyter UI that manages Notebook CRs [\#2357](https://github.com/kubeflow/kubeflow/pull/2357) ([kimwnasptd](https://github.com/kimwnasptd))
- update component name [\#2355](https://github.com/kubeflow/kubeflow/pull/2355) ([kunmingg](https://github.com/kunmingg))
- Add Deployment manager job to create permanent storage [\#2353](https://github.com/kubeflow/kubeflow/pull/2353) ([IronPan](https://github.com/IronPan))
- Add annotation to istio ingressgateway to enable IAP [\#2352](https://github.com/kubeflow/kubeflow/pull/2352) ([lluunn](https://github.com/lluunn))
- use Istio for JWT validation [\#2348](https://github.com/kubeflow/kubeflow/pull/2348) ([lluunn](https://github.com/lluunn))
- update config and README for local test [\#2346](https://github.com/kubeflow/kubeflow/pull/2346) ([kunmingg](https://github.com/kunmingg))
- Improve the delete\_deployment script. [\#2344](https://github.com/kubeflow/kubeflow/pull/2344) ([jlewi](https://github.com/jlewi))
- upgrade ks app for E2E test to 0.3.0 [\#2338](https://github.com/kubeflow/kubeflow/pull/2338) ([stpabhi](https://github.com/stpabhi))
- Golang notebook controller [\#2336](https://github.com/kubeflow/kubeflow/pull/2336) ([lluunn](https://github.com/lluunn))
- add condition to create pv and pvc for kubeflow pipeline [\#2335](https://github.com/kubeflow/kubeflow/pull/2335) ([IronPan](https://github.com/IronPan))
- Integrate Jupyter e2e test into CI [\#2333](https://github.com/kubeflow/kubeflow/pull/2333) ([jlewi](https://github.com/jlewi))
- use wrong var in katib test [\#2332](https://github.com/kubeflow/kubeflow/pull/2332) ([hougangliu](https://github.com/hougangliu))
- add in-cluster nfs  [\#2328](https://github.com/kubeflow/kubeflow/pull/2328) ([IronPan](https://github.com/IronPan))
- GCP secrets cherrypick [\#2324](https://github.com/kubeflow/kubeflow/pull/2324) ([DanSanche](https://github.com/DanSanche))
- Create an E2E test for the Jupyter custom resource. [\#2323](https://github.com/kubeflow/kubeflow/pull/2323) ([jlewi](https://github.com/jlewi))
- Clean up - Remove the load sample job [\#2322](https://github.com/kubeflow/kubeflow/pull/2322) ([IronPan](https://github.com/IronPan))
- basic auth login UI [\#2316](https://github.com/kubeflow/kubeflow/pull/2316) ([kunmingg](https://github.com/kunmingg))
- bootstrapper install istio [\#2315](https://github.com/kubeflow/kubeflow/pull/2315) ([lluunn](https://github.com/lluunn))
- create secrets before checking for oauth env vars [\#2313](https://github.com/kubeflow/kubeflow/pull/2313) ([DanSanche](https://github.com/DanSanche))
- Added context check before issuing delete [\#2305](https://github.com/kubeflow/kubeflow/pull/2305) ([svalleru](https://github.com/svalleru))
- increase the number of mktemp template variables in download.sh [\#2304](https://github.com/kubeflow/kubeflow/pull/2304) ([tnthornton](https://github.com/tnthornton))
- Do best practices for kfctl\_test Argo workflow [\#2303](https://github.com/kubeflow/kubeflow/pull/2303) ([jlewi](https://github.com/jlewi))
- update katib studyjob controller manifest [\#2301](https://github.com/kubeflow/kubeflow/pull/2301) ([hougangliu](https://github.com/hougangliu))
- add pipeline team to the owner file [\#2299](https://github.com/kubeflow/kubeflow/pull/2299) ([IronPan](https://github.com/IronPan))
- Bump ScheduledWorkflow CRD version to v1beta1 [\#2298](https://github.com/kubeflow/kubeflow/pull/2298) ([neuromage](https://github.com/neuromage))
- add neuromage to owner of pipeline registry [\#2297](https://github.com/kubeflow/kubeflow/pull/2297) ([IronPan](https://github.com/IronPan))
- Add Katib e2etest for presubmits [\#2296](https://github.com/kubeflow/kubeflow/pull/2296) ([richardsliu](https://github.com/richardsliu))
- Update pipelines version to 0.1.8 [\#2295](https://github.com/kubeflow/kubeflow/pull/2295) ([yebrahim](https://github.com/yebrahim))
- Update seldon to version 0.2.5 [\#2293](https://github.com/kubeflow/kubeflow/pull/2293) ([cliveseldon](https://github.com/cliveseldon))
- Add xgboost to image, fix credential-helper [\#2286](https://github.com/kubeflow/kubeflow/pull/2286) ([r2d4](https://github.com/r2d4))
- adjust param name for v0.3 compatibility [\#2285](https://github.com/kubeflow/kubeflow/pull/2285) ([kunmingg](https://github.com/kunmingg))
- Define signer\_email in main to remove flake8 F821 \#2229 [\#2283](https://github.com/kubeflow/kubeflow/pull/2283) ([philtremblay](https://github.com/philtremblay))
- add gcp to registry [\#2280](https://github.com/kubeflow/kubeflow/pull/2280) ([kunmingg](https://github.com/kunmingg))
- Update README for newer TRTIS releases [\#2279](https://github.com/kubeflow/kubeflow/pull/2279) ([deadeyegoodwin](https://github.com/deadeyegoodwin))
- Update kfctl to export PLATFORM and GKE\_API\_VERSION [\#2278](https://github.com/kubeflow/kubeflow/pull/2278) ([gabrielwen](https://github.com/gabrielwen))
- fixes "add jsonnet tests for all libsonnet files" [\#2264](https://github.com/kubeflow/kubeflow/pull/2264) ([kkasravi](https://github.com/kkasravi))
- basic auth service [\#2262](https://github.com/kubeflow/kubeflow/pull/2262) ([kunmingg](https://github.com/kunmingg))
- Extend Katib documentation to use not in GKE [\#2260](https://github.com/kubeflow/kubeflow/pull/2260) ([andreyvelich](https://github.com/andreyvelich))
- Create test\_flake8.py [\#2247](https://github.com/kubeflow/kubeflow/pull/2247) ([cclauss](https://github.com/cclauss))
- Added 'google-api-python-client' to JH images [\#2241](https://github.com/kubeflow/kubeflow/pull/2241) ([svalleru](https://github.com/svalleru))
- Fix TabError in sync\_images.py [\#2240](https://github.com/kubeflow/kubeflow/pull/2240) ([cclauss](https://github.com/cclauss))
- Add Deprecation Notice to README of openmpi package [\#2127](https://github.com/kubeflow/kubeflow/pull/2127) ([everpeace](https://github.com/everpeace))
- Add Spark Job [\#1467](https://github.com/kubeflow/kubeflow/pull/1467) ([holdenk](https://github.com/holdenk))

## [v0.4.1-rc.4](https://github.com/kubeflow/kubeflow/tree/v0.4.1-rc.4) (2019-01-15)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.1...v0.4.1-rc.4)

## [v0.4.1](https://github.com/kubeflow/kubeflow/tree/v0.4.1) (2019-01-15)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.1-rc.3...v0.4.1)

**Merged pull requests:**

- cherrypick changes to V0.4 branch [\#2274](https://github.com/kubeflow/kubeflow/pull/2274) ([IronPan](https://github.com/IronPan))

## [v0.4.1-rc.3](https://github.com/kubeflow/kubeflow/tree/v0.4.1-rc.3) (2019-01-15)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.1-rc.2...v0.4.1-rc.3)

**Merged pull requests:**

- add gcp to registry [\#2281](https://github.com/kubeflow/kubeflow/pull/2281) ([kunmingg](https://github.com/kunmingg))

## [v0.4.1-rc.2](https://github.com/kubeflow/kubeflow/tree/v0.4.1-rc.2) (2019-01-15)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.1-rc.1...v0.4.1-rc.2)

**Closed issues:**

- Suggest KubeFlow to use ksonnet 0.13.1 as minimal version [\#2250](https://github.com/kubeflow/kubeflow/issues/2250)
- Suggest to update the imagePullPolicy to "IfNotPresent" for Pipeline component [\#2249](https://github.com/kubeflow/kubeflow/issues/2249)
- \[Google\] Google IAP OIDC support [\#2171](https://github.com/kubeflow/kubeflow/issues/2171)

**Merged pull requests:**

- add missing pkg to registry [\#2277](https://github.com/kubeflow/kubeflow/pull/2277) ([kunmingg](https://github.com/kunmingg))
- add missing pkg to registry [\#2276](https://github.com/kubeflow/kubeflow/pull/2276) ([kunmingg](https://github.com/kunmingg))
- Update gitignore for all VIM temp files. [\#2275](https://github.com/kubeflow/kubeflow/pull/2275) ([gabrielwen](https://github.com/gabrielwen))
- use istio 1.1 [\#2259](https://github.com/kubeflow/kubeflow/pull/2259) ([lluunn](https://github.com/lluunn))
- Branch v0.4.0 fix [\#2255](https://github.com/kubeflow/kubeflow/pull/2255) ([cheyang](https://github.com/cheyang))
- Update image pull policy for pipeline [\#2251](https://github.com/kubeflow/kubeflow/pull/2251) ([jinchihe](https://github.com/jinchihe))

## [v0.4.1-rc.1](https://github.com/kubeflow/kubeflow/tree/v0.4.1-rc.1) (2019-01-12)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.0...v0.4.1-rc.1)

**Fixed bugs:**

- \[tf-notebook\] tf-serving-api package should be pinned to tf version [\#1793](https://github.com/kubeflow/kubeflow/issues/1793)

**Closed issues:**

- Create application CR's per package and enable a dependency tree that points to the top application CR \(kubeflow\) [\#2257](https://github.com/kubeflow/kubeflow/issues/2257)
- seldon gRPC [\#2239](https://github.com/kubeflow/kubeflow/issues/2239)
- Kfctl requires zone to be specified. Could be potentially automatically inferred. [\#2209](https://github.com/kubeflow/kubeflow/issues/2209)
- ksonnet installation of core giving 404 [\#2201](https://github.com/kubeflow/kubeflow/issues/2201)
- Cut 0.4.0 Release [\#2098](https://github.com/kubeflow/kubeflow/issues/2098)
- Investigate using Istio for jwt validation [\#1907](https://github.com/kubeflow/kubeflow/issues/1907)
- Docs for using ModelDB to track models using the API [\#1861](https://github.com/kubeflow/kubeflow/issues/1861)
- Deploy Model DB with durable storage [\#1860](https://github.com/kubeflow/kubeflow/issues/1860)
- Change the application component to agree with kubernetes-sigs application CRD [\#1856](https://github.com/kubeflow/kubeflow/issues/1856)
- Can't install \>v0.1.3 KubeFlow to Microk8s [\#1854](https://github.com/kubeflow/kubeflow/issues/1854)
- Provide an option to deploy an application-controller that will deploy the kubeflow application in-cluster [\#1831](https://github.com/kubeflow/kubeflow/issues/1831)
- Not able to build from source: Makefile:17: recipe for target 'presubmit' failed [\#1812](https://github.com/kubeflow/kubeflow/issues/1812)
- \[gcp\] Enable new stackdriver Kubernetes agents on GKE [\#1757](https://github.com/kubeflow/kubeflow/issues/1757)
- Create a kubeflow application in the GCP Marketplace [\#1691](https://github.com/kubeflow/kubeflow/issues/1691)
- migrate bootstraper from glide to dep  [\#1520](https://github.com/kubeflow/kubeflow/issues/1520)
- Make ambassador number of replicas configurable [\#1112](https://github.com/kubeflow/kubeflow/issues/1112)
- proposal for tooling [\#250](https://github.com/kubeflow/kubeflow/issues/250)

**Merged pull requests:**

- remove ghost registries from 0.4 branch [\#2266](https://github.com/kubeflow/kubeflow/pull/2266) ([kunmingg](https://github.com/kunmingg))
- remove ghost registries; make kf version env var on deploy app [\#2265](https://github.com/kubeflow/kubeflow/pull/2265) ([kunmingg](https://github.com/kunmingg))
- use golang:1.11.2 as base image; more ksonnet 0.13.1 API change [\#2258](https://github.com/kubeflow/kubeflow/pull/2258) ([kunmingg](https://github.com/kunmingg))
- remove load sample job from pipeline config [\#2254](https://github.com/kubeflow/kubeflow/pull/2254) ([IronPan](https://github.com/IronPan))
- bump pipeline sdk version to 0.1.7 [\#2253](https://github.com/kubeflow/kubeflow/pull/2253) ([IronPan](https://github.com/IronPan))
- Update Pipeline version to v0.1.7 [\#2252](https://github.com/kubeflow/kubeflow/pull/2252) ([IronPan](https://github.com/IronPan))
- Minor readability modifications in test\_jsonnet.py [\#2246](https://github.com/kubeflow/kubeflow/pull/2246) ([cclauss](https://github.com/cclauss))
- update params following ksonnet v0.13.1; update image build file path [\#2245](https://github.com/kubeflow/kubeflow/pull/2245) ([kunmingg](https://github.com/kunmingg))
- update jupyter hub with customized docker registry [\#2243](https://github.com/kubeflow/kubeflow/pull/2243) ([cheyang](https://github.com/cheyang))
- split debug case into separate docker file so we don't expose port unnecessary [\#2242](https://github.com/kubeflow/kubeflow/pull/2242) ([kunmingg](https://github.com/kunmingg))
- argo s3 artifact repository configuration added [\#2238](https://github.com/kubeflow/kubeflow/pull/2238) ([pbrzostowski](https://github.com/pbrzostowski))
- Fix katib repo for the docker registry which doesn't support sub namespace [\#2237](https://github.com/kubeflow/kubeflow/pull/2237) ([cheyang](https://github.com/cheyang))
- Adding pytorch operator to non gcp platforms [\#2236](https://github.com/kubeflow/kubeflow/pull/2236) ([johnugeorge](https://github.com/johnugeorge))
- set jupyterHubAuthenticator explicitly even for default values [\#2235](https://github.com/kubeflow/kubeflow/pull/2235) ([kunmingg](https://github.com/kunmingg))
- Add HorizontalPodAutoscaler to TF-Serving component [\#2231](https://github.com/kubeflow/kubeflow/pull/2231) ([Youki](https://github.com/Youki))
- Sync up Kubeflow official docker images to user's registry [\#2230](https://github.com/kubeflow/kubeflow/pull/2230) ([cheyang](https://github.com/cheyang))
- Undefined name: from six.moves import xrange for line 50 [\#2228](https://github.com/kubeflow/kubeflow/pull/2228) ([cclauss](https://github.com/cclauss))
- Undefined name: 'false' --\> 'False' [\#2227](https://github.com/kubeflow/kubeflow/pull/2227) ([cclauss](https://github.com/cclauss))
- Adding pytorch operator to non gcp platforms [\#2225](https://github.com/kubeflow/kubeflow/pull/2225) ([johnugeorge](https://github.com/johnugeorge))
- Make ambassador number of replicas configurable \#1112 [\#2224](https://github.com/kubeflow/kubeflow/pull/2224) ([agemocui](https://github.com/agemocui))
- Consistent formatting of prototype docs [\#2221](https://github.com/kubeflow/kubeflow/pull/2221) ([TimZaman](https://github.com/TimZaman))
- Profiles resource should support setting resource quotas on namespaces [\#2182](https://github.com/kubeflow/kubeflow/pull/2182) ([stpabhi](https://github.com/stpabhi))
- fixes Change the application component to agree with kubernetes-sigs application CRD [\#2154](https://github.com/kubeflow/kubeflow/pull/2154) ([kkasravi](https://github.com/kkasravi))

## [v0.4.0](https://github.com/kubeflow/kubeflow/tree/v0.4.0) (2019-01-05)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.0-rc.3...v0.4.0)

**Closed issues:**

- kfctl.sh should check the name of the deployment is \< 25 characters on GCP [\#2189](https://github.com/kubeflow/kubeflow/issues/2189)
- sync-notebook needs to look for a Deployment kind that is version independent [\#2185](https://github.com/kubeflow/kubeflow/issues/2185)
- \[Proposal\] Jupyter Notebook Image Zoo [\#1643](https://github.com/kubeflow/kubeflow/issues/1643)
- Can we scope SeldonCore to a namespace [\#1452](https://github.com/kubeflow/kubeflow/issues/1452)

**Merged pull requests:**

- Kubebench component update cherrypick [\#2220](https://github.com/kubeflow/kubeflow/pull/2220) ([r2d4](https://github.com/r2d4))
- Add kubebench-dashboard package [\#2219](https://github.com/kubeflow/kubeflow/pull/2219) ([xyhuang](https://github.com/xyhuang))
- simplify cloud shell; add instruction message [\#2218](https://github.com/kubeflow/kubeflow/pull/2218) ([kunmingg](https://github.com/kunmingg))
- publish v0.4.0 on web app [\#2217](https://github.com/kubeflow/kubeflow/pull/2217) ([kunmingg](https://github.com/kunmingg))
- Update kubebench tags for 0.4.0 release [\#2216](https://github.com/kubeflow/kubeflow/pull/2216) ([richardsliu](https://github.com/richardsliu))
- add status tag to deployments\_failure; exclude failure caused by quota or permission issue [\#2215](https://github.com/kubeflow/kubeflow/pull/2215) ([kunmingg](https://github.com/kunmingg))
- Cherrypick v0.4-branch: kfctl: add default zone if not specified \(\#2210\) [\#2214](https://github.com/kubeflow/kubeflow/pull/2214) ([r2d4](https://github.com/r2d4))
- sync-notebook needs to look for a Deployment kind that is version independent [\#2211](https://github.com/kubeflow/kubeflow/pull/2211) ([stpabhi](https://github.com/stpabhi))
- kfctl: add default zone if not specified [\#2210](https://github.com/kubeflow/kubeflow/pull/2210) ([r2d4](https://github.com/r2d4))
- sync-notebook needs to look for a Deployment kind that is version independent [\#2194](https://github.com/kubeflow/kubeflow/pull/2194) ([stpabhi](https://github.com/stpabhi))
-    Check the name of the deployment is \< 25 characters on GCP [\#2191](https://github.com/kubeflow/kubeflow/pull/2191) ([jcastill](https://github.com/jcastill))
- Update tf-serving.libsonnet for replicas [\#2113](https://github.com/kubeflow/kubeflow/pull/2113) ([Youki](https://github.com/Youki))
- Remove Seldon Cluster Roles by default [\#2039](https://github.com/kubeflow/kubeflow/pull/2039) ([cliveseldon](https://github.com/cliveseldon))

## [v0.4.0-rc.3](https://github.com/kubeflow/kubeflow/tree/v0.4.0-rc.3) (2019-01-03)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.0-rc.2...v0.4.0-rc.3)

**Closed issues:**

- Deploy script fails with unsupported k8s version 1.9.6-gke.6 [\#2193](https://github.com/kubeflow/kubeflow/issues/2193)
- Use consistent naming in release artifacts [\#2183](https://github.com/kubeflow/kubeflow/issues/2183)
- Docs: referenced version of KF is not the latest [\#2170](https://github.com/kubeflow/kubeflow/issues/2170)
- Add timestamps in the log messages of the click to deploy app [\#2166](https://github.com/kubeflow/kubeflow/issues/2166)
- Don't wait for IAP redirect when Skip IAP is selected [\#2165](https://github.com/kubeflow/kubeflow/issues/2165)
- util.sh check\_install falls back to check for ks [\#2162](https://github.com/kubeflow/kubeflow/issues/2162)
- Create changelog for 0.4 release [\#2133](https://github.com/kubeflow/kubeflow/issues/2133)
- Can kubeflow run a job using multi-nodes' resources ? [\#2130](https://github.com/kubeflow/kubeflow/issues/2130)
- Reproduce FastAI dawn-benchmark using Kubeflow [\#2119](https://github.com/kubeflow/kubeflow/issues/2119)
- bootstrap golang modules  [\#2022](https://github.com/kubeflow/kubeflow/issues/2022)
- Argo UI not working [\#2021](https://github.com/kubeflow/kubeflow/issues/2021)
- Which jubyterhub disks param name to use when assigning GCFS as PV [\#1934](https://github.com/kubeflow/kubeflow/issues/1934)
- Kubeflow on GKE not using the default gcp zone configured in the cloud shell. [\#1914](https://github.com/kubeflow/kubeflow/issues/1914)
- Cherry-pick reduced minikube scope in 0.3 patch [\#1891](https://github.com/kubeflow/kubeflow/issues/1891)
- How to change the TFJob termination policy to waiting all workers to complete [\#1796](https://github.com/kubeflow/kubeflow/issues/1796)
- \[Discussion\] Do we need JupyterHub? Should we just use a web app + K8s API Server? [\#1630](https://github.com/kubeflow/kubeflow/issues/1630)
- TFJob will not run if the TFJob CRD includes scope: Namespaced [\#1606](https://github.com/kubeflow/kubeflow/issues/1606)

**Merged pull requests:**

- Automated cherry pick of \#2204: Update katib for v0.4.0 release Cherry pick of \#2204 on v0.4-branch. \#2204: Update katib for v0.4.0 release [\#2205](https://github.com/kubeflow/kubeflow/pull/2205) ([richardsliu](https://github.com/richardsliu))
- Tag and update katib for v0.4.0 release [\#2204](https://github.com/kubeflow/kubeflow/pull/2204) ([richardsliu](https://github.com/richardsliu))
- Cherrypick - Add retry to loading the sample job \(\#2199\) [\#2203](https://github.com/kubeflow/kubeflow/pull/2203) ([IronPan](https://github.com/IronPan))
- Fix OWNERs file for gcp package. [\#2202](https://github.com/kubeflow/kubeflow/pull/2202) ([jlewi](https://github.com/jlewi))
- Add CUJs for  multiuser kubeflow to the ROADMAP. [\#2200](https://github.com/kubeflow/kubeflow/pull/2200) ([jlewi](https://github.com/jlewi))
- Add retry to loading the sample job [\#2199](https://github.com/kubeflow/kubeflow/pull/2199) ([IronPan](https://github.com/IronPan))
- Add log timestamps, and do not wait for IAP if skipped IAP  [\#2198](https://github.com/kubeflow/kubeflow/pull/2198) ([abhi-g](https://github.com/abhi-g))
- kfctl.sh shouldn't fail if a user isn't explicitly in the IAM policy - 0.4 patch. [\#2188](https://github.com/kubeflow/kubeflow/pull/2188) ([jlewi](https://github.com/jlewi))
- kfctl.sh shouldn't fail if a user isn't explicitly in the IAM policy. [\#2187](https://github.com/kubeflow/kubeflow/pull/2187) ([jlewi](https://github.com/jlewi))
- Add the TF 1.11 & TF 1.12 Jupyter images to the spawner drop down box. [\#2181](https://github.com/kubeflow/kubeflow/pull/2181) ([jlewi](https://github.com/jlewi))
- Add the TF 1.11 & TF 1.12 Jupyter images to the spawner drop down box. [\#2180](https://github.com/kubeflow/kubeflow/pull/2180) ([jlewi](https://github.com/jlewi))
- Add instructions for enabling the periodic tests on the new release branch [\#2179](https://github.com/kubeflow/kubeflow/pull/2179) ([jlewi](https://github.com/jlewi))
- "argo" should be "Argo" [\#2168](https://github.com/kubeflow/kubeflow/pull/2168) ([suigh](https://github.com/suigh))
- Add log timestamps, and do not wait for IAP if skipped IAP [\#2167](https://github.com/kubeflow/kubeflow/pull/2167) ([abhi-g](https://github.com/abhi-g))
- \[gcp-click-to-deploy\] cleanup: remove ks and kubectl from Dockerfile [\#2164](https://github.com/kubeflow/kubeflow/pull/2164) ([stpabhi](https://github.com/stpabhi))
- Fix check install to use param for type as well as which check  [\#2163](https://github.com/kubeflow/kubeflow/pull/2163) ([holdenk](https://github.com/holdenk))
- update kf version to 0.3.5; add retry around IAM policy edit [\#2161](https://github.com/kubeflow/kubeflow/pull/2161) ([kunmingg](https://github.com/kunmingg))
- \[gcp-deployer\] Style fixes [\#2158](https://github.com/kubeflow/kubeflow/pull/2158) ([yebrahim](https://github.com/yebrahim))
- Update ROADMAP with link to CUJ for build/train/deploy from notebook. [\#2143](https://github.com/kubeflow/kubeflow/pull/2143) ([jlewi](https://github.com/jlewi))
- parameterize mysql and minio image [\#2109](https://github.com/kubeflow/kubeflow/pull/2109) ([IronPan](https://github.com/IronPan))
- kfctl functional description and changes required [\#2091](https://github.com/kubeflow/kubeflow/pull/2091) ([kkasravi](https://github.com/kkasravi))
- fixes 'bootstrap golang modules' [\#2090](https://github.com/kubeflow/kubeflow/pull/2090) ([kkasravi](https://github.com/kkasravi))

## [v0.4.0-rc.2](https://github.com/kubeflow/kubeflow/tree/v0.4.0-rc.2) (2018-12-21)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.5...v0.4.0-rc.2)

**Closed issues:**

- Split up core ksonnet package into separate packages [\#42](https://github.com/kubeflow/kubeflow/issues/42)

**Merged pull requests:**

- rename kubeflow/core to kubeflow/common [\#2160](https://github.com/kubeflow/kubeflow/pull/2160) ([jlewi](https://github.com/jlewi))
- Cut 0.4.0 release branch [\#2150](https://github.com/kubeflow/kubeflow/pull/2150) ([r2d4](https://github.com/r2d4))
- rename kubeflow/core to kubeflow/common [\#2107](https://github.com/kubeflow/kubeflow/pull/2107) ([kkasravi](https://github.com/kkasravi))
- use service account token to make request, set token life time to be 15 mins. [\#2062](https://github.com/kubeflow/kubeflow/pull/2062) ([kunmingg](https://github.com/kunmingg))

## [v0.3.5](https://github.com/kubeflow/kubeflow/tree/v0.3.5) (2018-12-21)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.4.0-rc.1...v0.3.5)

**Merged pull requests:**

- cherry pick pipeline fix to v0.3 branch [\#2153](https://github.com/kubeflow/kubeflow/pull/2153) ([IronPan](https://github.com/IronPan))

## [v0.4.0-rc.1](https://github.com/kubeflow/kubeflow/tree/v0.4.0-rc.1) (2018-12-21)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.4-rc.2...v0.4.0-rc.1)

**Closed issues:**

- Issue installing Kubeflow 0.3  [\#2128](https://github.com/kubeflow/kubeflow/issues/2128)
- Update ksonnet package for Katib [\#2126](https://github.com/kubeflow/kubeflow/issues/2126)
- master head: cloud-endpoints controller not respond to newly created CRD  [\#2125](https://github.com/kubeflow/kubeflow/issues/2125)
- Cloud Endpoints Controller not working on master [\#2120](https://github.com/kubeflow/kubeflow/issues/2120)
- Ks package for kubebench operator [\#2110](https://github.com/kubeflow/kubeflow/issues/2110)
- CrashLoopBackOff pods after 'apply k8s' [\#2077](https://github.com/kubeflow/kubeflow/issues/2077)
- no persistent volumes available for this claim and no storage class is set; minio and pipelines [\#2076](https://github.com/kubeflow/kubeflow/issues/2076)
- Issue while deploying kubeflow on GKE using command line- killed message in Cloud Shell [\#2075](https://github.com/kubeflow/kubeflow/issues/2075)
- Ambassador crashing in kops  cluster  [\#2074](https://github.com/kubeflow/kubeflow/issues/2074)
- deploy.sh should not assume uuidgen is present [\#2072](https://github.com/kubeflow/kubeflow/issues/2072)
- setup-minikube.sh doesn't install ksonnet if missing [\#2068](https://github.com/kubeflow/kubeflow/issues/2068)
- New Jupyter spawner Ui doesn't allow entering a custom image [\#2060](https://github.com/kubeflow/kubeflow/issues/2060)
- add a jobs component [\#2058](https://github.com/kubeflow/kubeflow/issues/2058)
- Upgrade ks to 0.13.1 [\#2031](https://github.com/kubeflow/kubeflow/issues/2031)
- Auto-scaling for Seldon serving? [\#2029](https://github.com/kubeflow/kubeflow/issues/2029)
- Upgrade bootstrapper to use go modules [\#2023](https://github.com/kubeflow/kubeflow/issues/2023)
- Grant kubeflow user service account CMLE permission [\#2012](https://github.com/kubeflow/kubeflow/issues/2012)
- Seems to be an issue in kfctl.sh re existence of dir ${DEPLOYMENT\_NAME}  [\#2009](https://github.com/kubeflow/kubeflow/issues/2009)
- trying to deploy a component using ks after initial deployment fails [\#2006](https://github.com/kubeflow/kubeflow/issues/2006)
- Move components in core into a GCP specific ksonnet package [\#1996](https://github.com/kubeflow/kubeflow/issues/1996)
- Installation woes - ./kfctl.sh: line 189: env.sh: No such file or directory [\#1993](https://github.com/kubeflow/kubeflow/issues/1993)
- TF-Serving http-proxy error [\#1979](https://github.com/kubeflow/kubeflow/issues/1979)
- TFServing template needs to convert numGpus from string to int [\#1972](https://github.com/kubeflow/kubeflow/issues/1972)
- Expose Istio's grafana dashboard [\#1969](https://github.com/kubeflow/kubeflow/issues/1969)
- Integrate pipelines into Kubeflow click to deploy [\#1967](https://github.com/kubeflow/kubeflow/issues/1967)
- Figure out Istio installation in Kubeflow [\#1909](https://github.com/kubeflow/kubeflow/issues/1909)
- upgrade cloud-endpoints-controller to use metacontroller/metacontroller:v0.3.0 [\#1824](https://github.com/kubeflow/kubeflow/issues/1824)
- Jupyter image with NVIDIA Rapids [\#1806](https://github.com/kubeflow/kubeflow/issues/1806)
- \[GCP\] Upgrade envoy used for JWT validation [\#1696](https://github.com/kubeflow/kubeflow/issues/1696)
- On Premises deployment of Kubeflow fails unless ks flags are set v0.3 [\#1615](https://github.com/kubeflow/kubeflow/issues/1615)
- Test Flake git clone fails RPC error [\#1178](https://github.com/kubeflow/kubeflow/issues/1178)
- \[Test Flake\] GCP deployer script resource conflict setting IAM policy [\#1140](https://github.com/kubeflow/kubeflow/issues/1140)
- Document Serving for PyTorch models [\#1117](https://github.com/kubeflow/kubeflow/issues/1117)

**Merged pull requests:**

- update pipeline version [\#2151](https://github.com/kubeflow/kubeflow/pull/2151) ([IronPan](https://github.com/IronPan))
- \[gcp-deployer\] Package size fix, client id and secret textfield styling fix [\#2139](https://github.com/kubeflow/kubeflow/pull/2139) ([yebrahim](https://github.com/yebrahim))
- Fix one click deployer url in README [\#2138](https://github.com/kubeflow/kubeflow/pull/2138) ([yebrahim](https://github.com/yebrahim))
- Fixes initialization script does not correctly detect ks installation [\#2137](https://github.com/kubeflow/kubeflow/pull/2137) ([holdenk](https://github.com/holdenk))
- Update ksonnet package for Katib [\#2135](https://github.com/kubeflow/kubeflow/pull/2135) ([andreyvelich](https://github.com/andreyvelich))
- Create cloud sql database for ml pipeline  [\#2123](https://github.com/kubeflow/kubeflow/pull/2123) ([IronPan](https://github.com/IronPan))
- fixes "Cloud Endpoints Controller not working on mmaster" [\#2122](https://github.com/kubeflow/kubeflow/pull/2122) ([kkasravi](https://github.com/kkasravi))
- Enable stackdriver agents for GKE  by default. [\#2118](https://github.com/kubeflow/kubeflow/pull/2118) ([jlewi](https://github.com/jlewi))
- Fix the modeldb ambassador route. [\#2117](https://github.com/kubeflow/kubeflow/pull/2117) ([jlewi](https://github.com/jlewi))
- Fix the check if directory named ${DEPLOYMENT\_NAME} exists [\#2115](https://github.com/kubeflow/kubeflow/pull/2115) ([jlewi](https://github.com/jlewi))
- Update kubeflow components to v0.4.0 [\#2112](https://github.com/kubeflow/kubeflow/pull/2112) ([richardsliu](https://github.com/richardsliu))
- Kubebench operator ksonnet package [\#2111](https://github.com/kubeflow/kubeflow/pull/2111) ([andreyvelich](https://github.com/andreyvelich))
- Add yebrahim to pipeline ksonnet owner [\#2108](https://github.com/kubeflow/kubeflow/pull/2108) ([IronPan](https://github.com/IronPan))
- add r2d4 to approvers [\#2106](https://github.com/kubeflow/kubeflow/pull/2106) ([r2d4](https://github.com/r2d4))
- Replace with std.asciiUpper with supported by required version of jsonnet [\#2104](https://github.com/kubeflow/kubeflow/pull/2104) ([Jeffwan](https://github.com/Jeffwan))
- Don't grant cloudservices account IAM admin priveleges. [\#2101](https://github.com/kubeflow/kubeflow/pull/2101) ([jlewi](https://github.com/jlewi))
- ks init: --skip-default-registries + append ${KS\_INIT\_EXTRA\_ARGS} [\#2100](https://github.com/kubeflow/kubeflow/pull/2100) ([doodlesbykumbi](https://github.com/doodlesbykumbi))
- Update aws parameters in serving and dashboard [\#2097](https://github.com/kubeflow/kubeflow/pull/2097) ([Jeffwan](https://github.com/Jeffwan))
- Update private IP configuration with new GKE API [\#2085](https://github.com/kubeflow/kubeflow/pull/2085) ([IronPan](https://github.com/IronPan))
- Correct typo, "for ever image" should be  "for every image" [\#2084](https://github.com/kubeflow/kubeflow/pull/2084) ([suigh](https://github.com/suigh))
- Fix variable in setup-minikube.sh [\#2082](https://github.com/kubeflow/kubeflow/pull/2082) ([andreyvelich](https://github.com/andreyvelich))
- Owners file for jupyter ksonnet [\#2081](https://github.com/kubeflow/kubeflow/pull/2081) ([pdmack](https://github.com/pdmack))
- fixes 'upgrade cloud-endpoints-controller to use metacontroller/metacontroller:v0.3.0 [\#2080](https://github.com/kubeflow/kubeflow/pull/2080) ([kkasravi](https://github.com/kkasravi))
- JH Spawner Enhancements - Fixes \#2060 [\#2079](https://github.com/kubeflow/kubeflow/pull/2079) ([ioandr](https://github.com/ioandr))
- Add job to load pipeline samples [\#2071](https://github.com/kubeflow/kubeflow/pull/2071) ([IronPan](https://github.com/IronPan))
- Enforce use string type param for S3\_USE\_HTTPS and S3\_VERIFY\_SSL [\#2067](https://github.com/kubeflow/kubeflow/pull/2067) ([Jeffwan](https://github.com/Jeffwan))
- Temp workaround for RAPIDS shared lib issues [\#2066](https://github.com/kubeflow/kubeflow/pull/2066) ([pdmack](https://github.com/pdmack))
- Update katib components [\#2064](https://github.com/kubeflow/kubeflow/pull/2064) ([richardsliu](https://github.com/richardsliu))
- update kf version to v0.3.4 [\#2063](https://github.com/kubeflow/kubeflow/pull/2063) ([kunmingg](https://github.com/kunmingg))
- Fix a version number bug and add tf-batch-prediction into kubeflow registry [\#2061](https://github.com/kubeflow/kubeflow/pull/2061) ([yixinshi](https://github.com/yixinshi))
- unify central dashboard layout [\#2056](https://github.com/kubeflow/kubeflow/pull/2056) ([kunmingg](https://github.com/kunmingg))
- Updates for RAPIDS AI v0.4.0 image [\#2053](https://github.com/kubeflow/kubeflow/pull/2053) ([pdmack](https://github.com/pdmack))
- Add modeldb as a package for kubeflow [\#2050](https://github.com/kubeflow/kubeflow/pull/2050) ([mpvartak](https://github.com/mpvartak))
- refactor monitoring metrics [\#2048](https://github.com/kubeflow/kubeflow/pull/2048) ([kunmingg](https://github.com/kunmingg))
- upgrade central dashboard image to v0.3.4 to include pipeline ui link [\#2047](https://github.com/kubeflow/kubeflow/pull/2047) ([kunmingg](https://github.com/kunmingg))
- Update Pipeline SDK version to v0.1.3 [\#2046](https://github.com/kubeflow/kubeflow/pull/2046) ([IronPan](https://github.com/IronPan))
- fixes 'Move components in core into a GCP specific ksonnet package' [\#2043](https://github.com/kubeflow/kubeflow/pull/2043) ([kkasravi](https://github.com/kkasravi))
- Easy for code reading [\#2042](https://github.com/kubeflow/kubeflow/pull/2042) ([wangkeqiang123](https://github.com/wangkeqiang123))
- always convert numGpu to int [\#2034](https://github.com/kubeflow/kubeflow/pull/2034) ([lluunn](https://github.com/lluunn))
- Support running batch prediction by launching a Dataflow job on GCP [\#2026](https://github.com/kubeflow/kubeflow/pull/2026) ([yixinshi](https://github.com/yixinshi))
- Give jupyter-notebook pods/log permission for fairing [\#2015](https://github.com/kubeflow/kubeflow/pull/2015) ([r2d4](https://github.com/r2d4))

## [v0.3.4-rc.2](https://github.com/kubeflow/kubeflow/tree/v0.3.4-rc.2) (2018-12-06)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.4...v0.3.4-rc.2)

## [v0.3.4](https://github.com/kubeflow/kubeflow/tree/v0.3.4) (2018-12-06)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.4-rc.1...v0.3.4)

**Closed issues:**

-  ImagePullBackOff for images on GCR within same GCP project as GKE cluster [\#2044](https://github.com/kubeflow/kubeflow/issues/2044)
- ksonnet runtime error Seldon [\#2001](https://github.com/kubeflow/kubeflow/issues/2001)
- Better testing output for jsonnet [\#1988](https://github.com/kubeflow/kubeflow/issues/1988)
- Install pipelines SDK in Jupyter images [\#1968](https://github.com/kubeflow/kubeflow/issues/1968)
- Deploy pipelines as part of kfctl.sh [\#1966](https://github.com/kubeflow/kubeflow/issues/1966)
- Create a pipelines ksonnet package [\#1965](https://github.com/kubeflow/kubeflow/issues/1965)
- ksonnet env should override params [\#1924](https://github.com/kubeflow/kubeflow/issues/1924)
- Use ksonnet modules to better organize applications [\#1922](https://github.com/kubeflow/kubeflow/issues/1922)
- Create an openvino component [\#1913](https://github.com/kubeflow/kubeflow/issues/1913)
- Kubernetes Engine for Kubeflow Quickstart Guide - Proposed Fixes [\#1898](https://github.com/kubeflow/kubeflow/issues/1898)
- Tooling to convert notebook to docker container [\#1857](https://github.com/kubeflow/kubeflow/issues/1857)
- Fire off TFJob from Jupyter Notebook [\#1240](https://github.com/kubeflow/kubeflow/issues/1240)
- JupyterHub spawner - Highlight PV requirement [\#541](https://github.com/kubeflow/kubeflow/issues/541)
- Extend KubeSpawner and its UI to handle Persistent Volume Claims [\#34](https://github.com/kubeflow/kubeflow/issues/34)

**Merged pull requests:**

- Merge Pipeline integration change to v0.3 [\#2055](https://github.com/kubeflow/kubeflow/pull/2055) ([IronPan](https://github.com/IronPan))
- More istio manifest, and README [\#2051](https://github.com/kubeflow/kubeflow/pull/2051) ([lluunn](https://github.com/lluunn))
- Update Pipeline version to v0.1.3 [\#2045](https://github.com/kubeflow/kubeflow/pull/2045) ([IronPan](https://github.com/IronPan))
- delete config set in gcp-click-to-deploy dir since its already merged with kfctl config [\#2041](https://github.com/kubeflow/kubeflow/pull/2041) ([kunmingg](https://github.com/kunmingg))
- Update OWNERS [\#2040](https://github.com/kubeflow/kubeflow/pull/2040) ([ellis-bigelow](https://github.com/ellis-bigelow))
- Add fairing library to jupyter images [\#2038](https://github.com/kubeflow/kubeflow/pull/2038) ([r2d4](https://github.com/r2d4))
- add permission to get pod's log [\#2037](https://github.com/kubeflow/kubeflow/pull/2037) ([IronPan](https://github.com/IronPan))
- Add roles/dataproc.editor for kubeflow user account [\#2035](https://github.com/kubeflow/kubeflow/pull/2035) ([IronPan](https://github.com/IronPan))
- Grafana routing rule [\#2025](https://github.com/kubeflow/kubeflow/pull/2025) ([lluunn](https://github.com/lluunn))
- Istio manifest [\#2020](https://github.com/kubeflow/kubeflow/pull/2020) ([lluunn](https://github.com/lluunn))
- Activate CMLE during kfctl deployment [\#2018](https://github.com/kubeflow/kubeflow/pull/2018) ([IronPan](https://github.com/IronPan))
- Activate CMLE during one-click deployment [\#2017](https://github.com/kubeflow/kubeflow/pull/2017) ([IronPan](https://github.com/IronPan))
- grant KF user SA CMLE admin permission [\#2013](https://github.com/kubeflow/kubeflow/pull/2013) ([IronPan](https://github.com/IronPan))
- Katib 0.3 cherrypick [\#2011](https://github.com/kubeflow/kubeflow/pull/2011) ([texasmichelle](https://github.com/texasmichelle))
- Add latest stable DSL SDK to jupyter image [\#2008](https://github.com/kubeflow/kubeflow/pull/2008) ([IronPan](https://github.com/IronPan))
- fixes 'trying to deploy a component using ks after initial deployment fails' [\#2007](https://github.com/kubeflow/kubeflow/pull/2007) ([kkasravi](https://github.com/kkasravi))
- use backoff module to handle IAM policy retry with randmize wait time [\#2004](https://github.com/kubeflow/kubeflow/pull/2004) ([kunmingg](https://github.com/kunmingg))
- Fix bad merge conflict on v0.3-branch [\#2003](https://github.com/kubeflow/kubeflow/pull/2003) ([r2d4](https://github.com/r2d4))
- Adding scope for tf job dashboard [\#2002](https://github.com/kubeflow/kubeflow/pull/2002) ([johnugeorge](https://github.com/johnugeorge))
- Make it easier to debug jsonnet tests [\#1989](https://github.com/kubeflow/kubeflow/pull/1989) ([jlewi](https://github.com/jlewi))
- deploy app loadtest, python part [\#1986](https://github.com/kubeflow/kubeflow/pull/1986) ([kunmingg](https://github.com/kunmingg))
- fixes 'ksonnet env should override params' [\#1939](https://github.com/kubeflow/kubeflow/pull/1939) ([kkasravi](https://github.com/kkasravi))
- Support multiple PVCs in default JH UI, add example 3rd-party UI [\#1918](https://github.com/kubeflow/kubeflow/pull/1918) ([ioandr](https://github.com/ioandr))
- fixes 'Create an openvino component' [\#1916](https://github.com/kubeflow/kubeflow/pull/1916) ([kkasravi](https://github.com/kkasravi))

## [v0.3.4-rc.1](https://github.com/kubeflow/kubeflow/tree/v0.3.4-rc.1) (2018-11-26)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.3...v0.3.4-rc.1)

**Closed issues:**

- Missing scope in CRD spec? [\#1985](https://github.com/kubeflow/kubeflow/issues/1985)
- Error persistentvolumeclaim "nfs" not found while host model from NFS [\#1964](https://github.com/kubeflow/kubeflow/issues/1964)
- Fix Katib image tags in v0.3-branch [\#1953](https://github.com/kubeflow/kubeflow/issues/1953)
- user-gcp-sa secret not show up with --platform gcp [\#1950](https://github.com/kubeflow/kubeflow/issues/1950)
- Error deploying Kubeflow using kfctl.sh with --platform gcp [\#1949](https://github.com/kubeflow/kubeflow/issues/1949)
- Can TFJob be parameterized by replica index [\#1943](https://github.com/kubeflow/kubeflow/issues/1943)
- Dashboard cannot list tf jobs [\#1883](https://github.com/kubeflow/kubeflow/issues/1883)
- Issues installing 0.3 [\#1871](https://github.com/kubeflow/kubeflow/issues/1871)
- flaky configure\_envoy\_for\_iap.sh [\#1807](https://github.com/kubeflow/kubeflow/issues/1807)
- create a notebook controller that can replace jupyterhub and uses k8 native auth [\#1769](https://github.com/kubeflow/kubeflow/issues/1769)
- Build Jupyter notebook images for TF 1.11 and 1.12 [\#1740](https://github.com/kubeflow/kubeflow/issues/1740)
- kfctl.sh apply platform assumes availability of yaml python library [\#1739](https://github.com/kubeflow/kubeflow/issues/1739)
-  Unable to install Kubeflow on a exising 2 node ubuntu cluster; Docs need to be fixed [\#1711](https://github.com/kubeflow/kubeflow/issues/1711)
- \[gcp\] Click to deploy needs to save DM config to cloud source repo as well. [\#1655](https://github.com/kubeflow/kubeflow/issues/1655)
- PyTorch and TFJob v1beta1 API [\#1584](https://github.com/kubeflow/kubeflow/issues/1584)
- Error in the generated YAML [\#1524](https://github.com/kubeflow/kubeflow/issues/1524)
- Exposing service using Nginx Ingress Controller and load balancing \(question\) [\#1214](https://github.com/kubeflow/kubeflow/issues/1214)
- Problems upgrading services of type NodePort; spec.clusterIP: Invalid value: "":  [\#1145](https://github.com/kubeflow/kubeflow/issues/1145)
- Simplify Image Tag management for releases [\#1060](https://github.com/kubeflow/kubeflow/issues/1060)
- TFServing supports collection of metrics with prometheus [\#1036](https://github.com/kubeflow/kubeflow/issues/1036)
- Add a parameter for clusters without RBAC [\#1027](https://github.com/kubeflow/kubeflow/issues/1027)
- Can not bring up Jupyter Notebook [\#672](https://github.com/kubeflow/kubeflow/issues/672)
- Clusters created during e2e tests should be GC [\#560](https://github.com/kubeflow/kubeflow/issues/560)
- ksonnet + openshift picking up wrong k8s version number [\#521](https://github.com/kubeflow/kubeflow/issues/521)
- How to access notebook on KUBO? [\#294](https://github.com/kubeflow/kubeflow/issues/294)
- Investigate using Docker to run Kubernetes and Kubeflow locally [\#218](https://github.com/kubeflow/kubeflow/issues/218)

**Merged pull requests:**

- Pipelines 0.3.3 cherrypick [\#1998](https://github.com/kubeflow/kubeflow/pull/1998) ([r2d4](https://github.com/r2d4))
- Add texasmichelle to OWNERS [\#1992](https://github.com/kubeflow/kubeflow/pull/1992) ([texasmichelle](https://github.com/texasmichelle))
- Fix CRD scopes. [\#1987](https://github.com/kubeflow/kubeflow/pull/1987) ([jlewi](https://github.com/jlewi))
- Remove IAM permission from DM service account [\#1984](https://github.com/kubeflow/kubeflow/pull/1984) ([kunmingg](https://github.com/kunmingg))
- add pipeline as part of kf deployment [\#1981](https://github.com/kubeflow/kubeflow/pull/1981) ([IronPan](https://github.com/IronPan))
- Add IronPan to pipeline ks package owner [\#1980](https://github.com/kubeflow/kubeflow/pull/1980) ([IronPan](https://github.com/IronPan))
- Adding Pytorch v1beta1 image [\#1978](https://github.com/kubeflow/kubeflow/pull/1978) ([johnugeorge](https://github.com/johnugeorge))
- Check for python module pyyaml when using kfctl.sh on platform GCP. [\#1975](https://github.com/kubeflow/kubeflow/pull/1975) ([IMBurbank](https://github.com/IMBurbank))
- Add IronPan as Argo owner [\#1974](https://github.com/kubeflow/kubeflow/pull/1974) ([IronPan](https://github.com/IronPan))
- initial change - add pipeline entry to kubeflow registry [\#1973](https://github.com/kubeflow/kubeflow/pull/1973) ([IronPan](https://github.com/IronPan))
- Initial version of a Kubeflow Roadmap. [\#1963](https://github.com/kubeflow/kubeflow/pull/1963) ([jlewi](https://github.com/jlewi))
- Fix dashboard URI and increase poll interval. [\#1962](https://github.com/kubeflow/kubeflow/pull/1962) ([abhi-g](https://github.com/abhi-g))
- Enable node autoprovisioning in v1beta1 clusters [\#1959](https://github.com/kubeflow/kubeflow/pull/1959) ([richardsliu](https://github.com/richardsliu))
- Add prometheus annotation to tf serving service [\#1958](https://github.com/kubeflow/kubeflow/pull/1958) ([lluunn](https://github.com/lluunn))
- Add docker-for-desktop platform [\#1954](https://github.com/kubeflow/kubeflow/pull/1954) ([rogaha](https://github.com/rogaha))
- make IAP optional for click-deploy app [\#1927](https://github.com/kubeflow/kubeflow/pull/1927) ([kunmingg](https://github.com/kunmingg))
- miscellaneous updates and enhacements for shell scripts [\#1923](https://github.com/kubeflow/kubeflow/pull/1923) ([ashahba](https://github.com/ashahba))
- make prober always sleep before execute [\#1908](https://github.com/kubeflow/kubeflow/pull/1908) ([kunmingg](https://github.com/kunmingg))
- fixes 'create a notebook controller that can replace jupyterhub and uses k8 native auth' [\#1855](https://github.com/kubeflow/kubeflow/pull/1855) ([kkasravi](https://github.com/kkasravi))
- Separate logic for setup\_backend.sh [\#1841](https://github.com/kubeflow/kubeflow/pull/1841) ([r2d4](https://github.com/r2d4))

## [v0.3.3](https://github.com/kubeflow/kubeflow/tree/v0.3.3) (2018-11-15)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.2...v0.3.3)

**Closed issues:**

- Update spartakus image to v1.1.0 to fix cloud providers' annotation [\#1940](https://github.com/kubeflow/kubeflow/issues/1940)
- Use iam-policy value for EMAIL if case-sensitive [\#1936](https://github.com/kubeflow/kubeflow/issues/1936)
- Following Quickstart Guide - Can't Deploy Kubeflow [\#1929](https://github.com/kubeflow/kubeflow/issues/1929)
- Enable kubeflow running on POWER [\#1928](https://github.com/kubeflow/kubeflow/issues/1928)
- Do we have support in documentation for Inference?  [\#1905](https://github.com/kubeflow/kubeflow/issues/1905)
- Update katib manifests [\#1903](https://github.com/kubeflow/kubeflow/issues/1903)
- Deploy same components in click-to-deploy as kfctl [\#1892](https://github.com/kubeflow/kubeflow/issues/1892)
- Kubeflow 0.2.7 Spawning an image with GPU [\#1890](https://github.com/kubeflow/kubeflow/issues/1890)
- ksonnet package for Jupyter/JupyterHub [\#1886](https://github.com/kubeflow/kubeflow/issues/1886)
- Ksonnet package organization for TFJob and PyTorch [\#1885](https://github.com/kubeflow/kubeflow/issues/1885)
- Rollout model with istio and/or ambassador [\#1844](https://github.com/kubeflow/kubeflow/issues/1844)
- create a self-serve component for data-scientists [\#1842](https://github.com/kubeflow/kubeflow/issues/1842)
- TensorFlow Jupyter Notebook images 1.9 and above in gcr.io cannot see GPUs [\#1828](https://github.com/kubeflow/kubeflow/issues/1828)
- \[tf-notebook\] Use nvidia/cuda runtime image instead of nvidia/cuda devel image [\#1783](https://github.com/kubeflow/kubeflow/issues/1783)
- Create 0.3.1 Release [\#1761](https://github.com/kubeflow/kubeflow/issues/1761)
- TF data validation and tfma are in 1.9 images but not 1.10 [\#1718](https://github.com/kubeflow/kubeflow/issues/1718)
- \[GCP\] kfctl should provide a helpful error message if ZONE isn't set [\#1697](https://github.com/kubeflow/kubeflow/issues/1697)
- Argo UI doesn't work behind ambassador [\#1694](https://github.com/kubeflow/kubeflow/issues/1694)
- \[gcp\] E2E test to verify IAP and certmanager works [\#1668](https://github.com/kubeflow/kubeflow/issues/1668)
- \[kfctl\] Web app redirect after IAP up. [\#1420](https://github.com/kubeflow/kubeflow/issues/1420)
- Use Istio 1.0 [\#1309](https://github.com/kubeflow/kubeflow/issues/1309)
- TF serving supports request id [\#1220](https://github.com/kubeflow/kubeflow/issues/1220)
- Enable GitOps: Use \(Weave Flux or Argo CD\) to manage Kubeflow deployments [\#971](https://github.com/kubeflow/kubeflow/issues/971)

**Merged pull requests:**

- Automated cherry pick of \#1904: Fix capitalization in katib ID fields Cherry pick of \#1904 on v0.3-branch. \#1904: Fix capitalization in katib ID fields [\#1957](https://github.com/kubeflow/kubeflow/pull/1957) ([richardsliu](https://github.com/richardsliu))
- Allow CloudShell origin pattern in Jupyter config [\#1956](https://github.com/kubeflow/kubeflow/pull/1956) ([fdasilva59](https://github.com/fdasilva59))
- update katib components [\#1955](https://github.com/kubeflow/kubeflow/pull/1955) ([YujiOshima](https://github.com/YujiOshima))
- Add pipeline to centaldashboard [\#1951](https://github.com/kubeflow/kubeflow/pull/1951) ([yupbank](https://github.com/yupbank))
- Redirect deployer webapp page to Kubeflow dashboard after its ready [\#1945](https://github.com/kubeflow/kubeflow/pull/1945) ([abhi-g](https://github.com/abhi-g))
- Parse all command line options in one place and within function [\#1942](https://github.com/kubeflow/kubeflow/pull/1942) ([ashahba](https://github.com/ashahba))
- Switch spartakus volunteer image to v1.1.0 [\#1941](https://github.com/kubeflow/kubeflow/pull/1941) ([abhi-g](https://github.com/abhi-g))
- Use iam-policy value for EMAIL if case-sensitive. [\#1937](https://github.com/kubeflow/kubeflow/pull/1937) ([IMBurbank](https://github.com/IMBurbank))
- Adding support for Pytorch v1beta1 operator [\#1930](https://github.com/kubeflow/kubeflow/pull/1930) ([johnugeorge](https://github.com/johnugeorge))
- Consolidate the ksonnet component update scripts [\#1926](https://github.com/kubeflow/kubeflow/pull/1926) ([richardsliu](https://github.com/richardsliu))
- Update tf-operator component to v1beta1 [\#1921](https://github.com/kubeflow/kubeflow/pull/1921) ([richardsliu](https://github.com/richardsliu))
- Change ksonnet package path for tf-job-operator [\#1920](https://github.com/kubeflow/kubeflow/pull/1920) ([andreyvelich](https://github.com/andreyvelich))
- fix typo [\#1919](https://github.com/kubeflow/kubeflow/pull/1919) ([lluunn](https://github.com/lluunn))
- fixes 'ksonnet package for Jupyter/JupyterHub' [\#1917](https://github.com/kubeflow/kubeflow/pull/1917) ([kkasravi](https://github.com/kkasravi))
- Enable tf serving prometheus metrics [\#1911](https://github.com/kubeflow/kubeflow/pull/1911) ([lluunn](https://github.com/lluunn))
- make links open in new tab [\#1910](https://github.com/kubeflow/kubeflow/pull/1910) ([kunmingg](https://github.com/kunmingg))
- Envoy config change for istio [\#1906](https://github.com/kubeflow/kubeflow/pull/1906) ([lluunn](https://github.com/lluunn))
- Fix capitalization in katib ID fields [\#1904](https://github.com/kubeflow/kubeflow/pull/1904) ([texasmichelle](https://github.com/texasmichelle))
- Fix skip init project; use spaces consistently for indentation [\#1902](https://github.com/kubeflow/kubeflow/pull/1902) ([jlewi](https://github.com/jlewi))
- Gkeversion [\#1901](https://github.com/kubeflow/kubeflow/pull/1901) ([kunmingg](https://github.com/kunmingg))
- use backoff module to wrap flaky APIs; avoid using global locks when possible [\#1899](https://github.com/kubeflow/kubeflow/pull/1899) ([kunmingg](https://github.com/kunmingg))
- Fix model rollout with Istio [\#1897](https://github.com/kubeflow/kubeflow/pull/1897) ([lluunn](https://github.com/lluunn))
- Dm conf [\#1893](https://github.com/kubeflow/kubeflow/pull/1893) ([kunmingg](https://github.com/kunmingg))
- Provide an error message in case GCP ZONE is not set and exit, also fix styles for kfctl.sh [\#1888](https://github.com/kubeflow/kubeflow/pull/1888) ([ashahba](https://github.com/ashahba))
- Automated cherry pick of \#1717 upstream v0.3 branch [\#1884](https://github.com/kubeflow/kubeflow/pull/1884) ([jlewi](https://github.com/jlewi))
- Add a script that automatically creates cherry-picks [\#1880](https://github.com/kubeflow/kubeflow/pull/1880) ([richardsliu](https://github.com/richardsliu))
- fix iap script [\#1879](https://github.com/kubeflow/kubeflow/pull/1879) ([kunmingg](https://github.com/kunmingg))
- upgrade app version to 0.3.2 [\#1875](https://github.com/kubeflow/kubeflow/pull/1875) ([kunmingg](https://github.com/kunmingg))
- Fixing the conflict with the getting started guide [\#1873](https://github.com/kubeflow/kubeflow/pull/1873) ([connected-bsamadi](https://github.com/connected-bsamadi))
- create a self-serve component for data-scientists [\#1872](https://github.com/kubeflow/kubeflow/pull/1872) ([kkasravi](https://github.com/kkasravi))
- Add base href for correct link in Argo UI [\#1865](https://github.com/kubeflow/kubeflow/pull/1865) ([andreyvelich](https://github.com/andreyvelich))
- prober test, kubeflow testing part [\#1845](https://github.com/kubeflow/kubeflow/pull/1845) ([kunmingg](https://github.com/kunmingg))
- Refactor JH integration and UI [\#1839](https://github.com/kubeflow/kubeflow/pull/1839) ([ioandr](https://github.com/ioandr))
- \[tf-notebook-image\] add tf 1.11 cpu and gpu images [\#1786](https://github.com/kubeflow/kubeflow/pull/1786) ([r2d4](https://github.com/r2d4))
- \[cuda\] use runtime image instead of development image [\#1785](https://github.com/kubeflow/kubeflow/pull/1785) ([r2d4](https://github.com/r2d4))

## [v0.3.2](https://github.com/kubeflow/kubeflow/tree/v0.3.2) (2018-10-26)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.1...v0.3.2)

**Closed issues:**

- Job not stopping once chief is complete - v0.2.0-rc.1 [\#1853](https://github.com/kubeflow/kubeflow/issues/1853)
- For GKE deployment, change default CPU to Broadwell [\#1840](https://github.com/kubeflow/kubeflow/issues/1840)
- \[minikube\] Reduce number of default components deployed to minikube [\#1837](https://github.com/kubeflow/kubeflow/issues/1837)
- metacontroller's compositecontrollers and decoratorcontrollers need to be at Cluster scope [\#1833](https://github.com/kubeflow/kubeflow/issues/1833)
- ERROR in ks apply default -c iap-ingress [\#1827](https://github.com/kubeflow/kubeflow/issues/1827)
- ksonnet namespace should be retrieved from env not params [\#1825](https://github.com/kubeflow/kubeflow/issues/1825)
- issues with 0.3.0 deployment scripts [\#1767](https://github.com/kubeflow/kubeflow/issues/1767)
- Enable TPU in GKE [\#1766](https://github.com/kubeflow/kubeflow/issues/1766)
- TFMA Dependency [\#1745](https://github.com/kubeflow/kubeflow/issues/1745)
- jupyter\_console needs update in the latest notebooks [\#1721](https://github.com/kubeflow/kubeflow/issues/1721)
- \[gcp\] Click to deploy needs to get a valid master version for GKE by calling get-server-config [\#1653](https://github.com/kubeflow/kubeflow/issues/1653)
- test coverage for click-to-deploy app  [\#1578](https://github.com/kubeflow/kubeflow/issues/1578)
- Required JWT token is missing [\#1495](https://github.com/kubeflow/kubeflow/issues/1495)
- A small problem, Error validate kubeflow-core [\#1462](https://github.com/kubeflow/kubeflow/issues/1462)
- Does CentralUi need ClusterScope? [\#1450](https://github.com/kubeflow/kubeflow/issues/1450)
- Remove ksonnet parameter cloud [\#1227](https://github.com/kubeflow/kubeflow/issues/1227)
- Test Flake wait\_for\_workflow terminated on HTTPSConnectionPool error; why don't we retry [\#1169](https://github.com/kubeflow/kubeflow/issues/1169)
- Application Custom Resource for Kubeflow Deployments [\#1106](https://github.com/kubeflow/kubeflow/issues/1106)
- Create & label P1 issues needed for an initial release of Horovod support [\#778](https://github.com/kubeflow/kubeflow/issues/778)
- Document Red/Green Model Rollout using ISTIO  [\#667](https://github.com/kubeflow/kubeflow/issues/667)
- Central UI - need release process [\#527](https://github.com/kubeflow/kubeflow/issues/527)
- Model Management Features [\#136](https://github.com/kubeflow/kubeflow/issues/136)

**Merged pull requests:**

- fix iap script [\#1874](https://github.com/kubeflow/kubeflow/pull/1874) ([kunmingg](https://github.com/kunmingg))
- fix iap set up and prometheus config \(\#1847\) [\#1869](https://github.com/kubeflow/kubeflow/pull/1869) ([kunmingg](https://github.com/kunmingg))
- remove default version [\#1868](https://github.com/kubeflow/kubeflow/pull/1868) ([kunmingg](https://github.com/kunmingg))
- Run minikube e2e test if core components change [\#1864](https://github.com/kubeflow/kubeflow/pull/1864) ([richardsliu](https://github.com/richardsliu))
- Adds release docs for central UI [\#1863](https://github.com/kubeflow/kubeflow/pull/1863) ([swiftdiaries](https://github.com/swiftdiaries))
- make zone a dropdown list which has GPU available [\#1862](https://github.com/kubeflow/kubeflow/pull/1862) ([kunmingg](https://github.com/kunmingg))
- use broadwell [\#1852](https://github.com/kubeflow/kubeflow/pull/1852) ([lluunn](https://github.com/lluunn))
- Fix broken presubmit tests [\#1851](https://github.com/kubeflow/kubeflow/pull/1851) ([richardsliu](https://github.com/richardsliu))
- use TF serving 1.11.1 [\#1850](https://github.com/kubeflow/kubeflow/pull/1850) ([lluunn](https://github.com/lluunn))
- make alert metrics count type & add service heartbeat [\#1849](https://github.com/kubeflow/kubeflow/pull/1849) ([kunmingg](https://github.com/kunmingg))
- fix iap set up and prometheus config [\#1847](https://github.com/kubeflow/kubeflow/pull/1847) ([kunmingg](https://github.com/kunmingg))
- add gauge metrics for dashboard & alerting; add metrics for invalid a… [\#1846](https://github.com/kubeflow/kubeflow/pull/1846) ([kunmingg](https://github.com/kunmingg))
- Remove argo & katib from default minikube [\#1838](https://github.com/kubeflow/kubeflow/pull/1838) ([texasmichelle](https://github.com/texasmichelle))
- Add some latency metrics for GKE & KF deployments [\#1836](https://github.com/kubeflow/kubeflow/pull/1836) ([abhi-g](https://github.com/abhi-g))
- part of fix for 'add jsonnet tests for all libsonnet files' [\#1835](https://github.com/kubeflow/kubeflow/pull/1835) ([kkasravi](https://github.com/kkasravi))
- fixes 'metacontroller's compositecontrollers and decoratorcontrollers need to be at Cluster scope' [\#1834](https://github.com/kubeflow/kubeflow/pull/1834) ([kkasravi](https://github.com/kkasravi))
- Create a simple flask server to redirect http to https [\#1832](https://github.com/kubeflow/kubeflow/pull/1832) ([jlewi](https://github.com/jlewi))
- fixes 'ksonnet namespace should be retrieved from env not params' [\#1829](https://github.com/kubeflow/kubeflow/pull/1829) ([kkasravi](https://github.com/kkasravi))
- Roll out model with istio [\#1823](https://github.com/kubeflow/kubeflow/pull/1823) ([lluunn](https://github.com/lluunn))
- Don't add a GPU pool by default [\#1810](https://github.com/kubeflow/kubeflow/pull/1810) ([jlewi](https://github.com/jlewi))
- Add RapidsAI notebook image [\#1809](https://github.com/kubeflow/kubeflow/pull/1809) ([pdmack](https://github.com/pdmack))
- Add support for using host network for OpenMPI worker pods [\#1805](https://github.com/kubeflow/kubeflow/pull/1805) ([hmizuma](https://github.com/hmizuma))
- Make the project configurable. [\#1792](https://github.com/kubeflow/kubeflow/pull/1792) ([jlewi](https://github.com/jlewi))
- Fix typos in markdown [\#1788](https://github.com/kubeflow/kubeflow/pull/1788) ([r2d4](https://github.com/r2d4))
- components: tf-notebook-image: pin to base image [\#1784](https://github.com/kubeflow/kubeflow/pull/1784) ([r2d4](https://github.com/r2d4))
- Enable TPU in GKE \(\#1766\) [\#1774](https://github.com/kubeflow/kubeflow/pull/1774) ([dsdinter](https://github.com/dsdinter))
- Replace 'cloud' parameter with more direct names like 'params.tfDefaultImage' and 'params.platform' [\#1742](https://github.com/kubeflow/kubeflow/pull/1742) ([ashahba](https://github.com/ashahba))
- Application crd [\#1633](https://github.com/kubeflow/kubeflow/pull/1633) ([kkasravi](https://github.com/kkasravi))

## [v0.3.1](https://github.com/kubeflow/kubeflow/tree/v0.3.1) (2018-10-19)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.7...v0.3.1)

**Fixed bugs:**

- Deploy kfctl.sh apply k8s 'namespaces "kubeflow" not found' [\#1675](https://github.com/kubeflow/kubeflow/issues/1675)

**Closed issues:**

- add the metacontroller component [\#1819](https://github.com/kubeflow/kubeflow/issues/1819)
- Enabling TFMA jupyter extension on GPU images requires libcuda [\#1818](https://github.com/kubeflow/kubeflow/issues/1818)
- Errors when starting kubeflow with minikube [\#1802](https://github.com/kubeflow/kubeflow/issues/1802)
- add parts attribute to libsonnet for ksonnet incubator/best practices [\#1798](https://github.com/kubeflow/kubeflow/issues/1798)
- Feature Request + Help Wanted: Attach PVs to TFJob components [\#1782](https://github.com/kubeflow/kubeflow/issues/1782)
- Update katib suggestion images [\#1779](https://github.com/kubeflow/kubeflow/issues/1779)
- presubmit failed when build gpu version [\#1778](https://github.com/kubeflow/kubeflow/issues/1778)
- Build machine running out of space - Presubmit test jobs failing for PRs [\#1775](https://github.com/kubeflow/kubeflow/issues/1775)
- Current master version fails when applying platform in GCP [\#1768](https://github.com/kubeflow/kubeflow/issues/1768)
- kubeflow namespace not found using kfctl.sh [\#1758](https://github.com/kubeflow/kubeflow/issues/1758)
- tensorboard generated under kubeflow/tensorboard/prototypes/tensorboard-aws.jsonnet is incomplete [\#1753](https://github.com/kubeflow/kubeflow/issues/1753)
- Error Creating Object: Pod in version "v1" cannot be handled as a Pod [\#1748](https://github.com/kubeflow/kubeflow/issues/1748)
- No deployment directory found in https://github.com/kubeflow/kubeflow/archive/v0.3.0.tar.gz [\#1743](https://github.com/kubeflow/kubeflow/issues/1743)
- the variable of ENVIRONMENT [\#1741](https://github.com/kubeflow/kubeflow/issues/1741)
- \[docs\] download.sh pulls from master instead of based on version tag [\#1738](https://github.com/kubeflow/kubeflow/issues/1738)
- Installation errors with kfctl.sh [\#1733](https://github.com/kubeflow/kubeflow/issues/1733)
- Please patch PR 1716 \(update GCP credentials filename\) into v0.2 [\#1719](https://github.com/kubeflow/kubeflow/issues/1719)
- Tiny jupyter lab notebook toolbars [\#1704](https://github.com/kubeflow/kubeflow/issues/1704)
- K8s dashboard showing "no healthy upstream"; remove K8s dashboard links and services [\#1699](https://github.com/kubeflow/kubeflow/issues/1699)
- 1.0 Exit Criterion for TFJob and PyTorch [\#1683](https://github.com/kubeflow/kubeflow/issues/1683)
- Deploy kfctl.sh apply k8s: Failed to pull image [\#1651](https://github.com/kubeflow/kubeflow/issues/1651)
- Support scope for postsubmit [\#1587](https://github.com/kubeflow/kubeflow/issues/1587)
- Kubeflow quick start misses namespace creation [\#1514](https://github.com/kubeflow/kubeflow/issues/1514)
- Automated sync of Kubeflow between GCR and DockerHub [\#1320](https://github.com/kubeflow/kubeflow/issues/1320)
- Deployment script didn't create namespace kubeflow [\#1274](https://github.com/kubeflow/kubeflow/issues/1274)
- Rename TF-Hub to JupyterHub [\#1223](https://github.com/kubeflow/kubeflow/issues/1223)
- TFServing test if failing blocking submits [\#1126](https://github.com/kubeflow/kubeflow/issues/1126)
- Presubmit failures; Timeout waiting for TFJob v1alpha2 job [\#974](https://github.com/kubeflow/kubeflow/issues/974)
- Create labels for releases [\#885](https://github.com/kubeflow/kubeflow/issues/885)
- Create image release workflow for tf operator images [\#855](https://github.com/kubeflow/kubeflow/issues/855)
- \[openmpi\] `volumes/volumeMounts` support [\#838](https://github.com/kubeflow/kubeflow/issues/838)
- Upgrade ksonnet version to v0.10 for kubeflow. [\#727](https://github.com/kubeflow/kubeflow/issues/727)
- Liveness/Readiness checks for TF Serving [\#368](https://github.com/kubeflow/kubeflow/issues/368)

**Merged pull requests:**

- Tag Jupyter notebook images for v0.3.1 [\#1830](https://github.com/kubeflow/kubeflow/pull/1830) ([richardsliu](https://github.com/richardsliu))
- reorganize tests to be under their respective dirs, add aws,gcp tests for tensorboard [\#1821](https://github.com/kubeflow/kubeflow/pull/1821) ([kkasravi](https://github.com/kkasravi))
- fixes 'add the metacontroller component \#1819' [\#1820](https://github.com/kubeflow/kubeflow/pull/1820) ([kkasravi](https://github.com/kkasravi))
- add ssl cert reuse logic in e2e & prober tests [\#1817](https://github.com/kubeflow/kubeflow/pull/1817) ([kunmingg](https://github.com/kunmingg))
- Fix TFMA and TFDV in Jupyter Images [\#1815](https://github.com/kubeflow/kubeflow/pull/1815) ([jlewi](https://github.com/jlewi))
- Remove root level makefile [\#1814](https://github.com/kubeflow/kubeflow/pull/1814) ([r2d4](https://github.com/r2d4))
- stop e2e test for deploy app till fix letsencrypt rate limit [\#1813](https://github.com/kubeflow/kubeflow/pull/1813) ([kunmingg](https://github.com/kunmingg))
- Remove K8s dashboard link from central UI [\#1811](https://github.com/kubeflow/kubeflow/pull/1811) ([jlewi](https://github.com/jlewi))
- Knative build for in-cluster image builds in Kubeflow [\#1804](https://github.com/kubeflow/kubeflow/pull/1804) ([swiftdiaries](https://github.com/swiftdiaries))
- skip readarray if --all provided to jsonnet fmt script [\#1800](https://github.com/kubeflow/kubeflow/pull/1800) ([r2d4](https://github.com/r2d4))
- fixes 'add parts attribute to libsonnet for ksonnet incubator/best practices' [\#1799](https://github.com/kubeflow/kubeflow/pull/1799) ([kkasravi](https://github.com/kkasravi))
- Pin tf-serving version in tf-notebook [\#1797](https://github.com/kubeflow/kubeflow/pull/1797) ([r2d4](https://github.com/r2d4))
- Tf serving with istio 1.0 [\#1795](https://github.com/kubeflow/kubeflow/pull/1795) ([lluunn](https://github.com/lluunn))
- cherry-pick PR \#1754 onto V0.3 branch [\#1794](https://github.com/kubeflow/kubeflow/pull/1794) ([kkasravi](https://github.com/kkasravi))
- remove empty readme [\#1791](https://github.com/kubeflow/kubeflow/pull/1791) ([r2d4](https://github.com/r2d4))
- remove travis config [\#1790](https://github.com/kubeflow/kubeflow/pull/1790) ([r2d4](https://github.com/r2d4))
- Add a few basic metrics for deployment service [\#1787](https://github.com/kubeflow/kubeflow/pull/1787) ([abhi-g](https://github.com/abhi-g))
- Cherry pick \#1779 [\#1781](https://github.com/kubeflow/kubeflow/pull/1781) ([leoncamel](https://github.com/leoncamel))
- Update katib suggestion images \(\#1779\) [\#1780](https://github.com/kubeflow/kubeflow/pull/1780) ([leoncamel](https://github.com/leoncamel))
- Cherry pick \#1727 [\#1777](https://github.com/kubeflow/kubeflow/pull/1777) ([leoncamel](https://github.com/leoncamel))
- Presubmits should be triggered if the DM configs are modified. [\#1776](https://github.com/kubeflow/kubeflow/pull/1776) ([jlewi](https://github.com/jlewi))
- Cleanup the OWNERs files. [\#1773](https://github.com/kubeflow/kubeflow/pull/1773) ([jlewi](https://github.com/jlewi))
- Enable new beta Stackdriver Kubernetes Monitoring feature if using v1beta1 \(\#1768\) [\#1772](https://github.com/kubeflow/kubeflow/pull/1772) ([dsdinter](https://github.com/dsdinter))
- add jupyterhub test [\#1771](https://github.com/kubeflow/kubeflow/pull/1771) ([kkasravi](https://github.com/kkasravi))
- Use new stackdriver agents in DM config [\#1765](https://github.com/kubeflow/kubeflow/pull/1765) ([lluunn](https://github.com/lluunn))
- pin to minor GKE version in dm config [\#1763](https://github.com/kubeflow/kubeflow/pull/1763) ([r2d4](https://github.com/r2d4))
- gofmt: run go fmt github.com/kubeflow/kubeflow/bootstrap/cmd/... [\#1762](https://github.com/kubeflow/kubeflow/pull/1762) ([r2d4](https://github.com/r2d4))
- remove statsd from ambassador deployment [\#1760](https://github.com/kubeflow/kubeflow/pull/1760) ([r2d4](https://github.com/r2d4))
- Cherry pick \#1746 and \#1747 [\#1756](https://github.com/kubeflow/kubeflow/pull/1756) ([jlewi](https://github.com/jlewi))
- fixes tensorboard generated under kubeflow/tensorboard/prototypes/tensorboard-aws.jsonnet is incomplete [\#1754](https://github.com/kubeflow/kubeflow/pull/1754) ([kkasravi](https://github.com/kkasravi))
- Seldon ksonnet refactor [\#1752](https://github.com/kubeflow/kubeflow/pull/1752) ([cliveseldon](https://github.com/cliveseldon))
- \[openmpi\] support `volumes` and `volumeMounts` [\#1750](https://github.com/kubeflow/kubeflow/pull/1750) ([everpeace](https://github.com/everpeace))
- Ensure namespace exists [\#1747](https://github.com/kubeflow/kubeflow/pull/1747) ([jlewi](https://github.com/jlewi))
- Pin jupyter-console to 6.0.0 [\#1746](https://github.com/kubeflow/kubeflow/pull/1746) ([jlewi](https://github.com/jlewi))
- periodic e2e test for click deploy app [\#1732](https://github.com/kubeflow/kubeflow/pull/1732) ([kunmingg](https://github.com/kunmingg))
- change clusterrole to role [\#1728](https://github.com/kubeflow/kubeflow/pull/1728) ([swiftdiaries](https://github.com/swiftdiaries))
- Add katib's hyperband/bayesianoptimization suggestion images \(\#1464\) [\#1727](https://github.com/kubeflow/kubeflow/pull/1727) ([leoncamel](https://github.com/leoncamel))
- gke/deploy.sh: test uuidgen exists before using it [\#1674](https://github.com/kubeflow/kubeflow/pull/1674) ([rabierp](https://github.com/rabierp))
- Allow folks to have the kubeflow github repo over https + improve error message [\#1626](https://github.com/kubeflow/kubeflow/pull/1626) ([holdenk](https://github.com/holdenk))
- Improvements to kubeform\_spawner.py \(form UI and others\) [\#1551](https://github.com/kubeflow/kubeflow/pull/1551) ([tlkh](https://github.com/tlkh))

## [v0.2.7](https://github.com/kubeflow/kubeflow/tree/v0.2.7) (2018-10-10)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.0...v0.2.7)

**Fixed bugs:**

- \[gcp\] v0.3.0-rc.1 cert manager can't get the SSL certificate [\#1666](https://github.com/kubeflow/kubeflow/issues/1666)
- \[gcp\] setIamPolicy error when deleting deployment [\#1092](https://github.com/kubeflow/kubeflow/issues/1092)

**Closed issues:**

- How to submit multiple OpenMPI jobs? [\#1730](https://github.com/kubeflow/kubeflow/issues/1730)
- Permission denied errors when pip \(un\)installing without --user in new nb images [\#1722](https://github.com/kubeflow/kubeflow/issues/1722)
- \[GCP\] Update credentials filename  [\#1715](https://github.com/kubeflow/kubeflow/issues/1715)
- jsonnet test is failing but no jsonnet files changed in the PR. [\#1707](https://github.com/kubeflow/kubeflow/issues/1707)
- Error while updating iap-ingress for custom domains [\#1689](https://github.com/kubeflow/kubeflow/issues/1689)
- Jupyterlab service account token [\#1648](https://github.com/kubeflow/kubeflow/issues/1648)
- Create 0.3. Release [\#1541](https://github.com/kubeflow/kubeflow/issues/1541)
- upgrade to ksonnet 0.12.0, jsonnet v0.11.2 in the Docker image for our test workers [\#1540](https://github.com/kubeflow/kubeflow/issues/1540)
- Chief worker cannot start [\#1440](https://github.com/kubeflow/kubeflow/issues/1440)
- Web app deploying kubeflow through deployment manager [\#884](https://github.com/kubeflow/kubeflow/issues/884)
- Proposal: kubeflow-scheduler [\#68](https://github.com/kubeflow/kubeflow/issues/68)

**Merged pull requests:**

- Change the default branch in download.sh to v0.3-branch as opposed to master [\#1734](https://github.com/kubeflow/kubeflow/pull/1734) ([jlewi](https://github.com/jlewi))
- \[Cherrypick 0.2\] Update gcp credentials filename \(\#1716\) [\#1725](https://github.com/kubeflow/kubeflow/pull/1725) ([lluunn](https://github.com/lluunn))
- Create an initial CHANGELOG [\#1723](https://github.com/kubeflow/kubeflow/pull/1723) ([jlewi](https://github.com/jlewi))
- Cherry-pick: Update gcp credentials filename \(\#1716\) [\#1720](https://github.com/kubeflow/kubeflow/pull/1720) ([lluunn](https://github.com/lluunn))
- Fix the TFJobs Dashboard UI [\#1717](https://github.com/kubeflow/kubeflow/pull/1717) ([jlewi](https://github.com/jlewi))
- Update gcp credentials filename [\#1716](https://github.com/kubeflow/kubeflow/pull/1716) ([texasmichelle](https://github.com/texasmichelle))
- TF serving template cleanup [\#1714](https://github.com/kubeflow/kubeflow/pull/1714) ([lluunn](https://github.com/lluunn))
- Add a notice explaining to users what the app is doing. [\#1713](https://github.com/kubeflow/kubeflow/pull/1713) ([jlewi](https://github.com/jlewi))
- config & dockerfile update [\#1705](https://github.com/kubeflow/kubeflow/pull/1705) ([kunmingg](https://github.com/kunmingg))
- Update link in README [\#1640](https://github.com/kubeflow/kubeflow/pull/1640) ([kunmingg](https://github.com/kunmingg))
- Merge config for kftcl and click-to-deploy webapp [\#1594](https://github.com/kubeflow/kubeflow/pull/1594) ([lluunn](https://github.com/lluunn))
- HubSync v1.0 [\#1548](https://github.com/kubeflow/kubeflow/pull/1548) ([TheJaySmith](https://github.com/TheJaySmith))

## [v0.3.0](https://github.com/kubeflow/kubeflow/tree/v0.3.0) (2018-10-04)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.0-rc.3...v0.3.0)

**Fixed bugs:**

- v0.3.0-rc.1: ERROR no prototype names matched 'pytorch-operator' [\#1663](https://github.com/kubeflow/kubeflow/issues/1663)

**Closed issues:**

- Accessing custom metrics in our Python model [\#1681](https://github.com/kubeflow/kubeflow/issues/1681)
- \[v0.3.0-rc.1\] "/" doesn't redirect to the centraldasbhoard UI [\#1670](https://github.com/kubeflow/kubeflow/issues/1670)
- Run tests periodically on the release branch starting with 0.3 [\#1603](https://github.com/kubeflow/kubeflow/issues/1603)
- Kubebench-job default param mainJobConfig points to a wrong path [\#1596](https://github.com/kubeflow/kubeflow/issues/1596)
- Release process for kubebench [\#1510](https://github.com/kubeflow/kubeflow/issues/1510)

**Merged pull requests:**

- \[Cherry-pick\] Update kubebench-job prototype default parameters \(\#1693\) [\#1709](https://github.com/kubeflow/kubeflow/pull/1709) ([xyhuang](https://github.com/xyhuang))
- Cherrypick \#1700 - TF serving liveness probe [\#1708](https://github.com/kubeflow/kubeflow/pull/1708) ([lluunn](https://github.com/lluunn))
- Add TOS and Privacy links and some other UI improvements. [\#1703](https://github.com/kubeflow/kubeflow/pull/1703) ([jlewi](https://github.com/jlewi))
- Fix jsonnet formatting errors in katib [\#1702](https://github.com/kubeflow/kubeflow/pull/1702) ([richardsliu](https://github.com/richardsliu))
- Add tf serving liveness probe [\#1700](https://github.com/kubeflow/kubeflow/pull/1700) ([lluunn](https://github.com/lluunn))
- Update kubebench-job prototype default parameters [\#1693](https://github.com/kubeflow/kubeflow/pull/1693) ([xyhuang](https://github.com/xyhuang))
- Add PVC to Katib [\#1687](https://github.com/kubeflow/kubeflow/pull/1687) ([inc0](https://github.com/inc0))
- fix katib metrics collector bug [\#1680](https://github.com/kubeflow/kubeflow/pull/1680) ([YujiOshima](https://github.com/YujiOshima))
- Scope postsubmit jobs by modified directories [\#1658](https://github.com/kubeflow/kubeflow/pull/1658) ([richardsliu](https://github.com/richardsliu))
- Fix cert-manager and iap config to make dashboard accessible [\#1544](https://github.com/kubeflow/kubeflow/pull/1544) ([sambaiz](https://github.com/sambaiz))

## [v0.3.0-rc.3](https://github.com/kubeflow/kubeflow/tree/v0.3.0-rc.3) (2018-10-02)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.0-rc.2...v0.3.0-rc.3)

**Closed issues:**

- \[v0.3.1-rc.1\] JupyterHub spawner is missing TF images for 1.9 and 1.10 [\#1672](https://github.com/kubeflow/kubeflow/issues/1672)
- \[v0.3.0-rc.1\] Only TF 1.8 CPU shows up in the list of prepopulated Jupyter images [\#1671](https://github.com/kubeflow/kubeflow/issues/1671)
- \[GCP\] Click to deploy doesn't create any K8s resources when version is 0.2.5 [\#1631](https://github.com/kubeflow/kubeflow/issues/1631)
- Update Katib image in 0.3 branch [\#1604](https://github.com/kubeflow/kubeflow/issues/1604)
- central dashboard image build workflow doesn't work [\#1575](https://github.com/kubeflow/kubeflow/issues/1575)
- \[Image Auto Release\] process has lots of issues; should we use prow? [\#1574](https://github.com/kubeflow/kubeflow/issues/1574)
- Image Auto Release Cron Job is failing [\#1563](https://github.com/kubeflow/kubeflow/issues/1563)
- ack\_guide.md out of date [\#1293](https://github.com/kubeflow/kubeflow/issues/1293)
- GKE: can not read from google cloud storage in Jupyter notebook [\#1249](https://github.com/kubeflow/kubeflow/issues/1249)
- Friction log for bootstrapper documentation [\#927](https://github.com/kubeflow/kubeflow/issues/927)
- Create a minimal release process for our ksonnet configs [\#215](https://github.com/kubeflow/kubeflow/issues/215)

**Merged pull requests:**

- \(cherry pick\) upgrade argo version to v2.2.0 [\#1692](https://github.com/kubeflow/kubeflow/pull/1692) ([kunmingg](https://github.com/kunmingg))
- upgrade argo version to v2.2.0 [\#1690](https://github.com/kubeflow/kubeflow/pull/1690) ([kunmingg](https://github.com/kunmingg))
- Tag images for TF notebooks 1.9.0 and 1.10.1 [\#1688](https://github.com/kubeflow/kubeflow/pull/1688) ([richardsliu](https://github.com/richardsliu))
- Build TF notebook images for TF 1.9.0 and 1.10.1 [\#1686](https://github.com/kubeflow/kubeflow/pull/1686) ([richardsliu](https://github.com/richardsliu))
- Cherry-pick \#1676 fix centralUI [\#1685](https://github.com/kubeflow/kubeflow/pull/1685) ([swiftdiaries](https://github.com/swiftdiaries))
- \[0.3\] Cherry-pick \#1647 [\#1684](https://github.com/kubeflow/kubeflow/pull/1684) ([lluunn](https://github.com/lluunn))
- Update image tag for centralUI [\#1682](https://github.com/kubeflow/kubeflow/pull/1682) ([swiftdiaries](https://github.com/swiftdiaries))
- cherrypick - Remove trailing slash from KUBEFLOW\_REPO \(\#1664\) [\#1677](https://github.com/kubeflow/kubeflow/pull/1677) ([jlewi](https://github.com/jlewi))
- Fix for "/" not directing to centralUI \(\#1670\).  [\#1676](https://github.com/kubeflow/kubeflow/pull/1676) ([swiftdiaries](https://github.com/swiftdiaries))

## [v0.3.0-rc.2](https://github.com/kubeflow/kubeflow/tree/v0.3.0-rc.2) (2018-09-30)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.3.0-rc.1...v0.3.0-rc.2)

**Fixed bugs:**

- Deploy kfctl.sh apply k8s : Service "ambassador" is invalid  ? [\#1566](https://github.com/kubeflow/kubeflow/issues/1566)

**Merged pull requests:**

- remove prune from kubeflow core which delete required fields \(\#1580\) [\#1667](https://github.com/kubeflow/kubeflow/pull/1667) ([jlewi](https://github.com/jlewi))
- Add swiftdiaries as reviewer [\#1665](https://github.com/kubeflow/kubeflow/pull/1665) ([swiftdiaries](https://github.com/swiftdiaries))
- Remove trailing slash from KUBEFLOW\_REPO [\#1664](https://github.com/kubeflow/kubeflow/pull/1664) ([jlewi](https://github.com/jlewi))
- Change kubebench 0.3 image [\#1661](https://github.com/kubeflow/kubeflow/pull/1661) ([xyhuang](https://github.com/xyhuang))
- Ankush Signing Out [\#1652](https://github.com/kubeflow/kubeflow/pull/1652) ([ankushagarwal](https://github.com/ankushagarwal))

## [v0.3.0-rc.1](https://github.com/kubeflow/kubeflow/tree/v0.3.0-rc.1) (2018-09-28)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.6...v0.3.0-rc.1)

**Closed issues:**

- \[GCP\] Deploy script fails with unsupported k8s version 1.9.7-gke.5 [\#1641](https://github.com/kubeflow/kubeflow/issues/1641)
- Update CentralUI image used at head and 0.3 branch [\#1435](https://github.com/kubeflow/kubeflow/issues/1435)
- kfctl.sh needs to get initial cluster version based on get-server-config [\#1359](https://github.com/kubeflow/kubeflow/issues/1359)

**Merged pull requests:**

- Cherrypick \(\#1657\) tag image and change libsonnet for centraldashboard image  [\#1660](https://github.com/kubeflow/kubeflow/pull/1660) ([swiftdiaries](https://github.com/swiftdiaries))
- Tag and update centraldashboard image [\#1657](https://github.com/kubeflow/kubeflow/pull/1657) ([swiftdiaries](https://github.com/swiftdiaries))
- Cherry-pick \#1589 to v0.3 [\#1656](https://github.com/kubeflow/kubeflow/pull/1656) ([lluunn](https://github.com/lluunn))
- Cherrypick \#1650; automatically set master version to supported version. [\#1654](https://github.com/kubeflow/kubeflow/pull/1654) ([jlewi](https://github.com/jlewi))
- Update initial clsuter version in cluster.jinja based on what gcloud get-server-config returns [\#1650](https://github.com/kubeflow/kubeflow/pull/1650) ([ashahba](https://github.com/ashahba))
- Enable periodic prow tests [\#1649](https://github.com/kubeflow/kubeflow/pull/1649) ([richardsliu](https://github.com/richardsliu))
- Build image for centralui part of presubmit [\#1623](https://github.com/kubeflow/kubeflow/pull/1623) ([swiftdiaries](https://github.com/swiftdiaries))

## [v0.2.6](https://github.com/kubeflow/kubeflow/tree/v0.2.6) (2018-09-28)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/4e7f4ed...v0.2.6)

**Fixed bugs:**

- Ambassador Version 0.34.0 causing DNS Issues on Worker Node [\#945](https://github.com/kubeflow/kubeflow/issues/945)

**Closed issues:**

- Update document on Tf Serving [\#1634](https://github.com/kubeflow/kubeflow/issues/1634)
- \[test flake\] pre and postsubmit failures deploying mnist [\#1617](https://github.com/kubeflow/kubeflow/issues/1617)
- tensorboard prototypes should include the optionalParams available in that prototype [\#1610](https://github.com/kubeflow/kubeflow/issues/1610)
- Katib ksonnet component needs an E2E test [\#1607](https://github.com/kubeflow/kubeflow/issues/1607)
- Update Kubebench images on 0.3. branch [\#1602](https://github.com/kubeflow/kubeflow/issues/1602)
- Update Jupyter images on 0.3. branch [\#1601](https://github.com/kubeflow/kubeflow/issues/1601)
- Update PyTorch Job image on 0.3 branch [\#1600](https://github.com/kubeflow/kubeflow/issues/1600)
- Update TFJob on 0.3 Branch [\#1599](https://github.com/kubeflow/kubeflow/issues/1599)
- Update Seldon to 0.2.3 on 0.3 release branch [\#1598](https://github.com/kubeflow/kubeflow/issues/1598)
- Envoy unable to read config [\#1588](https://github.com/kubeflow/kubeflow/issues/1588)
- deploying kubeflow with bootstrapper failed [\#1586](https://github.com/kubeflow/kubeflow/issues/1586)
- How can we modify jupyterhub configuration to use GitHub Authentication? [\#1585](https://github.com/kubeflow/kubeflow/issues/1585)
- Jupyter Image Builds Are failing; Dependency issue related to TFMA? [\#1576](https://github.com/kubeflow/kubeflow/issues/1576)
- bump gke version to 1.10.7-gke.2 [\#1572](https://github.com/kubeflow/kubeflow/issues/1572)
- presubmit build is failing with a quota error [\#1562](https://github.com/kubeflow/kubeflow/issues/1562)
- refactor tf-job-operator to match style-guide of libsonnet [\#1534](https://github.com/kubeflow/kubeflow/issues/1534)
- Test to verify we can deploy Katib [\#1483](https://github.com/kubeflow/kubeflow/issues/1483)
- \[test flake\] mnist gpu test is very flaky; not enough GPU; autoscaling not enabled for the GPU pool [\#1436](https://github.com/kubeflow/kubeflow/issues/1436)
- Make TF serving component more readable and extendable [\#1264](https://github.com/kubeflow/kubeflow/issues/1264)
- E2e test of TF Serving using built-in HTTP api [\#1258](https://github.com/kubeflow/kubeflow/issues/1258)
- \[Discussion\] TF serving image: should we just keep Dockerfile for the latest TF version? [\#1089](https://github.com/kubeflow/kubeflow/issues/1089)
- bootstrapper should support push the ksonnet app to a source repo [\#912](https://github.com/kubeflow/kubeflow/issues/912)
- Investigate using tensorflow serving's built-in http server [\#896](https://github.com/kubeflow/kubeflow/issues/896)

**Merged pull requests:**

- TF Serving changes: enable http server, test cleanup etc [\#1647](https://github.com/kubeflow/kubeflow/pull/1647) ([lluunn](https://github.com/lluunn))
- \[Cherry-pick\] Add a simple e2e-test for katib [\#1646](https://github.com/kubeflow/kubeflow/pull/1646) ([ankushagarwal](https://github.com/ankushagarwal))
- GKE 1.9.7-gke.5 is no longer available for master; bump to 1.9.7-gke.6 [\#1644](https://github.com/kubeflow/kubeflow/pull/1644) ([jlewi](https://github.com/jlewi))
- Add a simple e2e-test for katib [\#1638](https://github.com/kubeflow/kubeflow/pull/1638) ([ankushagarwal](https://github.com/ankushagarwal))
- Tag release 0.3.0 for Jupyter notebook images [\#1637](https://github.com/kubeflow/kubeflow/pull/1637) ([richardsliu](https://github.com/richardsliu))
- Cherrypick changes from 0.3-branch to master [\#1636](https://github.com/kubeflow/kubeflow/pull/1636) ([ankushagarwal](https://github.com/ankushagarwal))
- Update katib component to include studyjobcontroller [\#1632](https://github.com/kubeflow/kubeflow/pull/1632) ([ankushagarwal](https://github.com/ankushagarwal))
- Install tensorflow-data-validation in jupyter notebook [\#1629](https://github.com/kubeflow/kubeflow/pull/1629) ([ankushagarwal](https://github.com/ankushagarwal))
- Use JupyterNotebook as default instead of JupyterLab [\#1628](https://github.com/kubeflow/kubeflow/pull/1628) ([ankushagarwal](https://github.com/ankushagarwal))
- Tag and update 0.3.0 release for Kubebench controller [\#1627](https://github.com/kubeflow/kubeflow/pull/1627) ([richardsliu](https://github.com/richardsliu))
- Update katib image URIs [\#1625](https://github.com/kubeflow/kubeflow/pull/1625) ([ankushagarwal](https://github.com/ankushagarwal))
- Add postsubmits to push centralui and Jupyter notebook images to kubeflow-images-public [\#1624](https://github.com/kubeflow/kubeflow/pull/1624) ([richardsliu](https://github.com/richardsliu))
- Add richardsliu to approvers [\#1622](https://github.com/kubeflow/kubeflow/pull/1622) ([richardsliu](https://github.com/richardsliu))
- make builder image version consistent with glide.lock hash [\#1621](https://github.com/kubeflow/kubeflow/pull/1621) ([kunmingg](https://github.com/kunmingg))
- Tag and update pytorch operator [\#1619](https://github.com/kubeflow/kubeflow/pull/1619) ([richardsliu](https://github.com/richardsliu))
- Update pytorch image on 0.3 release branch [\#1614](https://github.com/kubeflow/kubeflow/pull/1614) ([johnugeorge](https://github.com/johnugeorge))
- Update Seldon to 0.2.3 version on 0.3 branch \(\#1592\) [\#1613](https://github.com/kubeflow/kubeflow/pull/1613) ([cliveseldon](https://github.com/cliveseldon))
- fixes 'tensorboard prototypes should include the optionalParams available in that prototype' [\#1611](https://github.com/kubeflow/kubeflow/pull/1611) ([kkasravi](https://github.com/kkasravi))
- Update title & favicon for the deploy app page. [\#1609](https://github.com/kubeflow/kubeflow/pull/1609) ([abhi-g](https://github.com/abhi-g))
- Update the TFJob image to the latest image and tag 0.3 [\#1608](https://github.com/kubeflow/kubeflow/pull/1608) ([jlewi](https://github.com/jlewi))
- Update Katib images on 0.3 branch [\#1605](https://github.com/kubeflow/kubeflow/pull/1605) ([jlewi](https://github.com/jlewi))
- Update release process for Katib. [\#1597](https://github.com/kubeflow/kubeflow/pull/1597) ([jlewi](https://github.com/jlewi))
- Force update IAM policy; print app url on web UI. [\#1595](https://github.com/kubeflow/kubeflow/pull/1595) ([kunmingg](https://github.com/kunmingg))
- Update instructions about releasing images using prow. [\#1593](https://github.com/kubeflow/kubeflow/pull/1593) ([jlewi](https://github.com/jlewi))
- Update Seldon to 0.2.3 version [\#1592](https://github.com/kubeflow/kubeflow/pull/1592) ([cliveseldon](https://github.com/cliveseldon))
- New TF Serving template [\#1589](https://github.com/kubeflow/kubeflow/pull/1589) ([lluunn](https://github.com/lluunn))
- fix iam patch logic and update image in config [\#1582](https://github.com/kubeflow/kubeflow/pull/1582) ([kunmingg](https://github.com/kunmingg))
- App frontend stop polling the status after it's done [\#1581](https://github.com/kubeflow/kubeflow/pull/1581) ([lluunn](https://github.com/lluunn))
- remove prune from kubeflow core which delete required fields [\#1580](https://github.com/kubeflow/kubeflow/pull/1580) ([kunmingg](https://github.com/kunmingg))
- Don't install TFMA for TF versions \< 1.9 [\#1579](https://github.com/kubeflow/kubeflow/pull/1579) ([richardsliu](https://github.com/richardsliu))
- bump gke version to 1.10.7-gke.2 [\#1573](https://github.com/kubeflow/kubeflow/pull/1573) ([kkasravi](https://github.com/kkasravi))
- Typo in nvidia inference server README [\#1569](https://github.com/kubeflow/kubeflow/pull/1569) ([cliveseldon](https://github.com/cliveseldon))
- Run Jupyter image and centraldashboard image release on postsubmit [\#1565](https://github.com/kubeflow/kubeflow/pull/1565) ([jlewi](https://github.com/jlewi))
- Adding --skipInitProject to kfctl\_test.jsonnet until CI quota is increased [\#1564](https://github.com/kubeflow/kubeflow/pull/1564) ([ashahba](https://github.com/ashahba))
- Tag and update v0.3.0 release for chainer-operator [\#1552](https://github.com/kubeflow/kubeflow/pull/1552) ([everpeace](https://github.com/everpeace))
- fixes 'refactor tf-job-operator to match style-guide of libsonnet' [\#1535](https://github.com/kubeflow/kubeflow/pull/1535) ([kkasravi](https://github.com/kkasravi))
- Rename TF-Hub to JupyterHub [\#1410](https://github.com/kubeflow/kubeflow/pull/1410) ([pvsousalima](https://github.com/pvsousalima))

## [4e7f4ed](https://github.com/kubeflow/kubeflow/tree/4e7f4ed) (2018-09-19)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.5...4e7f4ed)

**Closed issues:**

- kfctl.sh needs to call get-server-config to get GKE version [\#1570](https://github.com/kubeflow/kubeflow/issues/1570)
- Certificate not working [\#1567](https://github.com/kubeflow/kubeflow/issues/1567)
- "Patching IAM bindings" halt during deployment. [\#1559](https://github.com/kubeflow/kubeflow/issues/1559)
- cert-manager missing clusterrole [\#1554](https://github.com/kubeflow/kubeflow/issues/1554)
- Jupyter Notebooks for TF 1.9 and 1.10 [\#1546](https://github.com/kubeflow/kubeflow/issues/1546)
- test\_jsonnet is failing in postsubmit [\#1543](https://github.com/kubeflow/kubeflow/issues/1543)
- Directory ${KFAPP} already exists [\#1530](https://github.com/kubeflow/kubeflow/issues/1530)
- Move kubebench package to kubeflow repo [\#1513](https://github.com/kubeflow/kubeflow/issues/1513)
- cloud endpoint prototype breaks on master. [\#1507](https://github.com/kubeflow/kubeflow/issues/1507)
- Error: Failed to apply app: find objects: RUNTIME ERROR: Field does not exist: v1 [\#1506](https://github.com/kubeflow/kubeflow/issues/1506)
- PR shows review is not required to merge [\#1503](https://github.com/kubeflow/kubeflow/issues/1503)
- update tensorboard to use the same pattern as kubeflow/core/prototypes [\#1500](https://github.com/kubeflow/kubeflow/issues/1500)
- No prototype names matched 'kubeflow-core' [\#1492](https://github.com/kubeflow/kubeflow/issues/1492)
- cannot list namespace on tfjob dashboard [\#1491](https://github.com/kubeflow/kubeflow/issues/1491)
- Issue installing on GKE with deploy script [\#1489](https://github.com/kubeflow/kubeflow/issues/1489)
- Installation fails on Amazon EKS [\#1488](https://github.com/kubeflow/kubeflow/issues/1488)
- add ability to only generate parts of a component in the jsonnet file [\#1486](https://github.com/kubeflow/kubeflow/issues/1486)
- Prometheus for seldon models [\#1484](https://github.com/kubeflow/kubeflow/issues/1484)
- Multiple issues with gke/deploy.sh [\#1481](https://github.com/kubeflow/kubeflow/issues/1481)
- Katib StudyJob failed to mount directory [\#1480](https://github.com/kubeflow/kubeflow/issues/1480)
- New image release for pytorch operator [\#1479](https://github.com/kubeflow/kubeflow/issues/1479)
- simplify tensorboard as separate aws, gcp prototypes [\#1477](https://github.com/kubeflow/kubeflow/issues/1477)
- Cut release 0.2.5 [\#1476](https://github.com/kubeflow/kubeflow/issues/1476)
- do you have a performance benchmarks when run Horovod with your openmpi component? [\#1461](https://github.com/kubeflow/kubeflow/issues/1461)
- Review/extend jovyan permissions in TF notebooks [\#1438](https://github.com/kubeflow/kubeflow/issues/1438)
- \[gcp\] VM account should have GCS read only scope to support pulling from GCR [\#1432](https://github.com/kubeflow/kubeflow/issues/1432)
- kfctl.sh unable to find component ambassador [\#1429](https://github.com/kubeflow/kubeflow/issues/1429)
- \[kfctl\] support specify registries & version in "/kfctl/apps/create" request. [\#1417](https://github.com/kubeflow/kubeflow/issues/1417)
- standardize remaining \<component\>.{jsonnet,libsonnet} files [\#1414](https://github.com/kubeflow/kubeflow/issues/1414)
- Update 0.2 blog with new deployment script [\#1390](https://github.com/kubeflow/kubeflow/issues/1390)
- Update E2E test to use kfctl.sh and delete gke/deploy.sh; [\#1331](https://github.com/kubeflow/kubeflow/issues/1331)
- Docker image building workflows are failing  [\#1135](https://github.com/kubeflow/kubeflow/issues/1135)
- \[bootstrap\] Fail to update role kubeflow.jupyter-role [\#1076](https://github.com/kubeflow/kubeflow/issues/1076)
- camelCase for some recently fixed params [\#1050](https://github.com/kubeflow/kubeflow/issues/1050)
- Add document on Stackdriver agents [\#997](https://github.com/kubeflow/kubeflow/issues/997)
- Suggest using simple port forwarding instead of LoadBalancer for cloud deploy in User Guide [\#860](https://github.com/kubeflow/kubeflow/issues/860)
- Need docs for TFJobs UI [\#573](https://github.com/kubeflow/kubeflow/issues/573)
- Update docs to mention known issues with ksonnet and windows [\#501](https://github.com/kubeflow/kubeflow/issues/501)
- Need: User facing website for Kubeflow that details how to choose a stack [\#213](https://github.com/kubeflow/kubeflow/issues/213)
- Tutorial\(s\) that correspond to CUJs [\#85](https://github.com/kubeflow/kubeflow/issues/85)

**Merged pull requests:**

- Bump GKE version because 1.10.7-gke.1 is no longer valid master version. [\#1571](https://github.com/kubeflow/kubeflow/pull/1571) ([jlewi](https://github.com/jlewi))
- Fix cert-manager [\#1568](https://github.com/kubeflow/kubeflow/pull/1568) ([lluunn](https://github.com/lluunn))
- Bug fix for \#1559 [\#1561](https://github.com/kubeflow/kubeflow/pull/1561) ([lluunn](https://github.com/lluunn))
- increase pageSize for service list to avoid truncate [\#1558](https://github.com/kubeflow/kubeflow/pull/1558) ([kunmingg](https://github.com/kunmingg))
- Fix for issue 1050 - camelCase for some recently fixed params.  [\#1556](https://github.com/kubeflow/kubeflow/pull/1556) ([ashahba](https://github.com/ashahba))
- fix cert-manager: add clusterrole back [\#1555](https://github.com/kubeflow/kubeflow/pull/1555) ([kunmingg](https://github.com/kunmingg))
- enable sourcerepo.googleapis.com api if needed [\#1553](https://github.com/kubeflow/kubeflow/pull/1553) ([kunmingg](https://github.com/kunmingg))
- Webapp: Don't use DM for IAM. [\#1550](https://github.com/kubeflow/kubeflow/pull/1550) ([lluunn](https://github.com/lluunn))
- add chainer-operator to releaser [\#1549](https://github.com/kubeflow/kubeflow/pull/1549) ([everpeace](https://github.com/everpeace))
- Add version config for TF 1.9,1.10 [\#1547](https://github.com/kubeflow/kubeflow/pull/1547) ([pdmack](https://github.com/pdmack))
- The minikube test should not be running the jsonnet unittests. [\#1545](https://github.com/kubeflow/kubeflow/pull/1545) ([jlewi](https://github.com/jlewi))
- Restore missing tf-hub-lb service [\#1539](https://github.com/kubeflow/kubeflow/pull/1539) ([pdmack](https://github.com/pdmack))
- Prevent ambassador getaddrinfo error logs [\#1537](https://github.com/kubeflow/kubeflow/pull/1537) ([sambaiz](https://github.com/sambaiz))
- edit server address for app config on each request [\#1536](https://github.com/kubeflow/kubeflow/pull/1536) ([kunmingg](https://github.com/kunmingg))
- Update the client ID for webapp [\#1533](https://github.com/kubeflow/kubeflow/pull/1533) ([lluunn](https://github.com/lluunn))
- Fix kfctl.sh remove the ksonnet environment for the deleted cluster [\#1532](https://github.com/kubeflow/kubeflow/pull/1532) ([sambaiz](https://github.com/sambaiz))
- Add Kubebench package [\#1531](https://github.com/kubeflow/kubeflow/pull/1531) ([xyhuang](https://github.com/xyhuang))
- add chainer-job package to registry.yaml [\#1529](https://github.com/kubeflow/kubeflow/pull/1529) ([everpeace](https://github.com/everpeace))
- Support specifying registy version in create request [\#1528](https://github.com/kubeflow/kubeflow/pull/1528) ([kunmingg](https://github.com/kunmingg))
- Adds centralui to releaser. [\#1527](https://github.com/kubeflow/kubeflow/pull/1527) ([swiftdiaries](https://github.com/swiftdiaries))
- Replace logFatal with logError [\#1526](https://github.com/kubeflow/kubeflow/pull/1526) ([lluunn](https://github.com/lluunn))
- NVIDIA TensorRT Inference Server [\#1523](https://github.com/kubeflow/kubeflow/pull/1523) ([deadeyegoodwin](https://github.com/deadeyegoodwin))
- update manifest for webapp [\#1521](https://github.com/kubeflow/kubeflow/pull/1521) ([lluunn](https://github.com/lluunn))
- catch save-config error [\#1519](https://github.com/kubeflow/kubeflow/pull/1519) ([kunmingg](https://github.com/kunmingg))
- update k8s version for k.libsonnet when do ks init; remove spartakus [\#1517](https://github.com/kubeflow/kubeflow/pull/1517) ([kunmingg](https://github.com/kunmingg))
- edit gke version to 1.10.6 [\#1516](https://github.com/kubeflow/kubeflow/pull/1516) ([kunmingg](https://github.com/kunmingg))
- Integrate with cloud source repos to save ks app config. [\#1515](https://github.com/kubeflow/kubeflow/pull/1515) ([kunmingg](https://github.com/kunmingg))
- Remove unused Azure specific config [\#1512](https://github.com/kubeflow/kubeflow/pull/1512) ([wbuchwalter](https://github.com/wbuchwalter))
- Adding v1alpha2 as the default PyTorch operator version [\#1511](https://github.com/kubeflow/kubeflow/pull/1511) ([johnugeorge](https://github.com/johnugeorge))
- update ks version to 0.12 for webapp backend [\#1508](https://github.com/kubeflow/kubeflow/pull/1508) ([lluunn](https://github.com/lluunn))
- Add myself as one of the approvers. [\#1505](https://github.com/kubeflow/kubeflow/pull/1505) ([abhi-g](https://github.com/abhi-g))
- Update webapp backend to respond and then finish deployment in the background [\#1504](https://github.com/kubeflow/kubeflow/pull/1504) ([lluunn](https://github.com/lluunn))
- separate dep and src for bootstrapper [\#1502](https://github.com/kubeflow/kubeflow/pull/1502) ([lluunn](https://github.com/lluunn))
- fixes update tensorboard to use the same pattern as kubeflow/core/prototypes [\#1501](https://github.com/kubeflow/kubeflow/pull/1501) ([kkasravi](https://github.com/kkasravi))
- Change webapp url [\#1499](https://github.com/kubeflow/kubeflow/pull/1499) ([lluunn](https://github.com/lluunn))
- fixes kfctl.sh unable to find component ambassador [\#1498](https://github.com/kubeflow/kubeflow/pull/1498) ([kkasravi](https://github.com/kkasravi))
- Update jupyterhub-kubespawner version [\#1497](https://github.com/kubeflow/kubeflow/pull/1497) ([pdmack](https://github.com/pdmack))
- update gke to 1.10.7-gke.1 [\#1494](https://github.com/kubeflow/kubeflow/pull/1494) ([kkasravi](https://github.com/kkasravi))
- click to deploy: remove default project name [\#1490](https://github.com/kubeflow/kubeflow/pull/1490) ([lluunn](https://github.com/lluunn))
- fixes add ability to only generate parts of a component in the jsonnet file [\#1487](https://github.com/kubeflow/kubeflow/pull/1487) ([kkasravi](https://github.com/kkasravi))
- Simplify tensorboard [\#1485](https://github.com/kubeflow/kubeflow/pull/1485) ([kkasravi](https://github.com/kkasravi))
- Delete deploy.sh scripts; we use kfctl.sh now. [\#1482](https://github.com/kubeflow/kubeflow/pull/1482) ([jlewi](https://github.com/jlewi))
- Ensure jovyan has site-packages perms [\#1470](https://github.com/kubeflow/kubeflow/pull/1470) ([pdmack](https://github.com/pdmack))
- Adding namespace scope to pytorch operator [\#1465](https://github.com/kubeflow/kubeflow/pull/1465) ([johnugeorge](https://github.com/johnugeorge))
- standardize remaining \<component\>.{jsonnet,libsonnet} files  [\#1437](https://github.com/kubeflow/kubeflow/pull/1437) ([kkasravi](https://github.com/kkasravi))
- Fix kfctl.sh gcpInitProject is always skipped [\#1425](https://github.com/kubeflow/kubeflow/pull/1425) ([sambaiz](https://github.com/sambaiz))

## [v0.2.5](https://github.com/kubeflow/kubeflow/tree/v0.2.5) (2018-09-04)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.4-rc.0...v0.2.5)

**Fixed bugs:**

- JupyterHub Version Mismatch [\#1393](https://github.com/kubeflow/kubeflow/issues/1393)

**Closed issues:**

- Error setting up kubeflow in minikube [\#1459](https://github.com/kubeflow/kubeflow/issues/1459)
- Current documentation for setting up Kubeflow in minikube not working [\#1455](https://github.com/kubeflow/kubeflow/issues/1455)
- presubmit failure for jsonnet test: name must be set [\#1453](https://github.com/kubeflow/kubeflow/issues/1453)
- What is image registry.opensource.zalan.do/teapot/external-dns ? [\#1446](https://github.com/kubeflow/kubeflow/issues/1446)
- What's the function of tfReplicaType: Master ? [\#1442](https://github.com/kubeflow/kubeflow/issues/1442)
- Bootstrapper fails in docker-for-desktop [\#1430](https://github.com/kubeflow/kubeflow/issues/1430)
- tf\_job\_simple\_test results not being report [\#1426](https://github.com/kubeflow/kubeflow/issues/1426)
- deploy.sh should be restart-aware in terms of directory structure [\#1422](https://github.com/kubeflow/kubeflow/issues/1422)
- kfctl.sh should not assume uuidgen is present [\#1415](https://github.com/kubeflow/kubeflow/issues/1415)
- How to spawn the jupyter container as a root user [\#1412](https://github.com/kubeflow/kubeflow/issues/1412)
- Don't use DM for IAM policy management [\#1401](https://github.com/kubeflow/kubeflow/issues/1401)
- Trigger minikube E2E test on presubmit when minikube test is modified [\#1350](https://github.com/kubeflow/kubeflow/issues/1350)
- GKE version "foo" is unsupported. [\#1348](https://github.com/kubeflow/kubeflow/issues/1348)
- CentralDashboard returns 404; Ambassador can't parse the route [\#1306](https://github.com/kubeflow/kubeflow/issues/1306)
- When creating releases we should pin the version of source.tar.gz used in the deploy.sh [\#1239](https://github.com/kubeflow/kubeflow/issues/1239)
- provide the ability to add imagePullSecrets to different ServiceAccounts so that private images can be fetched [\#1231](https://github.com/kubeflow/kubeflow/issues/1231)
- Restrict privilege of Kubeflow services accounts such as tf-job-operator to namespace level [\#1213](https://github.com/kubeflow/kubeflow/issues/1213)
- Minikube deploy script should start minikube [\#1153](https://github.com/kubeflow/kubeflow/issues/1153)
- \[gcp\] Use BackendConfig to enable IAP [\#1146](https://github.com/kubeflow/kubeflow/issues/1146)
- Make jupyterlab discoverable/default [\#1124](https://github.com/kubeflow/kubeflow/issues/1124)
- Enable test for tf-job-simple prototype for v1alpha2 [\#1048](https://github.com/kubeflow/kubeflow/issues/1048)
- Initial report for spartakus metrics [\#351](https://github.com/kubeflow/kubeflow/issues/351)
- Batch Prediction using GPUs with local runner [\#251](https://github.com/kubeflow/kubeflow/issues/251)

**Merged pull requests:**

- Fix bug with updating an existing deployment. [\#1475](https://github.com/kubeflow/kubeflow/pull/1475) ([jlewi](https://github.com/jlewi))
- Update Kaggle Dockerfile to add their API package [\#1469](https://github.com/kubeflow/kubeflow/pull/1469) ([pdmack](https://github.com/pdmack))
- Add storage read scope to VM scopes; v0.2-branch \(\#1466\) [\#1468](https://github.com/kubeflow/kubeflow/pull/1468) ([jlewi](https://github.com/jlewi))
- Add GCS read only scope to GKE VM scopes [\#1466](https://github.com/kubeflow/kubeflow/pull/1466) ([gindeleo](https://github.com/gindeleo))
- implement gcpUtils which takes care of integrating deployment manager API \(part of PR 1458\) [\#1460](https://github.com/kubeflow/kubeflow/pull/1460) ([kunmingg](https://github.com/kunmingg))
- make web app stateless & backend security update [\#1458](https://github.com/kubeflow/kubeflow/pull/1458) ([kunmingg](https://github.com/kunmingg))
- Fix presubmit unit test [\#1456](https://github.com/kubeflow/kubeflow/pull/1456) ([lluunn](https://github.com/lluunn))
- Click to deploy ui: remove ipName and make hostName optional [\#1449](https://github.com/kubeflow/kubeflow/pull/1449) ([lluunn](https://github.com/lluunn))
- Create webapp manifest dir [\#1447](https://github.com/kubeflow/kubeflow/pull/1447) ([lluunn](https://github.com/lluunn))
- Fix readme for local run [\#1445](https://github.com/kubeflow/kubeflow/pull/1445) ([lluunn](https://github.com/lluunn))
- Ensure MOUNT\_LOCAL env var is forwarded to kfctl [\#1443](https://github.com/kubeflow/kubeflow/pull/1443) ([abhi-g](https://github.com/abhi-g))
- Enable v1alpha2 for Pytorch operator [\#1441](https://github.com/kubeflow/kubeflow/pull/1441) ([johnugeorge](https://github.com/johnugeorge))
- Fix KUBEFLOW\_REPO dir pointer. [\#1439](https://github.com/kubeflow/kubeflow/pull/1439) ([abhi-g](https://github.com/abhi-g))
- Weaveflux version 0.1.2.  [\#1434](https://github.com/kubeflow/kubeflow/pull/1434) ([TheJaySmith](https://github.com/TheJaySmith))
- Add imagePullSecret to Seldon Prototypes [\#1431](https://github.com/kubeflow/kubeflow/pull/1431) ([cliveseldon](https://github.com/cliveseldon))
- Add logging statements to help figure out why test results aren't reported [\#1427](https://github.com/kubeflow/kubeflow/pull/1427) ([jlewi](https://github.com/jlewi))
- Add texasmichelle to OWNERS [\#1424](https://github.com/kubeflow/kubeflow/pull/1424) ([texasmichelle](https://github.com/texasmichelle))
- Use JupyterLab as default instead of Jupyter Tree interface [\#1423](https://github.com/kubeflow/kubeflow/pull/1423) ([ankushagarwal](https://github.com/ankushagarwal))
- Use bash ${RANDOM} instead of uuidgen [\#1418](https://github.com/kubeflow/kubeflow/pull/1418) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix minikube test and trigger on presubmit when modified. [\#1411](https://github.com/kubeflow/kubeflow/pull/1411) ([jlewi](https://github.com/jlewi))
- Python script to declaratively manage IAM binding patches [\#1408](https://github.com/kubeflow/kubeflow/pull/1408) ([ankushagarwal](https://github.com/ankushagarwal))
- Remove deploy\_gcp.sh and update workflows.libsonnet. [\#1406](https://github.com/kubeflow/kubeflow/pull/1406) ([jlewi](https://github.com/jlewi))
- Update various scripts to use lowercase clientid/secret [\#1405](https://github.com/kubeflow/kubeflow/pull/1405) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix use\_gcr\_for\_all\_images.sh [\#1404](https://github.com/kubeflow/kubeflow/pull/1404) ([ankushagarwal](https://github.com/ankushagarwal))
- Update tf-job-operator prototype to support namespace-scoped deployment [\#1403](https://github.com/kubeflow/kubeflow/pull/1403) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix annotations in ambassador and centraldashboard [\#1399](https://github.com/kubeflow/kubeflow/pull/1399) ([richardsliu](https://github.com/richardsliu))
- Add namespaces to the tf-job-dashboard role [\#1397](https://github.com/kubeflow/kubeflow/pull/1397) ([ankushagarwal](https://github.com/ankushagarwal))
- Updates to iap component to support private clusters [\#1396](https://github.com/kubeflow/kubeflow/pull/1396) ([ankushagarwal](https://github.com/ankushagarwal))
- util.libsonnet has methods that allow a \<component\>.part to be modified [\#1395](https://github.com/kubeflow/kubeflow/pull/1395) ([kkasravi](https://github.com/kkasravi))
- Add mxnet operator \(https://github.com/kubeflow/community/issues/136\) [\#1392](https://github.com/kubeflow/kubeflow/pull/1392) ([suleisl2000](https://github.com/suleisl2000))
- support customized image in ACK and update the document [\#1388](https://github.com/kubeflow/kubeflow/pull/1388) ([cheyang](https://github.com/cheyang))
- Added a minikube setup script. [\#1387](https://github.com/kubeflow/kubeflow/pull/1387) ([abhi-g](https://github.com/abhi-g))
- \[kfctl web app\] frontend & backend update to agree with api changes [\#1372](https://github.com/kubeflow/kubeflow/pull/1372) ([kunmingg](https://github.com/kunmingg))
- Fix iap-ingress certificate creation and use BackendConfig for IAP [\#1327](https://github.com/kubeflow/kubeflow/pull/1327) ([danisla](https://github.com/danisla))

## [v0.2.4-rc.0](https://github.com/kubeflow/kubeflow/tree/v0.2.4-rc.0) (2018-08-21)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.4...v0.2.4-rc.0)

## [v0.2.4](https://github.com/kubeflow/kubeflow/tree/v0.2.4) (2018-08-21)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.3-rc.0...v0.2.4)

**Closed issues:**

- The testing/install\_minikube.sh script assumes the host OS is Ubuntu. [\#1383](https://github.com/kubeflow/kubeflow/issues/1383)
- Add Argo UI to Ambassador and Central UI [\#1310](https://github.com/kubeflow/kubeflow/issues/1310)

**Merged pull requests:**

- Cherry-pick: Update TFJob operator to the latest image [\#1391](https://github.com/kubeflow/kubeflow/pull/1391) ([richardsliu](https://github.com/richardsliu))
- Fix typo [\#1385](https://github.com/kubeflow/kubeflow/pull/1385) ([fisache](https://github.com/fisache))
- Fixes the install\_minikube.sh script for non-Ubuntu OSes [\#1384](https://github.com/kubeflow/kubeflow/pull/1384) ([Ark-kun](https://github.com/Ark-kun))
- fix a typo and remove a too restrictive limit for gpu specification [\#1382](https://github.com/kubeflow/kubeflow/pull/1382) ([yixinshi](https://github.com/yixinshi))
- Fix groups for various resources [\#1380](https://github.com/kubeflow/kubeflow/pull/1380) ([activatedgeek](https://github.com/activatedgeek))
- Adds argo to ambassador and Central UI [\#1376](https://github.com/kubeflow/kubeflow/pull/1376) ([swiftdiaries](https://github.com/swiftdiaries))

## [v0.2.3-rc.0](https://github.com/kubeflow/kubeflow/tree/v0.2.3-rc.0) (2018-08-17)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.3...v0.2.3-rc.0)

## [v0.2.3](https://github.com/kubeflow/kubeflow/tree/v0.2.3) (2018-08-17)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.2-rc.0...v0.2.3)

**Features and improvements:**

- Extra packages in jupyterhub-image [\#1175](https://github.com/kubeflow/kubeflow/issues/1175)
- Use GKE auto-scaling when configuring node pools in the provided Deployment Manager configs [\#1033](https://github.com/kubeflow/kubeflow/issues/1033)

**Fixed bugs:**

- apparent issue with 0.2.0 tag re: ks registry [\#1115](https://github.com/kubeflow/kubeflow/issues/1115)
- Ambassador crashing on minikube [\#734](https://github.com/kubeflow/kubeflow/issues/734)

**Closed issues:**

- Jupyter-role error applying kubeflow-core component with ksonnet [\#1353](https://github.com/kubeflow/kubeflow/issues/1353)
- Jupyter notebook Connection failed because Ambassador doesn't enable websockets [\#1344](https://github.com/kubeflow/kubeflow/issues/1344)
- Need to update glide's ksonnet version to ^0.11.0 [\#1340](https://github.com/kubeflow/kubeflow/issues/1340)
- PS still running after tfjob is complete. [\#1334](https://github.com/kubeflow/kubeflow/issues/1334)
- Central UI should include a link to Kubeflow docs website [\#1318](https://github.com/kubeflow/kubeflow/issues/1318)
- Istio integration doc: Point to kubeflow/website documentation for [\#1315](https://github.com/kubeflow/kubeflow/issues/1315)
- Build and debug improvements for bootstrapper [\#1312](https://github.com/kubeflow/kubeflow/issues/1312)
- Fix incorrect links to user\_guide in kubeflow.org [\#1300](https://github.com/kubeflow/kubeflow/issues/1300)
- JupyterHub login unauthorized \(401\) [\#1296](https://github.com/kubeflow/kubeflow/issues/1296)
- Katib apply fail with error: Field does not exist: modeldbDatabaseImage [\#1291](https://github.com/kubeflow/kubeflow/issues/1291)
- ambassador crashing on node with wrong DNS resolver address due to misconfigured kubelet [\#1289](https://github.com/kubeflow/kubeflow/issues/1289)
- Move Katib documentation to kubeflow website [\#1286](https://github.com/kubeflow/kubeflow/issues/1286)
- How can we change the tensorflow image in kubeflow? [\#1285](https://github.com/kubeflow/kubeflow/issues/1285)
- \[gcp\] deploy.sh should support rerunning deploy.sh when DM configs and ks app already exist [\#1284](https://github.com/kubeflow/kubeflow/issues/1284)
- TFJob operator v1alpha2 doesn't work with TF.Estimator API for TF \<=1.6 [\#1283](https://github.com/kubeflow/kubeflow/issues/1283)
- \[GCP\] deploy.sh fails; can't create filestore because network is legacy [\#1282](https://github.com/kubeflow/kubeflow/issues/1282)
- \[GCP\] deploy.sh filestore API not enabled for project [\#1280](https://github.com/kubeflow/kubeflow/issues/1280)
- \[GCP\] deploy.sh gcloud error Invalid choice: 'filestore'. [\#1279](https://github.com/kubeflow/kubeflow/issues/1279)
- \[gcp-deployer\] Set up "cors-anywhere" proxy service for k8s api requests from web app [\#1276](https://github.com/kubeflow/kubeflow/issues/1276)
- Deploy argo by default; add it to deploy.sh scripts [\#1268](https://github.com/kubeflow/kubeflow/issues/1268)
- \[Test Flake\] simple tf job failing; Job not found waiting for job [\#1266](https://github.com/kubeflow/kubeflow/issues/1266)
- ERROR no prototype names matched 'kubeflow/core' [\#1263](https://github.com/kubeflow/kubeflow/issues/1263)
- TF Serving GPU test failing [\#1262](https://github.com/kubeflow/kubeflow/issues/1262)
- Keras training in Kubeflow on GKE gets "Killed" [\#1261](https://github.com/kubeflow/kubeflow/issues/1261)
- Better installation guide on kubeflow.org [\#1257](https://github.com/kubeflow/kubeflow/issues/1257)
- Create a batch predict example [\#1250](https://github.com/kubeflow/kubeflow/issues/1250)
- GPU support on GKE not available [\#1246](https://github.com/kubeflow/kubeflow/issues/1246)
- TF-job package missing [\#1245](https://github.com/kubeflow/kubeflow/issues/1245)
- Spawning Jupyter failed; user jovyan does not have permission to write to default storage class [\#1241](https://github.com/kubeflow/kubeflow/issues/1241)
- "Getting Involved" in README.md should point to kubeflow.org  [\#1237](https://github.com/kubeflow/kubeflow/issues/1237)
- scripts/gke/deploy.sh fails when kubeflow\_deployment\_manager\_configs/ exists [\#1233](https://github.com/kubeflow/kubeflow/issues/1233)
- \[openmpi\]- NodeSelector not working. [\#1230](https://github.com/kubeflow/kubeflow/issues/1230)
- \[GCP\] deploy.sh - don't show error if deployment doesn't exist [\#1222](https://github.com/kubeflow/kubeflow/issues/1222)
- Cant start jupyter-notebook pod in kubeflow version 0.2.1 [\#1221](https://github.com/kubeflow/kubeflow/issues/1221)
- \[Test Failure\] TFJob test failure; no module named py [\#1218](https://github.com/kubeflow/kubeflow/issues/1218)
- Error from server \(NotFound\): tfjobs.kubeflow.org "mycnnjob" not found [\#1217](https://github.com/kubeflow/kubeflow/issues/1217)
- Getting started error: No such file or directory: 'cluster-kubeflow.yaml' [\#1206](https://github.com/kubeflow/kubeflow/issues/1206)
- Getting started error [\#1205](https://github.com/kubeflow/kubeflow/issues/1205)
- README.md QuickStart should refer to kubeflow.org Getting Start [\#1202](https://github.com/kubeflow/kubeflow/issues/1202)
- "getting-started-gke" installer fails [\#1201](https://github.com/kubeflow/kubeflow/issues/1201)
- \[gcp\] deploy.sh shouldn't download secrets to the same directory as the DM configs [\#1197](https://github.com/kubeflow/kubeflow/issues/1197)
- deploy.sh is broken; wrong directory for the unpack? [\#1193](https://github.com/kubeflow/kubeflow/issues/1193)
- unable to spawn jupyter notebook - volume name is too long [\#1177](https://github.com/kubeflow/kubeflow/issues/1177)
- Delete old GCP configs [\#1171](https://github.com/kubeflow/kubeflow/issues/1171)
- Test Flake gke teardown failed; insufficient quota [\#1166](https://github.com/kubeflow/kubeflow/issues/1166)
- Create Prometheus Component in Kubeflow Core. [\#1160](https://github.com/kubeflow/kubeflow/issues/1160)
- Jupyter image suitable for running the examples/codelabs [\#1157](https://github.com/kubeflow/kubeflow/issues/1157)
- Create links on kubeflow.org to redirect to ksonnet tarballs and deploy scripts [\#1156](https://github.com/kubeflow/kubeflow/issues/1156)
- Make it easy to customizes PVs attached to Jupyter pods [\#1125](https://github.com/kubeflow/kubeflow/issues/1125)
- Split all prototype into separate prototypes [\#1107](https://github.com/kubeflow/kubeflow/issues/1107)
- Support for AVX2 when using deployment manager [\#1082](https://github.com/kubeflow/kubeflow/issues/1082)
- \[gcp-click-to-deploy\] Deploy click to deploy web app [\#1056](https://github.com/kubeflow/kubeflow/issues/1056)
- Bootstrapper release instructions need to explain how to build at appropriate commit [\#1053](https://github.com/kubeflow/kubeflow/issues/1053)
- Don't check in vendor for bootstrap; it adds 160M which slows down cloning the registry as part of Kubeflow deployment [\#1051](https://github.com/kubeflow/kubeflow/issues/1051)
- unflake TF serving testing [\#1031](https://github.com/kubeflow/kubeflow/issues/1031)
- Support and testing different versions of TF serving images [\#1005](https://github.com/kubeflow/kubeflow/issues/1005)
- Serving path should support logging request input/output [\#1000](https://github.com/kubeflow/kubeflow/issues/1000)
- 'ks delete ${KF\_ENV} -c kubeflow-core' doesn't take down user notebook pods [\#968](https://github.com/kubeflow/kubeflow/issues/968)
- Bootstrapper should support file and http registries in a consistent manner [\#962](https://github.com/kubeflow/kubeflow/issues/962)
- Click-to-deploy UI upgrade. [\#959](https://github.com/kubeflow/kubeflow/issues/959)
- Remove "alpha" in deployment manager config when gke-1.10.2 is public [\#821](https://github.com/kubeflow/kubeflow/issues/821)
- TF Serving test flaky [\#815](https://github.com/kubeflow/kubeflow/issues/815)
- TFJobs UI doesn't work behind IAP; React APP needs support IAP? [\#574](https://github.com/kubeflow/kubeflow/issues/574)
- Can not launch TensorFlow Serving because AVX not available on VM [\#421](https://github.com/kubeflow/kubeflow/issues/421)
- Trigger rebuild of TF serving image in E2E test only when files change [\#371](https://github.com/kubeflow/kubeflow/issues/371)
- HTTP Proxy and TFServing should not use the same resource defaults [\#360](https://github.com/kubeflow/kubeflow/issues/360)
- Add script to export inception into SaveModel from checkpoints [\#229](https://github.com/kubeflow/kubeflow/issues/229)
- ks apply -f tf-job.jsonnet, -f is not a valid flag [\#201](https://github.com/kubeflow/kubeflow/issues/201)
- e2e test for http-proxy [\#198](https://github.com/kubeflow/kubeflow/issues/198)
- Make https://hub.docker.com/r/kubeflow/jupyterhub/ a community resource [\#197](https://github.com/kubeflow/kubeflow/issues/197)
- How to port model developed in Jupyter notebook to TFJobs [\#110](https://github.com/kubeflow/kubeflow/issues/110)

**Merged pull requests:**

- Change the default branch used for the configs to v0.2-branch and not master [\#1378](https://github.com/kubeflow/kubeflow/pull/1378) ([jlewi](https://github.com/jlewi))
- add apply handler; fix k8s auth; reset glide hash [\#1375](https://github.com/kubeflow/kubeflow/pull/1375) ([kunmingg](https://github.com/kunmingg))
- Add Jobs permission to jupyterhub-noteook role to  for common use cases [\#1374](https://github.com/kubeflow/kubeflow/pull/1374) ([activatedgeek](https://github.com/activatedgeek))
- use tf serving image [\#1370](https://github.com/kubeflow/kubeflow/pull/1370) ([lluunn](https://github.com/lluunn))
- Disable spartakus usage reporting in our ci clusters. [\#1364](https://github.com/kubeflow/kubeflow/pull/1364) ([jlewi](https://github.com/jlewi))
- Use gcr.io images for argo, ambassador and cert-manager [\#1362](https://github.com/kubeflow/kubeflow/pull/1362) ([ankushagarwal](https://github.com/ankushagarwal))
- add optionsHandler for OPTIONS request from browser [\#1361](https://github.com/kubeflow/kubeflow/pull/1361) ([kunmingg](https://github.com/kunmingg))
- fix 'kfctl.sh delete platform'  doesn't delete platform correctly. [\#1360](https://github.com/kubeflow/kubeflow/pull/1360) ([everpeace](https://github.com/everpeace))
- Fix a bug in kfctl.sh when just creating a K8s app and not GCP. [\#1357](https://github.com/kubeflow/kubeflow/pull/1357) ([jlewi](https://github.com/jlewi))
- ks version update to 0.11.0, and bug fixes. [\#1356](https://github.com/kubeflow/kubeflow/pull/1356) ([kunmingg](https://github.com/kunmingg))
- upgrade gke version for v0.2 [\#1355](https://github.com/kubeflow/kubeflow/pull/1355) ([lluunn](https://github.com/lluunn))
- Add README steps for releasing website [\#1352](https://github.com/kubeflow/kubeflow/pull/1352) ([richardsliu](https://github.com/richardsliu))
- Create ks prototype for tf-batch-predict [\#1351](https://github.com/kubeflow/kubeflow/pull/1351) ([yixinshi](https://github.com/yixinshi))
- fixes issue \#1344 [\#1345](https://github.com/kubeflow/kubeflow/pull/1345) ([fyuan1316](https://github.com/fyuan1316))
- Add more tests to the subgraph we created to run the tests. [\#1342](https://github.com/kubeflow/kubeflow/pull/1342) ([jlewi](https://github.com/jlewi))
- Update TFJob operator to the latest image. [\#1341](https://github.com/kubeflow/kubeflow/pull/1341) ([jlewi](https://github.com/jlewi))
- add bindRoleHandler which bind roles to service accounts [\#1335](https://github.com/kubeflow/kubeflow/pull/1335) ([kunmingg](https://github.com/kunmingg))
- Add TFJob test to the Kfctl test; refactor workflows to start to use  [\#1333](https://github.com/kubeflow/kubeflow/pull/1333) ([jlewi](https://github.com/jlewi))
- \[gcp-deployer\] add service account key handler and a check health handler [\#1329](https://github.com/kubeflow/kubeflow/pull/1329) ([kunmingg](https://github.com/kunmingg))
- Update ambassador to 0.37.0 [\#1324](https://github.com/kubeflow/kubeflow/pull/1324) ([ankushagarwal](https://github.com/ankushagarwal))
- adds link to docs in centralui [\#1322](https://github.com/kubeflow/kubeflow/pull/1322) ([swiftdiaries](https://github.com/swiftdiaries))
- points to the documentation in kubeflow.org [\#1319](https://github.com/kubeflow/kubeflow/pull/1319) ([amsaha](https://github.com/amsaha))
- Build and debug improvements for bootstrapper [\#1313](https://github.com/kubeflow/kubeflow/pull/1313) ([kkasravi](https://github.com/kkasravi))
- Turn deploy.sh into kfctl.sh [\#1308](https://github.com/kubeflow/kubeflow/pull/1308) ([jlewi](https://github.com/jlewi))
- revert to k8s 1.9 [\#1307](https://github.com/kubeflow/kubeflow/pull/1307) ([lluunn](https://github.com/lluunn))
- wording [\#1305](https://github.com/kubeflow/kubeflow/pull/1305) ([pymia](https://github.com/pymia))
- Add reasonable default to tf-serving s3 creds [\#1304](https://github.com/kubeflow/kubeflow/pull/1304) ([inc0](https://github.com/inc0))
- Fixed broken links \(to user\_guide\) [\#1301](https://github.com/kubeflow/kubeflow/pull/1301) ([amsaha](https://github.com/amsaha))
- Pointing katib doc to kubeflow/website [\#1292](https://github.com/kubeflow/kubeflow/pull/1292) ([amsaha](https://github.com/amsaha))
- Make it easier to rerun deploy.sh [\#1290](https://github.com/kubeflow/kubeflow/pull/1290) ([jlewi](https://github.com/jlewi))
- Update README.md [\#1287](https://github.com/kubeflow/kubeflow/pull/1287) ([pdmack](https://github.com/pdmack))
- Enable GKE node-pool autoscaling options [\#1273](https://github.com/kubeflow/kubeflow/pull/1273) ([richardsliu](https://github.com/richardsliu))
- Deploy argo in deploy.sh [\#1272](https://github.com/kubeflow/kubeflow/pull/1272) ([lluunn](https://github.com/lluunn))
- Improve tf serving e2e test [\#1271](https://github.com/kubeflow/kubeflow/pull/1271) ([lluunn](https://github.com/lluunn))
- Small fix to tf serving component [\#1270](https://github.com/kubeflow/kubeflow/pull/1270) ([lluunn](https://github.com/lluunn))
- add components dir to tf serving test [\#1269](https://github.com/kubeflow/kubeflow/pull/1269) ([lluunn](https://github.com/lluunn))
- Fix tfjob test; the simple tfjob test prototype was renamed. [\#1267](https://github.com/kubeflow/kubeflow/pull/1267) ([jlewi](https://github.com/jlewi))
- Update TFJob image to include the fixes to make the UI work with IAP. [\#1265](https://github.com/kubeflow/kubeflow/pull/1265) ([jlewi](https://github.com/jlewi))
- \[gcp-deployer\] CSS fixes, Removed Placeholder, linting [\#1260](https://github.com/kubeflow/kubeflow/pull/1260) ([yebrahim](https://github.com/yebrahim))
- Scripts' code style adjustment [\#1256](https://github.com/kubeflow/kubeflow/pull/1256) ([zacharyzhao](https://github.com/zacharyzhao))
- \[gcp-deployer\] Setup oauth2 id & secret; insert service account keys via backend service [\#1255](https://github.com/kubeflow/kubeflow/pull/1255) ([kunmingg](https://github.com/kunmingg))
- Enable new SD agents by default [\#1252](https://github.com/kubeflow/kubeflow/pull/1252) ([lluunn](https://github.com/lluunn))
- Deploy click to deploy app [\#1248](https://github.com/kubeflow/kubeflow/pull/1248) ([jlewi](https://github.com/jlewi))
- Modified README.md to point to Kubeflow.org community page. Issue \#1237 [\#1247](https://github.com/kubeflow/kubeflow/pull/1247) ([amsaha](https://github.com/amsaha))
- Scope kubeflow prow jobs by job type and modified dirs [\#1244](https://github.com/kubeflow/kubeflow/pull/1244) ([richardsliu](https://github.com/richardsliu))
- Fix deploy.sh when re-trying on existing deployment name [\#1243](https://github.com/kubeflow/kubeflow/pull/1243) ([lluunn](https://github.com/lluunn))
- Adds check to see if Katib is deployed and updates CentralUI accordingly. [\#1242](https://github.com/kubeflow/kubeflow/pull/1242) ([swiftdiaries](https://github.com/swiftdiaries))
- Update indentation issue in jupyterhub spawner ui [\#1238](https://github.com/kubeflow/kubeflow/pull/1238) ([jainprachi2506](https://github.com/jainprachi2506))
- Fix link on front page. [\#1236](https://github.com/kubeflow/kubeflow/pull/1236) ([jlewi](https://github.com/jlewi))
- \[gcp-deployer\] Enable required GCP services before deploying [\#1235](https://github.com/kubeflow/kubeflow/pull/1235) ([yebrahim](https://github.com/yebrahim))
- Update reviewers so that automatic reviewer assignment works better. [\#1234](https://github.com/kubeflow/kubeflow/pull/1234) ([jlewi](https://github.com/jlewi))
- ksonnet package for WeaveFlux [\#1232](https://github.com/kubeflow/kubeflow/pull/1232) ([TheJaySmith](https://github.com/TheJaySmith))
- TF serving support request logging [\#1229](https://github.com/kubeflow/kubeflow/pull/1229) ([lluunn](https://github.com/lluunn))
- Update the README.md; remove instructions and direct folks to kubeflow.org [\#1226](https://github.com/kubeflow/kubeflow/pull/1226) ([jlewi](https://github.com/jlewi))
- Improve jupyterhub form interface [\#1212](https://github.com/kubeflow/kubeflow/pull/1212) ([ankushagarwal](https://github.com/ankushagarwal))
- Speed up gke script by running DM and GCFS creation in parallel [\#1211](https://github.com/kubeflow/kubeflow/pull/1211) ([ankushagarwal](https://github.com/ankushagarwal))
- fix tf-job-dashboard fails to show logs [\#1210](https://github.com/kubeflow/kubeflow/pull/1210) ([cheyang](https://github.com/cheyang))
- Seldon 0.2 update [\#1209](https://github.com/kubeflow/kubeflow/pull/1209) ([cliveseldon](https://github.com/cliveseldon))
- \[gcp-deployer\] Require user sign in, fetch email, add splash screen [\#1208](https://github.com/kubeflow/kubeflow/pull/1208) ([yebrahim](https://github.com/yebrahim))
- Split kubeflow-core into individual prototypes [\#1207](https://github.com/kubeflow/kubeflow/pull/1207) ([ankushagarwal](https://github.com/ankushagarwal))
- prometheus prototype [\#1204](https://github.com/kubeflow/kubeflow/pull/1204) ([kunmingg](https://github.com/kunmingg))
- change {username}{servername} to {userid} to avoid volume length restrictions of 63 characters [\#1200](https://github.com/kubeflow/kubeflow/pull/1200) ([kkasravi](https://github.com/kkasravi))
- Add a script to cleanup leaked kubeflow-ci ingress resources [\#1199](https://github.com/kubeflow/kubeflow/pull/1199) ([ankushagarwal](https://github.com/ankushagarwal))
- Extra packages in tensorflow-notebook-image [\#1198](https://github.com/kubeflow/kubeflow/pull/1198) ([wmuizelaar](https://github.com/wmuizelaar))
- Cherrypick \#1194 to master - Fix deploy.sh moving the unpacked repo [\#1196](https://github.com/kubeflow/kubeflow/pull/1196) ([ankushagarwal](https://github.com/ankushagarwal))
- Delete docs/gke/configs and move tests to scripts/gke [\#1195](https://github.com/kubeflow/kubeflow/pull/1195) ([ankushagarwal](https://github.com/ankushagarwal))
- Support private GKE clusters in gke deploy.sh script [\#1192](https://github.com/kubeflow/kubeflow/pull/1192) ([ankushagarwal](https://github.com/ankushagarwal))
- Add doc for TF Serving [\#1165](https://github.com/kubeflow/kubeflow/pull/1165) ([lluunn](https://github.com/lluunn))
- Create a doc to describe the deployment process. [\#1159](https://github.com/kubeflow/kubeflow/pull/1159) ([jlewi](https://github.com/jlewi))
- Turn bootstrapper into an RPC server for ksonnet. [\#1151](https://github.com/kubeflow/kubeflow/pull/1151) ([jlewi](https://github.com/jlewi))
- Add Kaggle notebook Dockerfile [\#1109](https://github.com/kubeflow/kubeflow/pull/1109) ([pdmack](https://github.com/pdmack))
- Set min-cpu-platform to haswell to support avx2 in deployment manager [\#1083](https://github.com/kubeflow/kubeflow/pull/1083) ([lluunn](https://github.com/lluunn))

## [v0.2.2-rc.0](https://github.com/kubeflow/kubeflow/tree/v0.2.2-rc.0) (2018-07-13)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.2...v0.2.2-rc.0)

## [v0.2.2](https://github.com/kubeflow/kubeflow/tree/v0.2.2) (2018-07-13)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.1-rc.1...v0.2.2)

**Closed issues:**

- TFMA plots don't render; GET tfma\_widget\_js.js returns 404 [\#1130](https://github.com/kubeflow/kubeflow/issues/1130)

**Merged pull requests:**

- Fix deploy.sh moving the unpacked repo. [\#1194](https://github.com/kubeflow/kubeflow/pull/1194) ([jlewi](https://github.com/jlewi))
- Use PV for /home/jovyan by default [\#1191](https://github.com/kubeflow/kubeflow/pull/1191) ([jlewi](https://github.com/jlewi))
- GCFS support [\#1173](https://github.com/kubeflow/kubeflow/pull/1173) ([ankushagarwal](https://github.com/ankushagarwal))

## [v0.2.1-rc.1](https://github.com/kubeflow/kubeflow/tree/v0.2.1-rc.1) (2018-07-12)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.1...v0.2.1-rc.1)

## [v0.2.1](https://github.com/kubeflow/kubeflow/tree/v0.2.1) (2018-07-12)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.1-rc.0...v0.2.1)

**Closed issues:**

- Use PV by default mounted at /home/jovyan [\#1187](https://github.com/kubeflow/kubeflow/issues/1187)
- Central UI image needs to be updated in 0.2.1 release; it is too old. [\#1147](https://github.com/kubeflow/kubeflow/issues/1147)
- metrics\_collector should emit K8s events to indicate when Kubeflow is ready [\#1142](https://github.com/kubeflow/kubeflow/issues/1142)
- Jupyter images in 0.2.1 need to be upgraded [\#1129](https://github.com/kubeflow/kubeflow/issues/1129)

**Merged pull requests:**

- Use PV for /home/jovyan by default [\#1188](https://github.com/kubeflow/kubeflow/pull/1188) ([jlewi](https://github.com/jlewi))
- Put the full PyTorch prototype in the jsonnet file. \(\#1119\) [\#1186](https://github.com/kubeflow/kubeflow/pull/1186) ([jlewi](https://github.com/jlewi))
- Grant roles/viewer to kubeflow user service account [\#1185](https://github.com/kubeflow/kubeflow/pull/1185) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix socket.Error typo [\#1183](https://github.com/kubeflow/kubeflow/pull/1183) ([ankushagarwal](https://github.com/ankushagarwal))
- Update Central UI image to the v0.2.1 tag. [\#1181](https://github.com/kubeflow/kubeflow/pull/1181) ([jlewi](https://github.com/jlewi))
- Make metric collector emit k8s event [\#1161](https://github.com/kubeflow/kubeflow/pull/1161) ([kunmingg](https://github.com/kunmingg))

## [v0.2.1-rc.0](https://github.com/kubeflow/kubeflow/tree/v0.2.1-rc.0) (2018-07-11)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.0...v0.2.1-rc.0)

**Closed issues:**

- Test Flake deploy.sh fails trying to enable the deployment service [\#1158](https://github.com/kubeflow/kubeflow/issues/1158)
- Make downloading our ksonnet registry for getting started efficient [\#1154](https://github.com/kubeflow/kubeflow/issues/1154)
- kubeflow cluster cannot pull image from GCR within same Project. [\#1139](https://github.com/kubeflow/kubeflow/issues/1139)
- \[Test Flake\] vm\_util.wait\_for\_operation needs to retry on socket error [\#1137](https://github.com/kubeflow/kubeflow/issues/1137)
- Ambassador pod failed to run because kube-dns not running [\#1134](https://github.com/kubeflow/kubeflow/issues/1134)
- \[Test Flake\] tf\_job\_simple\_test needs retries for ks init to deal with git connection issues [\#1128](https://github.com/kubeflow/kubeflow/issues/1128)
- PyTorch job prototype should contain the full job spec [\#1114](https://github.com/kubeflow/kubeflow/issues/1114)
- Finalize release 0.2.0 [\#1070](https://github.com/kubeflow/kubeflow/issues/1070)
- \[gcp\] GKE setup; do as much as possible in deploy.sh [\#1068](https://github.com/kubeflow/kubeflow/issues/1068)
- \[gcp click-to-deploy\] Need to build docker container [\#1055](https://github.com/kubeflow/kubeflow/issues/1055)
- Cherry-pick for release v0.2.0-rc.1 [\#1024](https://github.com/kubeflow/kubeflow/issues/1024)
- Cut a 0.2 release branch [\#964](https://github.com/kubeflow/kubeflow/issues/964)
- \[gcp\] monitoring agent need to emit events/status information particularly related to IAP [\#955](https://github.com/kubeflow/kubeflow/issues/955)
- Include GPU daemonset in GKE configs? [\#288](https://github.com/kubeflow/kubeflow/issues/288)
- KubeFlow or Kubeflow? [\#44](https://github.com/kubeflow/kubeflow/issues/44)
- Tooling to manage configuration and deployment [\#23](https://github.com/kubeflow/kubeflow/issues/23)

**Merged pull requests:**

- Cherry pick upgrading the central UI to v0.2.1 [\#1182](https://github.com/kubeflow/kubeflow/pull/1182) ([jlewi](https://github.com/jlewi))
- Make the deploy scripts more efficient and other fixes. \(\#1174\) [\#1180](https://github.com/kubeflow/kubeflow/pull/1180) ([jlewi](https://github.com/jlewi))
- Cherry Pick: Don't check in bootstrap/vendor. \(\#1152\) [\#1176](https://github.com/kubeflow/kubeflow/pull/1176) ([jlewi](https://github.com/jlewi))
- Make the deploy scripts more efficient and other fixes. [\#1174](https://github.com/kubeflow/kubeflow/pull/1174) ([jlewi](https://github.com/jlewi))
- Make GKE VM service account storage.objectViewer to have read access of gcr \#1164 [\#1172](https://github.com/kubeflow/kubeflow/pull/1172) ([jlewi](https://github.com/jlewi))
- Cherypick: Tag the latest Jupyter images with v0.2.1 \(\#1144\) [\#1170](https://github.com/kubeflow/kubeflow/pull/1170) ([jlewi](https://github.com/jlewi))
- Delete kubeflow namespace before deleting the cluster [\#1167](https://github.com/kubeflow/kubeflow/pull/1167) ([ankushagarwal](https://github.com/ankushagarwal))
- Make GKE VM service account storage.objectViewer [\#1164](https://github.com/kubeflow/kubeflow/pull/1164) ([kunmingg](https://github.com/kunmingg))
- Give KF\_USER\_NAME service account roles/cloudbuild.builds.editor role [\#1163](https://github.com/kubeflow/kubeflow/pull/1163) ([ankushagarwal](https://github.com/ankushagarwal))
- Skip project setup during deployment. [\#1162](https://github.com/kubeflow/kubeflow/pull/1162) ([jlewi](https://github.com/jlewi))
- Don't check in bootstrap/vendor. [\#1152](https://github.com/kubeflow/kubeflow/pull/1152) ([jlewi](https://github.com/jlewi))
- Make Katib work with Ambassador. \(\#1103\) [\#1150](https://github.com/kubeflow/kubeflow/pull/1150) ([jlewi](https://github.com/jlewi))
- Fix the makefile so that we tag the image with the comit. [\#1149](https://github.com/kubeflow/kubeflow/pull/1149) ([jlewi](https://github.com/jlewi))
- Tag the latest Jupyter images with v0.2.1 [\#1144](https://github.com/kubeflow/kubeflow/pull/1144) ([jlewi](https://github.com/jlewi))
- \[gcp-deployer\] Use Material UI components and fonts [\#1138](https://github.com/kubeflow/kubeflow/pull/1138) ([yebrahim](https://github.com/yebrahim))
- Set requests and limits for RAM and CPU in TF notebook image releaser. [\#1136](https://github.com/kubeflow/kubeflow/pull/1136) ([jlewi](https://github.com/jlewi))
- Make the test robust to test flakes due to problems initializing the ksonnet app [\#1133](https://github.com/kubeflow/kubeflow/pull/1133) ([jlewi](https://github.com/jlewi))
- Fix TFMA jupyter extensions. [\#1131](https://github.com/kubeflow/kubeflow/pull/1131) ([jlewi](https://github.com/jlewi))
- Fix typos [\#1127](https://github.com/kubeflow/kubeflow/pull/1127) ([idealhack](https://github.com/idealhack))
- add service monitor prototype for monitoring deployment status [\#1123](https://github.com/kubeflow/kubeflow/pull/1123) ([kunmingg](https://github.com/kunmingg))
- Add Dockerfile and Makefile to build docker images [\#1122](https://github.com/kubeflow/kubeflow/pull/1122) ([ankushagarwal](https://github.com/ankushagarwal))
- Pin and fix katib images. \(\#1113\) [\#1120](https://github.com/kubeflow/kubeflow/pull/1120) ([jlewi](https://github.com/jlewi))
- Put the full PyTorch prototype in the jsonnet file. [\#1119](https://github.com/kubeflow/kubeflow/pull/1119) ([jlewi](https://github.com/jlewi))
- Pin and fix katib images. [\#1113](https://github.com/kubeflow/kubeflow/pull/1113) ([jlewi](https://github.com/jlewi))
- Create a deployment script for gke and minikube [\#1111](https://github.com/kubeflow/kubeflow/pull/1111) ([ankushagarwal](https://github.com/ankushagarwal))
- Add a jupyter-notebook-role and use it for notebooks in jupyterhub [\#1110](https://github.com/kubeflow/kubeflow/pull/1110) ([ankushagarwal](https://github.com/ankushagarwal))
- \[gcp-deployer\] Rudimentary progress in logs [\#1108](https://github.com/kubeflow/kubeflow/pull/1108) ([yebrahim](https://github.com/yebrahim))
- add katib releaser [\#1102](https://github.com/kubeflow/kubeflow/pull/1102) ([YujiOshima](https://github.com/YujiOshima))
- Create a script to update a ksonnet app to the latest Kubeflow package [\#1100](https://github.com/kubeflow/kubeflow/pull/1100) ([jlewi](https://github.com/jlewi))
- Tfjob create fails in tfjob UI [\#1099](https://github.com/kubeflow/kubeflow/pull/1099) ([kkasravi](https://github.com/kkasravi))

## [v0.2.0](https://github.com/kubeflow/kubeflow/tree/v0.2.0) (2018-06-29)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.0-rc.1...v0.2.0)

**Fixed bugs:**

- \[gcp click-to-deploy\] hostname field is not editable [\#1101](https://github.com/kubeflow/kubeflow/issues/1101)
- \[gcp click-to-deploy\] Click to deploy web app crashes [\#1072](https://github.com/kubeflow/kubeflow/issues/1072)

**Closed issues:**

- Wrong comment in setting default  CleanPodPolicy [\#1081](https://github.com/kubeflow/kubeflow/issues/1081)
- Deprecate tfserving http-proxy? [\#1080](https://github.com/kubeflow/kubeflow/issues/1080)
- user guide disappear? [\#1078](https://github.com/kubeflow/kubeflow/issues/1078)
- user\_guide link is dead [\#1075](https://github.com/kubeflow/kubeflow/issues/1075)
- TFJob prototype's default TFVersion should be v1alpha2 [\#1049](https://github.com/kubeflow/kubeflow/issues/1049)
- TF-Serving 1.8 Images [\#845](https://github.com/kubeflow/kubeflow/issues/845)

**Merged pull requests:**

- \[gcp-deployer\] Fix hostname typo bug [\#1105](https://github.com/kubeflow/kubeflow/pull/1105) ([yebrahim](https://github.com/yebrahim))
- cherry pick 3 commits [\#1104](https://github.com/kubeflow/kubeflow/pull/1104) ([kunmingg](https://github.com/kunmingg))
- Make Katib work with Ambassador. [\#1103](https://github.com/kubeflow/kubeflow/pull/1103) ([jlewi](https://github.com/jlewi))
- add seldon to ks config; pre install all pkg [\#1098](https://github.com/kubeflow/kubeflow/pull/1098) ([kunmingg](https://github.com/kunmingg))
- Create a version of echo-server to echo headers. [\#1097](https://github.com/kubeflow/kubeflow/pull/1097) ([jlewi](https://github.com/jlewi))
- add chainer-job/chainer-operator ksonnet package [\#1095](https://github.com/kubeflow/kubeflow/pull/1095) ([everpeace](https://github.com/everpeace))
- Install gpu driver in deployment manager [\#1094](https://github.com/kubeflow/kubeflow/pull/1094) ([lluunn](https://github.com/lluunn))
- Improvements to deploy.sh [\#1093](https://github.com/kubeflow/kubeflow/pull/1093) ([jlewi](https://github.com/jlewi))
- Delete the tf-job package. [\#1091](https://github.com/kubeflow/kubeflow/pull/1091) ([jlewi](https://github.com/jlewi))
- cherry-pick: update tf job default version \(\#1086\) [\#1087](https://github.com/kubeflow/kubeflow/pull/1087) ([kunmingg](https://github.com/kunmingg))
- update tf job default version [\#1086](https://github.com/kubeflow/kubeflow/pull/1086) ([kunmingg](https://github.com/kunmingg))
- Add katib tag to images [\#1085](https://github.com/kubeflow/kubeflow/pull/1085) ([inc0](https://github.com/inc0))
- fix for file\_cache is unavailable when using oauth2client \>= 4.0.0 [\#1084](https://github.com/kubeflow/kubeflow/pull/1084) ([kkasravi](https://github.com/kkasravi))
- add a readme file to the mpi-job ksonnet component [\#1079](https://github.com/kubeflow/kubeflow/pull/1079) ([rongou](https://github.com/rongou))
- fix \#1075, user\_guide link is dead [\#1077](https://github.com/kubeflow/kubeflow/pull/1077) ([theofpa](https://github.com/theofpa))
- TFJobs UI doesn't work behind IAP [\#1073](https://github.com/kubeflow/kubeflow/pull/1073) ([kkasravi](https://github.com/kkasravi))
- point bootstrapper to v0.2.0 in release branch [\#1069](https://github.com/kubeflow/kubeflow/pull/1069) ([kunmingg](https://github.com/kunmingg))
- Tooling to make it easier to tag images and update the ksonnet prototypes [\#1066](https://github.com/kubeflow/kubeflow/pull/1066) ([jlewi](https://github.com/jlewi))
- Create a script to update some of the docker images in the prototypes [\#1063](https://github.com/kubeflow/kubeflow/pull/1063) ([jlewi](https://github.com/jlewi))
- \[gcp-deployer\] Add Gapi manager class, more typings and fixes [\#1054](https://github.com/kubeflow/kubeflow/pull/1054) ([yebrahim](https://github.com/yebrahim))

## [v0.2.0-rc.1](https://github.com/kubeflow/kubeflow/tree/v0.2.0-rc.1) (2018-06-22)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.2.0-rc.0...v0.2.0-rc.1)

**Closed issues:**

- Cross-Origin Resource Sharing with TF Jobs Dashboard [\#1046](https://github.com/kubeflow/kubeflow/issues/1046)
- nvidia-smi fails for TFJob's but not for similarly configured Job's [\#1042](https://github.com/kubeflow/kubeflow/issues/1042)
- Jupyter can't start pod; the default spawner image is way too old [\#1041](https://github.com/kubeflow/kubeflow/issues/1041)
- TFJob pods deleted on completion/failure impairing debugging [\#1039](https://github.com/kubeflow/kubeflow/issues/1039)
- Invalid value: "v1alpha2": field is immutable [\#1029](https://github.com/kubeflow/kubeflow/issues/1029)
- Update PyTorch Image to officially released one [\#1020](https://github.com/kubeflow/kubeflow/issues/1020)
- Bootstrapper in 0.2.0-RC 0 doesn't set tfJobsVersion to v1alpha2 by default [\#1018](https://github.com/kubeflow/kubeflow/issues/1018)
- TensorFlow 1.8 not included in stock Jupyter Images [\#1014](https://github.com/kubeflow/kubeflow/issues/1014)
- Investigate supporting of TF serving 1.7 gpu [\#1009](https://github.com/kubeflow/kubeflow/issues/1009)
- Parameter names for Ambassador images improperly named; have extra tf prefix [\#994](https://github.com/kubeflow/kubeflow/issues/994)
- Bootstrapper: Friction log from minikube on macOS [\#981](https://github.com/kubeflow/kubeflow/issues/981)
- Enable TFJob v1alpha2 by default in 0.2 release [\#977](https://github.com/kubeflow/kubeflow/issues/977)
- Central UI sometimes doesn't render if screen too small [\#957](https://github.com/kubeflow/kubeflow/issues/957)
- \[gcp\] cluster-kubeflow.yaml isn't tested [\#950](https://github.com/kubeflow/kubeflow/issues/950)
- \[central UI\] needs a link to JupyterHub [\#810](https://github.com/kubeflow/kubeflow/issues/810)
- Verify Central UI is working [\#805](https://github.com/kubeflow/kubeflow/issues/805)
- Batch Prediction Beam Library [\#662](https://github.com/kubeflow/kubeflow/issues/662)

**Merged pull requests:**

- cherry pick: update tf\_operator image to point to tag v0.2.0 \(\#1062\) [\#1065](https://github.com/kubeflow/kubeflow/pull/1065) ([kunmingg](https://github.com/kunmingg))
- cherry pick fixes to release branch [\#1064](https://github.com/kubeflow/kubeflow/pull/1064) ([kunmingg](https://github.com/kunmingg))
- update tf\_operator image to point to tag v0.2.0 [\#1062](https://github.com/kubeflow/kubeflow/pull/1062) ([kunmingg](https://github.com/kunmingg))
- Some scripts to support retagging our images as part of our releases. [\#1061](https://github.com/kubeflow/kubeflow/pull/1061) ([jlewi](https://github.com/jlewi))
- Fix typo in NB image sha [\#1058](https://github.com/kubeflow/kubeflow/pull/1058) ([pdmack](https://github.com/pdmack))
- Update default notebook image for spawner [\#1052](https://github.com/kubeflow/kubeflow/pull/1052) ([pdmack](https://github.com/pdmack))
- A bunch of fixes for deploying with private ks registry [\#1047](https://github.com/kubeflow/kubeflow/pull/1047) ([IronPan](https://github.com/IronPan))
- test-dir-delete should depend upon teardown to complete [\#1045](https://github.com/kubeflow/kubeflow/pull/1045) ([ankushagarwal](https://github.com/ankushagarwal))
- add mpi operator ksonnet package [\#1043](https://github.com/kubeflow/kubeflow/pull/1043) ([rongou](https://github.com/rongou))
- Changing defaults in Pytorch-job [\#1040](https://github.com/kubeflow/kubeflow/pull/1040) ([johnugeorge](https://github.com/johnugeorge))
- Delete user\_guide.md; it is now part of the website [\#1038](https://github.com/kubeflow/kubeflow/pull/1038) ([johnugeorge](https://github.com/johnugeorge))
- \[gcp-deployer\] Move to Typescript, clear dead code [\#1037](https://github.com/kubeflow/kubeflow/pull/1037) ([yebrahim](https://github.com/yebrahim))
- Update examples for 0.2. [\#1035](https://github.com/kubeflow/kubeflow/pull/1035) ([jlewi](https://github.com/jlewi))
- update pytorch image [\#1034](https://github.com/kubeflow/kubeflow/pull/1034) ([kunmingg](https://github.com/kunmingg))
- release workflow bug fixes and doc update [\#1032](https://github.com/kubeflow/kubeflow/pull/1032) ([kunmingg](https://github.com/kunmingg))
- Update TF serving 1.7 gpu image to use cuda 9.0 [\#1030](https://github.com/kubeflow/kubeflow/pull/1030) ([lluunn](https://github.com/lluunn))
- fix format error for nightly release config [\#1026](https://github.com/kubeflow/kubeflow/pull/1026) ([kunmingg](https://github.com/kunmingg))
- Merge master commits to release 0.2 branch [\#1025](https://github.com/kubeflow/kubeflow/pull/1025) ([kunmingg](https://github.com/kunmingg))
- Fix param name of ambassador [\#1023](https://github.com/kubeflow/kubeflow/pull/1023) ([lluunn](https://github.com/lluunn))
- update bootstrapper image to use tfJobsVersion v1alpha2 as default [\#1021](https://github.com/kubeflow/kubeflow/pull/1021) ([kunmingg](https://github.com/kunmingg))
- Pin the central UI image. [\#1019](https://github.com/kubeflow/kubeflow/pull/1019) ([jlewi](https://github.com/jlewi))
- Add a link to JupyterHub in the CentralUI [\#1016](https://github.com/kubeflow/kubeflow/pull/1016) ([jlewi](https://github.com/jlewi))
- Include the TF 1.8 image in kubeform\_spawner. [\#1015](https://github.com/kubeflow/kubeflow/pull/1015) ([jlewi](https://github.com/jlewi))
- Fix hard coded "name" variable in example prototypes [\#1013](https://github.com/kubeflow/kubeflow/pull/1013) ([xyhuang](https://github.com/xyhuang))
- Set default version of TFJob operator to be v1alpha2 [\#1012](https://github.com/kubeflow/kubeflow/pull/1012) ([kunmingg](https://github.com/kunmingg))
- Use docs/gke/configs to run e2e tests [\#1002](https://github.com/kubeflow/kubeflow/pull/1002) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix user guide for the refactored tf-cnn example [\#995](https://github.com/kubeflow/kubeflow/pull/995) ([xyhuang](https://github.com/xyhuang))
- Fix permissions for jupyter-role [\#978](https://github.com/kubeflow/kubeflow/pull/978) ([wmuizelaar](https://github.com/wmuizelaar))

## [v0.2.0-rc.0](https://github.com/kubeflow/kubeflow/tree/v0.2.0-rc.0) (2018-06-16)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.3...v0.2.0-rc.0)

**Fixed bugs:**

- JupyterHub authenticates login but doesn't redirect to user home [\#430](https://github.com/kubeflow/kubeflow/issues/430)

**Closed issues:**

- Bootstrapper should apply components in an order [\#1006](https://github.com/kubeflow/kubeflow/issues/1006)
- Make Katib work with reverse proxy and ambassador [\#991](https://github.com/kubeflow/kubeflow/issues/991)
- ambassador memory leak statsd:0.30.1 [\#986](https://github.com/kubeflow/kubeflow/issues/986)
- presubmit failing:  couldn't open import "X": no match locally or in the Jsonnet library path [\#983](https://github.com/kubeflow/kubeflow/issues/983)
- Verify Katib is working [\#973](https://github.com/kubeflow/kubeflow/issues/973)
- Issues with image release workflow app [\#970](https://github.com/kubeflow/kubeflow/issues/970)
- ks error: ERROR open /home/jlewi/app.yaml: no such file or directory [\#966](https://github.com/kubeflow/kubeflow/issues/966)
- Bootstrapper throwing error when deployed on GKE [\#961](https://github.com/kubeflow/kubeflow/issues/961)
- \[gcp\] bootstrapper fails to create CloudEndpoints resource [\#954](https://github.com/kubeflow/kubeflow/issues/954)
- Nightly builds of TensorFlow notebook images do not have have the same commit hash in the tag [\#943](https://github.com/kubeflow/kubeflow/issues/943)
- Create ksonnet prototype for auto image release [\#941](https://github.com/kubeflow/kubeflow/issues/941)
- How to configure a local volume for Jupyterhub\_spawner.py [\#933](https://github.com/kubeflow/kubeflow/issues/933)
- Unknown variable error when applying kubeflow-core prototypes [\#932](https://github.com/kubeflow/kubeflow/issues/932)
- GCP Deployment Manager needs to delete IAM roles when DM is deleted [\#910](https://github.com/kubeflow/kubeflow/issues/910)
- Unable to use image-releaser for tf-notebook-workflow [\#909](https://github.com/kubeflow/kubeflow/issues/909)
- Regression Jupyter notebooks no longer include python2 runtime [\#906](https://github.com/kubeflow/kubeflow/issues/906)
- Deadlocks configuring envoy for IAP [\#903](https://github.com/kubeflow/kubeflow/issues/903)
- IAP setup script needs permission to list backend services [\#902](https://github.com/kubeflow/kubeflow/issues/902)
- bootstrapper should not crash loop on error [\#901](https://github.com/kubeflow/kubeflow/issues/901)
- openmpi-controller:0.0.3 image pull error. [\#887](https://github.com/kubeflow/kubeflow/issues/887)
- deployment manager should allow setting IAM roles in YAML config [\#883](https://github.com/kubeflow/kubeflow/issues/883)
- Bootstrapper should support packages from other registries [\#880](https://github.com/kubeflow/kubeflow/issues/880)
- Deployment manager config should create service accounts and set IAM roles [\#878](https://github.com/kubeflow/kubeflow/issues/878)
- Deployment manager config should enable Cloud Endpoints API [\#876](https://github.com/kubeflow/kubeflow/issues/876)
- dev.kubeflow.org envoy; iap sidecar stuck waiting for backend [\#871](https://github.com/kubeflow/kubeflow/issues/871)
- Presubmit unhealthy? Networking issues [\#869](https://github.com/kubeflow/kubeflow/issues/869)
- Failed to run TfCnn example from User Guide: ERROR find objects: parse jsonnet snippet: params.libsonnet:22:5-13 Expected a comma before next field. [\#863](https://github.com/kubeflow/kubeflow/issues/863)
- unknown node type issue related to mycnnjob.jsonnet [\#858](https://github.com/kubeflow/kubeflow/issues/858)
- Verify PVC for /home/jovyan works [\#854](https://github.com/kubeflow/kubeflow/issues/854)
- E2E test for TFJob v1alpha2 ksonnet package [\#852](https://github.com/kubeflow/kubeflow/issues/852)
- Include ssh in notebook image to support authenticated git push [\#850](https://github.com/kubeflow/kubeflow/issues/850)
- Jupyter image for TensorFlow 1.8 [\#846](https://github.com/kubeflow/kubeflow/issues/846)
- Some questions  about tf-serving on NFS [\#844](https://github.com/kubeflow/kubeflow/issues/844)
- E2E test verifies Kubeflow installed via Deployment Manager [\#836](https://github.com/kubeflow/kubeflow/issues/836)
- JupyterHub GitHub OAuth Setup missing manifest/config.yaml files [\#835](https://github.com/kubeflow/kubeflow/issues/835)
- GCP deployment manager test handle internal errors [\#833](https://github.com/kubeflow/kubeflow/issues/833)
- bootstrapper error trying to create the PyTorch Operator [\#832](https://github.com/kubeflow/kubeflow/issues/832)
- Unify and dedup release workflows [\#830](https://github.com/kubeflow/kubeflow/issues/830)
- Bootstrapper should optionally use config map to specify ksonnet parameters [\#829](https://github.com/kubeflow/kubeflow/issues/829)
- horovod error  [\#826](https://github.com/kubeflow/kubeflow/issues/826)
- Give release service account access to kubeflow-images-public [\#824](https://github.com/kubeflow/kubeflow/issues/824)
- Ambassador failed to start up [\#811](https://github.com/kubeflow/kubeflow/issues/811)
- IAP Envoy route should map / to central dashboard [\#809](https://github.com/kubeflow/kubeflow/issues/809)
- \[Central UI\] Remove the box "There is nothing to display here" [\#808](https://github.com/kubeflow/kubeflow/issues/808)
- Bootstrapper should deploy new Stackdriver agents [\#807](https://github.com/kubeflow/kubeflow/issues/807)
- deployment manager should disable legacy Stackdriver agents  [\#806](https://github.com/kubeflow/kubeflow/issues/806)
- Invalid envoy config duplicate value IAP [\#804](https://github.com/kubeflow/kubeflow/issues/804)
- On GCP trigger bootstrapper with deployment manager [\#802](https://github.com/kubeflow/kubeflow/issues/802)
- TF serving GPU test failing [\#794](https://github.com/kubeflow/kubeflow/issues/794)
- \[openmpi\] support to run a job with non-root users [\#793](https://github.com/kubeflow/kubeflow/issues/793)
- Minikube E2E test timeout waiting for VM to be ready. [\#788](https://github.com/kubeflow/kubeflow/issues/788)
- Spawner options error\(401\) [\#784](https://github.com/kubeflow/kubeflow/issues/784)
- jupyterNotebookPVCMount is not work in v0.1.2 [\#770](https://github.com/kubeflow/kubeflow/issues/770)
- Swift Jupyter Integration [\#763](https://github.com/kubeflow/kubeflow/issues/763)
- It didn't return \[dead loop\] when Python 3 is being used. [\#760](https://github.com/kubeflow/kubeflow/issues/760)
- Support using bootstrapper image as a kube deployment. [\#758](https://github.com/kubeflow/kubeflow/issues/758)
- Support install kubeflow by Deployment Manager [\#757](https://github.com/kubeflow/kubeflow/issues/757)
- the tfserving prototype missing label after generation [\#746](https://github.com/kubeflow/kubeflow/issues/746)
- E2E test for bootstrapper [\#742](https://github.com/kubeflow/kubeflow/issues/742)
- E2E test for Argo Package [\#740](https://github.com/kubeflow/kubeflow/issues/740)
- cloud-endpoints fails when using bootstrapper [\#735](https://github.com/kubeflow/kubeflow/issues/735)
- Use Pod Preset to add environment variables and volume mounts to pods [\#732](https://github.com/kubeflow/kubeflow/issues/732)
- Bootstrapper fails if no ~/.kube/config is present [\#722](https://github.com/kubeflow/kubeflow/issues/722)
- openmpi controller exited with error [\#718](https://github.com/kubeflow/kubeflow/issues/718)
- \[openmpi\] Upload trained models to persistent storage  [\#713](https://github.com/kubeflow/kubeflow/issues/713)
- Create individual prototypes for just TFJob [\#669](https://github.com/kubeflow/kubeflow/issues/669)
- Nightly \(regular\) build of container images [\#666](https://github.com/kubeflow/kubeflow/issues/666)
- Bootstrapper should enable IAP on GKE [\#665](https://github.com/kubeflow/kubeflow/issues/665)
- Bootstrapper should check if user has appropriate permissions and if not create cluster role [\#664](https://github.com/kubeflow/kubeflow/issues/664)
- Bootstrapper should create namespace if it doesn't exist [\#663](https://github.com/kubeflow/kubeflow/issues/663)
- Tests are failing because we are running out of PD quota in us-east1 [\#618](https://github.com/kubeflow/kubeflow/issues/618)
- ksonnet packages for Pachyderm [\#611](https://github.com/kubeflow/kubeflow/issues/611)
- Friction log for TFX Chicago taxi cab example on minikube  [\#594](https://github.com/kubeflow/kubeflow/issues/594)
- TFJob prototype should contain the full TFJob spec so that ks generate is mostly just copying the prototype [\#564](https://github.com/kubeflow/kubeflow/issues/564)
- Can we put all of /home on PV for Jupyter notebooks [\#561](https://github.com/kubeflow/kubeflow/issues/561)
- Create gcr.io/kubeflow-images-public [\#534](https://github.com/kubeflow/kubeflow/issues/534)
- Central UI Ambassador Integration [\#528](https://github.com/kubeflow/kubeflow/issues/528)
- Have the JupyterHub spawner report issues with spawning the user's server [\#505](https://github.com/kubeflow/kubeflow/issues/505)
- Recommended minikube setup [\#502](https://github.com/kubeflow/kubeflow/issues/502)
- TF Serving component logging [\#495](https://github.com/kubeflow/kubeflow/issues/495)
- JupyterHub Spawner complains notebook is already spawning; upgrade JupyterHub to 0.9 [\#479](https://github.com/kubeflow/kubeflow/issues/479)
- Build TFServing images for different TF versions [\#468](https://github.com/kubeflow/kubeflow/issues/468)
- \[Discussion\] ISTIO and TFServing [\#464](https://github.com/kubeflow/kubeflow/issues/464)
- E2E test for tf-job-simple prototype [\#462](https://github.com/kubeflow/kubeflow/issues/462)
- Unable to mount volumes for pod "jupyter-... [\#424](https://github.com/kubeflow/kubeflow/issues/424)
- multiple Matplotlib libraries [\#423](https://github.com/kubeflow/kubeflow/issues/423)
- ksonnet style guide  [\#403](https://github.com/kubeflow/kubeflow/issues/403)
- Reformat only modified files [\#395](https://github.com/kubeflow/kubeflow/issues/395)
- Establish a pattern for creating/using secrets used by multiple kubeflow prototypes [\#372](https://github.com/kubeflow/kubeflow/issues/372)
- ks delete default fails [\#364](https://github.com/kubeflow/kubeflow/issues/364)
- Python script to set parameters for ksonnet prototypes [\#322](https://github.com/kubeflow/kubeflow/issues/322)
- Flakes building TF Serving image; problems downloading unbuntu packages [\#310](https://github.com/kubeflow/kubeflow/issues/310)
- ksonnet prototypes for TensorBoard [\#297](https://github.com/kubeflow/kubeflow/issues/297)
- Enforce formatting for all jsonnet files [\#282](https://github.com/kubeflow/kubeflow/issues/282)
- Assess usability on vanilla dockers [\#267](https://github.com/kubeflow/kubeflow/issues/267)
- Discussion: Eventing model/solution [\#263](https://github.com/kubeflow/kubeflow/issues/263)
- Recommended Kubeflow Setup on GKE [\#241](https://github.com/kubeflow/kubeflow/issues/241)
- Recommended setup for different K8s Solutions [\#240](https://github.com/kubeflow/kubeflow/issues/240)
- Use Ambassador/Envoy as proxy for JupyterHub [\#239](https://github.com/kubeflow/kubeflow/issues/239)
- `ks apply cloud -c newjob` silently fails [\#217](https://github.com/kubeflow/kubeflow/issues/217)
- Tracking Central UI  [\#199](https://github.com/kubeflow/kubeflow/issues/199)
- Kubeflow logo? [\#187](https://github.com/kubeflow/kubeflow/issues/187)
- \[discussion\] Support PyTorch distributed training? [\#179](https://github.com/kubeflow/kubeflow/issues/179)
- Add kubeflow into tesorflow/ecosystem [\#177](https://github.com/kubeflow/kubeflow/issues/177)
- Central UI [\#141](https://github.com/kubeflow/kubeflow/issues/141)
- Investigate file server connection errors with Jupyter and IAP [\#140](https://github.com/kubeflow/kubeflow/issues/140)
- TfJob controllers are not namespace scoped so tests aren't isolated [\#134](https://github.com/kubeflow/kubeflow/issues/134)
- Add resource request and limit fields to tf-job ksonnet prototype [\#116](https://github.com/kubeflow/kubeflow/issues/116)
- Figure out ksonnet repo organization [\#106](https://github.com/kubeflow/kubeflow/issues/106)
- Add Argo package to our ksonnet registry [\#21](https://github.com/kubeflow/kubeflow/issues/21)

**Merged pull requests:**

- Add tf serving 1.8 cpu image [\#1011](https://github.com/kubeflow/kubeflow/pull/1011) ([lluunn](https://github.com/lluunn))
- Add test for tf-job-simple prototype [\#1010](https://github.com/kubeflow/kubeflow/pull/1010) ([ankushagarwal](https://github.com/ankushagarwal))
- update ks version; run ks apply following config order [\#1008](https://github.com/kubeflow/kubeflow/pull/1008) ([kunmingg](https://github.com/kunmingg))
- fix iam role delete for deployment manager [\#1001](https://github.com/kubeflow/kubeflow/pull/1001) ([kunmingg](https://github.com/kunmingg))
- fixes disappearing elements in Central UI [\#996](https://github.com/kubeflow/kubeflow/pull/996) ([swiftdiaries](https://github.com/swiftdiaries))
- Enable iam api and set project flag explicitly [\#993](https://github.com/kubeflow/kubeflow/pull/993) ([ankushagarwal](https://github.com/ankushagarwal))
- bootstrapper doc update [\#992](https://github.com/kubeflow/kubeflow/pull/992) ([kunmingg](https://github.com/kunmingg))
- Release prototype update. [\#990](https://github.com/kubeflow/kubeflow/pull/990) ([kunmingg](https://github.com/kunmingg))
- Doc for katib [\#989](https://github.com/kubeflow/kubeflow/pull/989) ([lluunn](https://github.com/lluunn))
- Retry on ssl.SSLError in vm\_util - this resolves test flakiness [\#987](https://github.com/kubeflow/kubeflow/pull/987) ([ankushagarwal](https://github.com/ankushagarwal))
- Consolidate GKE deployment script [\#985](https://github.com/kubeflow/kubeflow/pull/985) ([activatedgeek](https://github.com/activatedgeek))
- Remove gpu\_model.jsonnet [\#984](https://github.com/kubeflow/kubeflow/pull/984) ([lluunn](https://github.com/lluunn))
- config update [\#982](https://github.com/kubeflow/kubeflow/pull/982) ([kunmingg](https://github.com/kunmingg))
- Fix vizier core [\#979](https://github.com/kubeflow/kubeflow/pull/979) ([lluunn](https://github.com/lluunn))
- use ks apply in bootstrapper to avoid creation ordering issue [\#976](https://github.com/kubeflow/kubeflow/pull/976) ([kunmingg](https://github.com/kunmingg))
- Disable the v1alpha2 test because it is failing because mnist data can't be downloaded. [\#975](https://github.com/kubeflow/kubeflow/pull/975) ([jlewi](https://github.com/jlewi))
- Adding pytorch-operator to nightly builds [\#972](https://github.com/kubeflow/kubeflow/pull/972) ([johnugeorge](https://github.com/johnugeorge))
- Delete tf-cnn-benchmarks.jsonnet; there is now an example prototype. [\#967](https://github.com/kubeflow/kubeflow/pull/967) ([jlewi](https://github.com/jlewi))
- Source admin role should be granted to KF service accounts. [\#965](https://github.com/kubeflow/kubeflow/pull/965) ([jlewi](https://github.com/jlewi))
- Remove gke\_setup.md. The instructions are now part of the website. [\#963](https://github.com/kubeflow/kubeflow/pull/963) ([jlewi](https://github.com/jlewi))
- A bunch of fixes to the DM configs for GCP to work with latest bootstrapper [\#956](https://github.com/kubeflow/kubeflow/pull/956) ([jlewi](https://github.com/jlewi))
- Add aws cloud details [\#952](https://github.com/kubeflow/kubeflow/pull/952) ([suneeta-mall](https://github.com/suneeta-mall))
- hide registries config in bootstrapper image to save user effort [\#951](https://github.com/kubeflow/kubeflow/pull/951) ([kunmingg](https://github.com/kunmingg))
- ksonnet prototype for automated image release [\#948](https://github.com/kubeflow/kubeflow/pull/948) ([kunmingg](https://github.com/kunmingg))
- Update the notebook images used with Jupyter. [\#947](https://github.com/kubeflow/kubeflow/pull/947) ([jlewi](https://github.com/jlewi))
- Downgrade ambassador version to 0.30.1 [\#946](https://github.com/kubeflow/kubeflow/pull/946) ([ankushagarwal](https://github.com/ankushagarwal))
- Update instructions for recreating minkube with required resources. [\#944](https://github.com/kubeflow/kubeflow/pull/944) ([abhi-g](https://github.com/abhi-g))
- update default image for TF serving [\#940](https://github.com/kubeflow/kubeflow/pull/940) ([lluunn](https://github.com/lluunn))
- add ambassador route for katib [\#939](https://github.com/kubeflow/kubeflow/pull/939) ([lluunn](https://github.com/lluunn))
- Set 15 minute timeout for workflow step [\#937](https://github.com/kubeflow/kubeflow/pull/937) ([ankushagarwal](https://github.com/ankushagarwal))
- Remove service account creation in testing deployment manager [\#936](https://github.com/kubeflow/kubeflow/pull/936) ([ankushagarwal](https://github.com/ankushagarwal))
- update image for central ui [\#935](https://github.com/kubeflow/kubeflow/pull/935) ([kunmingg](https://github.com/kunmingg))
- fix vm service account config, doc update [\#931](https://github.com/kubeflow/kubeflow/pull/931) ([kunmingg](https://github.com/kunmingg))
- fix minor typos [\#930](https://github.com/kubeflow/kubeflow/pull/930) ([rongou](https://github.com/rongou))
- Add AVX to Troubleshooting [\#929](https://github.com/kubeflow/kubeflow/pull/929) ([pdmack](https://github.com/pdmack))
- DM config should allow setting users/groups to grant IAP access to. [\#928](https://github.com/kubeflow/kubeflow/pull/928) ([jlewi](https://github.com/jlewi))
- Delete test directory after test completes [\#926](https://github.com/kubeflow/kubeflow/pull/926) ([ankushagarwal](https://github.com/ankushagarwal))
- Prevent deadlocks trying to setup IAP. [\#924](https://github.com/kubeflow/kubeflow/pull/924) ([jlewi](https://github.com/jlewi))
- Update image-releaser README [\#922](https://github.com/kubeflow/kubeflow/pull/922) ([ankushagarwal](https://github.com/ankushagarwal))
- keep bootstrapper pod alive when error occurs [\#921](https://github.com/kubeflow/kubeflow/pull/921) ([kunmingg](https://github.com/kunmingg))
- Run v1alpha1 and v1alpha2 TfJob tests in GKE workflow [\#918](https://github.com/kubeflow/kubeflow/pull/918) ([ankushagarwal](https://github.com/ankushagarwal))
- Activate service account before pushing images [\#917](https://github.com/kubeflow/kubeflow/pull/917) ([ankushagarwal](https://github.com/ankushagarwal))
- Ambassador to jupyterhub [\#915](https://github.com/kubeflow/kubeflow/pull/915) ([kkasravi](https://github.com/kkasravi))
- support jupyterhub in alibaba cloud [\#914](https://github.com/kubeflow/kubeflow/pull/914) ([cheyang](https://github.com/cheyang))
- copy registry into bootstrap image during e2e test [\#913](https://github.com/kubeflow/kubeflow/pull/913) ([kunmingg](https://github.com/kunmingg))
- Doc on adding new ksonnet package [\#911](https://github.com/kubeflow/kubeflow/pull/911) ([lluunn](https://github.com/lluunn))
- Update default parameters for image-releaser workflows [\#908](https://github.com/kubeflow/kubeflow/pull/908) ([ankushagarwal](https://github.com/ankushagarwal))
- Install py2 to global conda env [\#907](https://github.com/kubeflow/kubeflow/pull/907) ([pdmack](https://github.com/pdmack))
- Upgrade jupyterhub and kube\_spawner [\#905](https://github.com/kubeflow/kubeflow/pull/905) ([jlewi](https://github.com/jlewi))
- Improvements and bug fixes in DM config. [\#904](https://github.com/kubeflow/kubeflow/pull/904) ([jlewi](https://github.com/jlewi))
- Make bootstrapper support multi ks registry, including private ones [\#900](https://github.com/kubeflow/kubeflow/pull/900) ([kunmingg](https://github.com/kunmingg))
- Checkin the deployment manager config for running e2e-gke test [\#899](https://github.com/kubeflow/kubeflow/pull/899) ([ankushagarwal](https://github.com/ankushagarwal))
- Create wait\_for\_deployment.py [\#898](https://github.com/kubeflow/kubeflow/pull/898) ([ankushagarwal](https://github.com/ankushagarwal))
- Click to deploy Kubeflow web app on GCP  [\#897](https://github.com/kubeflow/kubeflow/pull/897) ([jlewi](https://github.com/jlewi))
- Restrict jupyterHubRole [\#895](https://github.com/kubeflow/kubeflow/pull/895) ([wmuizelaar](https://github.com/wmuizelaar))
- Use Deployment Manager to bring up clusters for running E2E tests [\#894](https://github.com/kubeflow/kubeflow/pull/894) ([ankushagarwal](https://github.com/ankushagarwal))
- Use deployment name as the NAME\_PREFIX and CLUSTER\_NAME [\#893](https://github.com/kubeflow/kubeflow/pull/893) ([ankushagarwal](https://github.com/ankushagarwal))
- Merge PVC from spawner and provisioners [\#892](https://github.com/kubeflow/kubeflow/pull/892) ([pdmack](https://github.com/pdmack))
- update release doc for images nightly release [\#890](https://github.com/kubeflow/kubeflow/pull/890) ([kunmingg](https://github.com/kunmingg))
- fix endpoin deploy prototype [\#889](https://github.com/kubeflow/kubeflow/pull/889) ([kunmingg](https://github.com/kunmingg))
- Update to Ambassador 0.34.0 [\#888](https://github.com/kubeflow/kubeflow/pull/888) ([kflynn](https://github.com/kflynn))
- Add tf notebook image 1.8 version [\#886](https://github.com/kubeflow/kubeflow/pull/886) ([ankushagarwal](https://github.com/ankushagarwal))
- Restore openssh-client to NB images [\#882](https://github.com/kubeflow/kubeflow/pull/882) ([pdmack](https://github.com/pdmack))
- Add GKE Security Features to Deployment Manager config [\#879](https://github.com/kubeflow/kubeflow/pull/879) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix a bunch of issues with creating Kubeflow with deployment manager + bootstrapper [\#875](https://github.com/kubeflow/kubeflow/pull/875) ([jlewi](https://github.com/jlewi))
- tfjob\(v1alpha2\): Add validation [\#874](https://github.com/kubeflow/kubeflow/pull/874) ([gaocegege](https://github.com/gaocegege))
- Katib ksonnet package [\#873](https://github.com/kubeflow/kubeflow/pull/873) ([lluunn](https://github.com/lluunn))
- deployment manager and prototype bug fix [\#872](https://github.com/kubeflow/kubeflow/pull/872) ([kunmingg](https://github.com/kunmingg))
- Update the script so that we don't assume that the remote repository is [\#867](https://github.com/kubeflow/kubeflow/pull/867) ([jlewi](https://github.com/jlewi))
- Create a python script to deploy Kubeflow on GCP via deployment manager. [\#866](https://github.com/kubeflow/kubeflow/pull/866) ([jlewi](https://github.com/jlewi))
- build\_image.py waiting for docker daemon [\#864](https://github.com/kubeflow/kubeflow/pull/864) ([lluunn](https://github.com/lluunn))
- Use a config map to configure bootstrapper. [\#859](https://github.com/kubeflow/kubeflow/pull/859) ([jlewi](https://github.com/jlewi))
- Fix push\_dockerhub in k8s-model-server/images/Makefile [\#857](https://github.com/kubeflow/kubeflow/pull/857) ([parano](https://github.com/parano))
- build\_image.py supports pushing images  [\#856](https://github.com/kubeflow/kubeflow/pull/856) ([lluunn](https://github.com/lluunn))
- Use yaml config to manage k8s resources deployed by bootstrapper [\#853](https://github.com/kubeflow/kubeflow/pull/853) ([kunmingg](https://github.com/kunmingg))
- ksonnet changes to support deploying the v1alpha2 TFJob operator. [\#851](https://github.com/kubeflow/kubeflow/pull/851) ([jlewi](https://github.com/jlewi))
- params update for release workflow [\#849](https://github.com/kubeflow/kubeflow/pull/849) ([kunmingg](https://github.com/kunmingg))
- unifying image release process [\#843](https://github.com/kubeflow/kubeflow/pull/843) ([lluunn](https://github.com/lluunn))
- Use relative directory path so that build\_image.py can be called from another dir [\#840](https://github.com/kubeflow/kubeflow/pull/840) ([lluunn](https://github.com/lluunn))
- Add kunmingg as owner [\#839](https://github.com/kubeflow/kubeflow/pull/839) ([kunmingg](https://github.com/kunmingg))
- \[openmpi\] Update README about GPU and horovod training [\#831](https://github.com/kubeflow/kubeflow/pull/831) ([jiezhang](https://github.com/jiezhang))
- IAP should route to central ui instead of jupyterhub [\#827](https://github.com/kubeflow/kubeflow/pull/827) ([kkasravi](https://github.com/kkasravi))
- cron job & workflow config for image release [\#825](https://github.com/kubeflow/kubeflow/pull/825) ([kunmingg](https://github.com/kunmingg))
- Start deploying the bootstrapper via deployment manager. [\#823](https://github.com/kubeflow/kubeflow/pull/823) ([jlewi](https://github.com/jlewi))
- \[openmpi\] support non-root users run jobs \(introducing `runAsUser`, `runAsGroup`, `supplementalGroups`\) [\#820](https://github.com/kubeflow/kubeflow/pull/820) ([everpeace](https://github.com/everpeace))
- deployment manager uses new stackdriver agents [\#814](https://github.com/kubeflow/kubeflow/pull/814) ([lluunn](https://github.com/lluunn))
- add bootstrapper to e2e test [\#803](https://github.com/kubeflow/kubeflow/pull/803) ([kunmingg](https://github.com/kunmingg))
- add meta api for serving [\#800](https://github.com/kubeflow/kubeflow/pull/800) ([u2takey](https://github.com/u2takey))
- seldon load model files from PVC [\#799](https://github.com/kubeflow/kubeflow/pull/799) ([ogre0403](https://github.com/ogre0403))
- Adds Makefile to build the centraldashboard image [\#798](https://github.com/kubeflow/kubeflow/pull/798) ([swiftdiaries](https://github.com/swiftdiaries))
- \[openmpi\] Download and upload data in the controller [\#797](https://github.com/kubeflow/kubeflow/pull/797) ([jiezhang](https://github.com/jiezhang))
- Use test\_helper to simplify test\_jsonnet.py [\#796](https://github.com/kubeflow/kubeflow/pull/796) ([ankushagarwal](https://github.com/ankushagarwal))
- Refactor testing package [\#792](https://github.com/kubeflow/kubeflow/pull/792) ([ankushagarwal](https://github.com/ankushagarwal))
- Python script to build TF notebook images [\#791](https://github.com/kubeflow/kubeflow/pull/791) ([lluunn](https://github.com/lluunn))
- Support TF serving 1.5 image [\#790](https://github.com/kubeflow/kubeflow/pull/790) ([lluunn](https://github.com/lluunn))
- Checking that Ambassador started in e2e test [\#789](https://github.com/kubeflow/kubeflow/pull/789) ([Maerville](https://github.com/Maerville))
- Initial set of deployment manager configs for creating a GKE cluster to run Kubeflow [\#787](https://github.com/kubeflow/kubeflow/pull/787) ([jlewi](https://github.com/jlewi))
- Modify NB Dockerfile and start scripts to support mount of /home/jovyan  [\#786](https://github.com/kubeflow/kubeflow/pull/786) ([pdmack](https://github.com/pdmack))
- \[tf-job\] support image pull secrets [\#785](https://github.com/kubeflow/kubeflow/pull/785) ([everpeace](https://github.com/everpeace))
- Create a ksonnet package for injecting credentials through pod presets [\#782](https://github.com/kubeflow/kubeflow/pull/782) ([ankushagarwal](https://github.com/ankushagarwal))
- -Format go code and fix spelling errors [\#780](https://github.com/kubeflow/kubeflow/pull/780) ([wgliang](https://github.com/wgliang))
- Adds ambassador integration for Central UI [\#779](https://github.com/kubeflow/kubeflow/pull/779) ([swiftdiaries](https://github.com/swiftdiaries))
- Argo workflow e2e test [\#777](https://github.com/kubeflow/kubeflow/pull/777) ([ankushagarwal](https://github.com/ankushagarwal))
- Update seldon ksonnet image versions to 0.1.6 [\#776](https://github.com/kubeflow/kubeflow/pull/776) ([cliveseldon](https://github.com/cliveseldon))
- \[openmpi\]: Fix `wait\_mpi\_ready\(\)` hangs when using OpenMPI 2.1.3 [\#773](https://github.com/kubeflow/kubeflow/pull/773) ([everpeace](https://github.com/everpeace))
- \[openmpi\] Add custom resources support [\#772](https://github.com/kubeflow/kubeflow/pull/772) ([everpeace](https://github.com/everpeace))
- \[openmpi\] support `imagePullSecrets` [\#771](https://github.com/kubeflow/kubeflow/pull/771) ([everpeace](https://github.com/everpeace))
- Python script to set parameters for ksonnet prototypes [\#769](https://github.com/kubeflow/kubeflow/pull/769) ([Maerville](https://github.com/Maerville))
- Create an examples package in kubeflow [\#768](https://github.com/kubeflow/kubeflow/pull/768) ([ankushagarwal](https://github.com/ankushagarwal))
- Support deploy kubeflow bootstrapper within k8s [\#766](https://github.com/kubeflow/kubeflow/pull/766) ([kunmingg](https://github.com/kunmingg))
- Support building different version of TF Serving images [\#765](https://github.com/kubeflow/kubeflow/pull/765) ([lluunn](https://github.com/lluunn))
- \[openmpi\] make RBAC be optional [\#764](https://github.com/kubeflow/kubeflow/pull/764) ([everpeace](https://github.com/everpeace))
- \[openmpi\] Wait for nvidia driver to be installed before running MPI job [\#761](https://github.com/kubeflow/kubeflow/pull/761) ([jiezhang](https://github.com/jiezhang))
- Fix bytes literals in Python3 [\#759](https://github.com/kubeflow/kubeflow/pull/759) ([gangliao](https://github.com/gangliao))
- \[openmpi\] Support RBAC [\#756](https://github.com/kubeflow/kubeflow/pull/756) ([jiezhang](https://github.com/jiezhang))
- \[openmpi\] Add more parameters for GPU training [\#754](https://github.com/kubeflow/kubeflow/pull/754) ([jiezhang](https://github.com/jiezhang))
- Move away from mlkube-testing to kubeflow-ci [\#750](https://github.com/kubeflow/kubeflow/pull/750) ([ankushagarwal](https://github.com/ankushagarwal))
- Add test to check jsonnet formatting [\#747](https://github.com/kubeflow/kubeflow/pull/747) ([ankushagarwal](https://github.com/ankushagarwal))
- Add tf1.8 build to jupyter notebook images [\#745](https://github.com/kubeflow/kubeflow/pull/745) ([ankushagarwal](https://github.com/ankushagarwal))
- support IAP setup for bootstrap on GKE [\#744](https://github.com/kubeflow/kubeflow/pull/744) ([kunmingg](https://github.com/kunmingg))
- Make TFJob operator a standalone prototype [\#743](https://github.com/kubeflow/kubeflow/pull/743) ([pdmack](https://github.com/pdmack))
- Fix Serving metadata [\#741](https://github.com/kubeflow/kubeflow/pull/741) ([sozercan](https://github.com/sozercan))
- Remove spurious comma [\#729](https://github.com/kubeflow/kubeflow/pull/729) ([jlewi](https://github.com/jlewi))
- Argo Ksonnet package - Add Docker image Tag [\#728](https://github.com/kubeflow/kubeflow/pull/728) ([julienstroheker](https://github.com/julienstroheker))
- tf-serving support model on NFS [\#688](https://github.com/kubeflow/kubeflow/pull/688) ([lqj679ssn](https://github.com/lqj679ssn))
- Create deploy job [\#673](https://github.com/kubeflow/kubeflow/pull/673) ([inc0](https://github.com/inc0))
- Pytorch ksonnet [\#649](https://github.com/kubeflow/kubeflow/pull/649) ([jose5918](https://github.com/jose5918))
- Update README to reflect install experience [\#617](https://github.com/kubeflow/kubeflow/pull/617) ([ykevinc](https://github.com/ykevinc))
- Reformats only modified files by default \#395 [\#553](https://github.com/kubeflow/kubeflow/pull/553) ([jmsmkn](https://github.com/jmsmkn))

## [v0.1.3](https://github.com/kubeflow/kubeflow/tree/v0.1.3) (2018-04-26)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.2...v0.1.3)

**Closed issues:**

- all training run on the first worker [\#721](https://github.com/kubeflow/kubeflow/issues/721)
- Jupyter images pruned too aggressively? [\#719](https://github.com/kubeflow/kubeflow/issues/719)
- cert-manager in "setting-up-iap-on-gke" not working [\#709](https://github.com/kubeflow/kubeflow/issues/709)
- New repo for benchmarking [\#708](https://github.com/kubeflow/kubeflow/issues/708)
- minikube VM unavailable for e2e kubeflow-presubmit check [\#707](https://github.com/kubeflow/kubeflow/issues/707)
- Kubeflow Jupyter notebook images are large because of all the extra Python libs; can we shrink to improve pull times? [\#568](https://github.com/kubeflow/kubeflow/issues/568)

**Merged pull requests:**

- CP to v0.1-branch: restore some important NB pkgs; http\_timeout; bool fixes for tf-serving [\#726](https://github.com/kubeflow/kubeflow/pull/726) ([pdmack](https://github.com/pdmack))
- update ksonnet version to v0.10.0-alpha.3 [\#725](https://github.com/kubeflow/kubeflow/pull/725) ([kunmingg](https://github.com/kunmingg))
- Add a few packages to the jupyter notebook image [\#724](https://github.com/kubeflow/kubeflow/pull/724) ([ankushagarwal](https://github.com/ankushagarwal))
- add kunming to reviewer [\#715](https://github.com/kubeflow/kubeflow/pull/715) ([kunmingg](https://github.com/kunmingg))
- controller bug fix [\#714](https://github.com/kubeflow/kubeflow/pull/714) ([kunmingg](https://github.com/kunmingg))
- \[openmpi\] Add OWNERS file [\#711](https://github.com/kubeflow/kubeflow/pull/711) ([jiezhang](https://github.com/jiezhang))
- Adding ksonnet components for tensorboard files. Issue \#297 [\#710](https://github.com/kubeflow/kubeflow/pull/710) ([abkosar](https://github.com/abkosar))
- Point instructions to 0.1.2 release [\#706](https://github.com/kubeflow/kubeflow/pull/706) ([ankushagarwal](https://github.com/ankushagarwal))
- CP to v0.1-branch: Update http\_timeout to 5 minutes in jupyterhub \(\#691\) [\#705](https://github.com/kubeflow/kubeflow/pull/705) ([pdmack](https://github.com/pdmack))
- \[openmpi\] Introduce a sidecar container for inter-pod synchronization [\#704](https://github.com/kubeflow/kubeflow/pull/704) ([jiezhang](https://github.com/jiezhang))
- openmpi: namespaced resource names should be prefixed with component name [\#698](https://github.com/kubeflow/kubeflow/pull/698) ([everpeace](https://github.com/everpeace))

## [v0.1.2](https://github.com/kubeflow/kubeflow/tree/v0.1.2) (2018-04-21)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.1...v0.1.2)

**Fixed bugs:**

- Segfault in bootstrapper while processing .kube [\#657](https://github.com/kubeflow/kubeflow/issues/657)

**Merged pull requests:**

- CP to v0.1-branch: TF notebook slimming, joyvan pip installs, and new gcr.io locations [\#703](https://github.com/kubeflow/kubeflow/pull/703) ([pdmack](https://github.com/pdmack))

## [v0.1.1](https://github.com/kubeflow/kubeflow/tree/v0.1.1) (2018-04-20)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.0-rc.4...v0.1.1)

**Fixed bugs:**

- tf-cnn: no matches for kind "TFJob" in version... [\#643](https://github.com/kubeflow/kubeflow/issues/643)

**Closed issues:**

- ks 0.10.0-alpha.2 does not work with install instructions [\#686](https://github.com/kubeflow/kubeflow/issues/686)
- Bootstrap image not found [\#682](https://github.com/kubeflow/kubeflow/issues/682)
- Unable to get kubeflow working on hyperkube in a circleci vm [\#674](https://github.com/kubeflow/kubeflow/issues/674)
- Cannot install pip packages from jupyter notebook [\#668](https://github.com/kubeflow/kubeflow/issues/668)
- Expose istio dashboards [\#644](https://github.com/kubeflow/kubeflow/issues/644)
- Timeout waiting for simple-tfjob-gke [\#636](https://github.com/kubeflow/kubeflow/issues/636)
- Refactor tf-serving image build for multiple TF versions [\#632](https://github.com/kubeflow/kubeflow/issues/632)
- Some individual tests not showing up in test-grid [\#631](https://github.com/kubeflow/kubeflow/issues/631)
- User guide sprawl [\#629](https://github.com/kubeflow/kubeflow/issues/629)
- inception server not working [\#621](https://github.com/kubeflow/kubeflow/issues/621)
- Add Link to Intel's tutorial [\#612](https://github.com/kubeflow/kubeflow/issues/612)
- Add auto-generated TOC for all docs [\#603](https://github.com/kubeflow/kubeflow/issues/603)
- Error occurs when following user guide [\#598](https://github.com/kubeflow/kubeflow/issues/598)
- \[GKE\] Use Cloud Endpoints to provision domain [\#586](https://github.com/kubeflow/kubeflow/issues/586)
- kubeflow version [\#578](https://github.com/kubeflow/kubeflow/issues/578)
- Presubmit failure: No such file or directory XXX/.kube/config [\#562](https://github.com/kubeflow/kubeflow/issues/562)
- Make IAP config robust to updating the Ingress [\#550](https://github.com/kubeflow/kubeflow/issues/550)
- TF MPI support  [\#535](https://github.com/kubeflow/kubeflow/issues/535)
- TF serving param deployHttpProxy needs to be transformed from string to bool [\#531](https://github.com/kubeflow/kubeflow/issues/531)
- Cut a 0.1 release [\#506](https://github.com/kubeflow/kubeflow/issues/506)
- TF serving component monitoring [\#496](https://github.com/kubeflow/kubeflow/issues/496)
- TF serving GPU e2e test is flaky [\#484](https://github.com/kubeflow/kubeflow/issues/484)
- Build more efficient tensorflow-notebook images [\#472](https://github.com/kubeflow/kubeflow/issues/472)
- \[Jupyter/Azure\] Drivers are not mounted when spawning a JupyterHub with GPU [\#435](https://github.com/kubeflow/kubeflow/issues/435)
- Make it easy to get started with Kubeflow [\#105](https://github.com/kubeflow/kubeflow/issues/105)
- Size of gcr.io/kubeflow/tensorflow-notebook-\* [\#37](https://github.com/kubeflow/kubeflow/issues/37)

**Merged pull requests:**

- permission bug fix and image tag update [\#699](https://github.com/kubeflow/kubeflow/pull/699) ([kunmingg](https://github.com/kunmingg))
- Update the hub spawner dropdown for latest NB images [\#697](https://github.com/kubeflow/kubeflow/pull/697) ([pdmack](https://github.com/pdmack))
- openmpi: master/workers sync mechanism is replaced with k8s api from redis [\#696](https://github.com/kubeflow/kubeflow/pull/696) ([everpeace](https://github.com/everpeace))
- Migrate images to kubeflow-images-public [\#695](https://github.com/kubeflow/kubeflow/pull/695) ([ankushagarwal](https://github.com/ankushagarwal))
- Pin instructions to ks 0.9.2 \(for now\) [\#694](https://github.com/kubeflow/kubeflow/pull/694) ([pdmack](https://github.com/pdmack))
- add export to ksonnet github token instructions [\#693](https://github.com/kubeflow/kubeflow/pull/693) ([mattf](https://github.com/mattf))
- openmpi: slots clause should be generated when gpus '\> 0' [\#692](https://github.com/kubeflow/kubeflow/pull/692) ([everpeace](https://github.com/everpeace))
- Update http\_timeout to 5 minutes in jupyterhub [\#691](https://github.com/kubeflow/kubeflow/pull/691) ([ankushagarwal](https://github.com/ankushagarwal))
- openmpi: fix failing installing redis-tools in init.sh [\#690](https://github.com/kubeflow/kubeflow/pull/690) ([everpeace](https://github.com/everpeace))
- Refactor tensorflow-notebook-image/Dockerfile [\#689](https://github.com/kubeflow/kubeflow/pull/689) ([ankushagarwal](https://github.com/ankushagarwal))
- \[openmpi\] Add GPU support [\#685](https://github.com/kubeflow/kubeflow/pull/685) ([jiezhang](https://github.com/jiezhang))
- openmpi: make 'schedulerName'  configurable to use custom schedulers. [\#683](https://github.com/kubeflow/kubeflow/pull/683) ([everpeace](https://github.com/everpeace))
- create rolebinding within namespace to guarantee permission [\#680](https://github.com/kubeflow/kubeflow/pull/680) ([kunmingg](https://github.com/kunmingg))
- Support rollout new model with istio [\#679](https://github.com/kubeflow/kubeflow/pull/679) ([lluunn](https://github.com/lluunn))
- Add documentation for exposing grafana dashboard [\#678](https://github.com/kubeflow/kubeflow/pull/678) ([lluunn](https://github.com/lluunn))
- openmpi package doesn't work on kubernetes cluster having custom dns. [\#676](https://github.com/kubeflow/kubeflow/pull/676) ([everpeace](https://github.com/everpeace))
- Add batch support to openmpi package [\#671](https://github.com/kubeflow/kubeflow/pull/671) ([jiezhang](https://github.com/jiezhang))
- make Dockerfile & Makefile cross platform  [\#670](https://github.com/kubeflow/kubeflow/pull/670) ([kunmingg](https://github.com/kunmingg))
- Update ksonnet\_packages.md [\#661](https://github.com/kubeflow/kubeflow/pull/661) ([pdmack](https://github.com/pdmack))
- Include tensor2tensor in jupyter notebook image [\#659](https://github.com/kubeflow/kubeflow/pull/659) ([ankushagarwal](https://github.com/ankushagarwal))
- Add willingc to reviewers [\#656](https://github.com/kubeflow/kubeflow/pull/656) ([willingc](https://github.com/willingc))
- \[Azure\] Jupyter spawner: driver volumes for azure [\#655](https://github.com/kubeflow/kubeflow/pull/655) ([wbuchwalter](https://github.com/wbuchwalter))
- Bootstraper polish: [\#654](https://github.com/kubeflow/kubeflow/pull/654) ([kunmingg](https://github.com/kunmingg))
- add link to Intel's tutorial [\#652](https://github.com/kubeflow/kubeflow/pull/652) ([raddaoui](https://github.com/raddaoui))
- \[Azure\] Update nvidia driver volumes for AKS [\#650](https://github.com/kubeflow/kubeflow/pull/650) ([wbuchwalter](https://github.com/wbuchwalter))
- Remove zjj2wry as a reviewer. [\#648](https://github.com/kubeflow/kubeflow/pull/648) ([jlewi](https://github.com/jlewi))
- Remove the outdated YAML specs for TFCnn job. [\#647](https://github.com/kubeflow/kubeflow/pull/647) ([jlewi](https://github.com/jlewi))
- update user\_guide [\#646](https://github.com/kubeflow/kubeflow/pull/646) ([lluunn](https://github.com/lluunn))
- Add components to work with GCP [\#645](https://github.com/kubeflow/kubeflow/pull/645) ([jlewi](https://github.com/jlewi))
- Change naming from jupyter to jupyterhub when referring to hub [\#642](https://github.com/kubeflow/kubeflow/pull/642) ([willingc](https://github.com/willingc))
- Troubleshooting note on cluster-admin privileges for tf-job-operator [\#641](https://github.com/kubeflow/kubeflow/pull/641) ([tmckayus](https://github.com/tmckayus))
- Use dashes not underscores in junit file names. [\#638](https://github.com/kubeflow/kubeflow/pull/638) ([jlewi](https://github.com/jlewi))
- Update various images in kubeflow to kubeflow-images-public [\#635](https://github.com/kubeflow/kubeflow/pull/635) ([ankushagarwal](https://github.com/ankushagarwal))
- Create a kubeflow version file: version.txt and a configmap kubeflow-version [\#634](https://github.com/kubeflow/kubeflow/pull/634) ([ankushagarwal](https://github.com/ankushagarwal))
- Cleaned up README.md [\#628](https://github.com/kubeflow/kubeflow/pull/628) ([ddutta](https://github.com/ddutta))
- TF Serving + Istio [\#627](https://github.com/kubeflow/kubeflow/pull/627) ([lluunn](https://github.com/lluunn))
- Improve user guide wrt exposing notebook in non-cloud setup [\#625](https://github.com/kubeflow/kubeflow/pull/625) ([xyhuang](https://github.com/xyhuang))
- Add openmpi package [\#624](https://github.com/kubeflow/kubeflow/pull/624) ([jiezhang](https://github.com/jiezhang))
- Fix setup/teardown of VM for minikube. [\#620](https://github.com/kubeflow/kubeflow/pull/620) ([jlewi](https://github.com/jlewi))
- Update and clarify JupyterHub README [\#616](https://github.com/kubeflow/kubeflow/pull/616) ([willingc](https://github.com/willingc))
- images: Add the link [\#614](https://github.com/kubeflow/kubeflow/pull/614) ([gaocegege](https://github.com/gaocegege))
- Improve documentation [\#613](https://github.com/kubeflow/kubeflow/pull/613) ([jlewi](https://github.com/jlewi))
- Initial ksonnet package for Pachyderm. [\#610](https://github.com/kubeflow/kubeflow/pull/610) ([jlewi](https://github.com/jlewi))
- Provide documentation about adding ksonnet packages to Kubeflow. [\#609](https://github.com/kubeflow/kubeflow/pull/609) ([jlewi](https://github.com/jlewi))
- Upgrade tf-serving version to 1.6.0 [\#608](https://github.com/kubeflow/kubeflow/pull/608) ([pdmack](https://github.com/pdmack))
- import of cloud-endpoints component and support in iap-ingress component [\#605](https://github.com/kubeflow/kubeflow/pull/605) ([danisla](https://github.com/danisla))
- docs\(TOC\): add auto-generated TOC for all docs [\#604](https://github.com/kubeflow/kubeflow/pull/604) ([DjangoPeng](https://github.com/DjangoPeng))
- docs\(troubleshooting\): add a new item into troubleshooting [\#602](https://github.com/kubeflow/kubeflow/pull/602) ([DjangoPeng](https://github.com/DjangoPeng))
- Update the docs to point to the v0.1.0 release now that it is cut. [\#601](https://github.com/kubeflow/kubeflow/pull/601) ([jlewi](https://github.com/jlewi))
- Create a doc with information about our docker images. [\#600](https://github.com/kubeflow/kubeflow/pull/600) ([jlewi](https://github.com/jlewi))
- Typo in UG [\#599](https://github.com/kubeflow/kubeflow/pull/599) ([pdmack](https://github.com/pdmack))
- Create a POC of an app to simplify deployment of Kubeflow [\#595](https://github.com/kubeflow/kubeflow/pull/595) ([jlewi](https://github.com/jlewi))
- CP: Install graphviz in tensorflow notebook image \(\#583\) [\#585](https://github.com/kubeflow/kubeflow/pull/585) ([pdmack](https://github.com/pdmack))
- Enable TF serving gpu test [\#558](https://github.com/kubeflow/kubeflow/pull/558) ([lluunn](https://github.com/lluunn))
- Branching and tagging policy for releases [\#519](https://github.com/kubeflow/kubeflow/pull/519) ([willb](https://github.com/willb))

## [v0.1.0-rc.4](https://github.com/kubeflow/kubeflow/tree/v0.1.0-rc.4) (2018-04-04)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.0...v0.1.0-rc.4)

## [v0.1.0](https://github.com/kubeflow/kubeflow/tree/v0.1.0) (2018-04-04)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.0-rc.3...v0.1.0)

**Closed issues:**

- Explicitly specified version of tensorflow being replaced in the python 2 environment with the latest version from PyPI [\#571](https://github.com/kubeflow/kubeflow/issues/571)
- Jupyter pod stuck at ContainerCreating when spawning [\#336](https://github.com/kubeflow/kubeflow/issues/336)

**Merged pull requests:**

- Cherry pick : Update tensorflow notebook version to v20180403-1f854c44 \(\#589\) [\#590](https://github.com/kubeflow/kubeflow/pull/590) ([ankushagarwal](https://github.com/ankushagarwal))
- Update tensorflow notebook version to v20180403-1f854c44 [\#589](https://github.com/kubeflow/kubeflow/pull/589) ([ankushagarwal](https://github.com/ankushagarwal))
- README: Add link for tf-operator [\#588](https://github.com/kubeflow/kubeflow/pull/588) ([gaocegege](https://github.com/gaocegege))
- Clean up minor formatting errors in README [\#587](https://github.com/kubeflow/kubeflow/pull/587) ([pdmack](https://github.com/pdmack))
- Correct typo for param defaultHttpProxyImage \(\#556\) [\#584](https://github.com/kubeflow/kubeflow/pull/584) ([jlewi](https://github.com/jlewi))
- Install graphviz in tensorflow notebook image [\#583](https://github.com/kubeflow/kubeflow/pull/583) ([ankushagarwal](https://github.com/ankushagarwal))
- Disable PVC by default \(\#577\) [\#582](https://github.com/kubeflow/kubeflow/pull/582) ([inc0](https://github.com/inc0))
- Fix the tensorflow version in prebuilt images for python 2.7. [\#580](https://github.com/kubeflow/kubeflow/pull/580) ([ojarjur](https://github.com/ojarjur))
- Disable PVC by default [\#577](https://github.com/kubeflow/kubeflow/pull/577) ([inc0](https://github.com/inc0))
- Add pdmack to OWNERS [\#565](https://github.com/kubeflow/kubeflow/pull/565) ([pdmack](https://github.com/pdmack))
- Correct typo for param defaultHttpProxyImage [\#556](https://github.com/kubeflow/kubeflow/pull/556) ([pdmack](https://github.com/pdmack))
- sidecar for envoy pod to keep IAP up to date [\#552](https://github.com/kubeflow/kubeflow/pull/552) ([danisla](https://github.com/danisla))
- Update instructions about releasing TFJob [\#532](https://github.com/kubeflow/kubeflow/pull/532) ([jlewi](https://github.com/jlewi))

## [v0.1.0-rc.3](https://github.com/kubeflow/kubeflow/tree/v0.1.0-rc.3) (2018-04-03)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.0-rc.2...v0.1.0-rc.3)

**Closed issues:**

- IAP should not store client secret in ksonnet [\#569](https://github.com/kubeflow/kubeflow/issues/569)
- other tf-operators? [\#539](https://github.com/kubeflow/kubeflow/issues/539)

**Merged pull requests:**

- Cherrypick \#570 and \#572 into v0.1-branch [\#575](https://github.com/kubeflow/kubeflow/pull/575) ([ankushagarwal](https://github.com/ankushagarwal))
- Moved OAuth secret from param to named secret [\#572](https://github.com/kubeflow/kubeflow/pull/572) ([danisla](https://github.com/danisla))
- Update tf jupter notebook images to include tfma \(from \#544\) [\#570](https://github.com/kubeflow/kubeflow/pull/570) ([ankushagarwal](https://github.com/ankushagarwal))
- Rety upto 3 times while building tensorflow notebook images [\#559](https://github.com/kubeflow/kubeflow/pull/559) ([ankushagarwal](https://github.com/ankushagarwal))
- Add the "tensorflow-model-analysis" package to the notebook images [\#544](https://github.com/kubeflow/kubeflow/pull/544) ([ojarjur](https://github.com/ojarjur))
- add willb to approvers [\#542](https://github.com/kubeflow/kubeflow/pull/542) ([willb](https://github.com/willb))
- Docs should show how to pull a particular release [\#524](https://github.com/kubeflow/kubeflow/pull/524) ([jlewi](https://github.com/jlewi))
- Changes to support running E2E tests on minikube. [\#523](https://github.com/kubeflow/kubeflow/pull/523) ([jlewi](https://github.com/jlewi))

## [v0.1.0-rc.2](https://github.com/kubeflow/kubeflow/tree/v0.1.0-rc.2) (2018-04-02)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.0-rc.1...v0.1.0-rc.2)

**Closed issues:**

- Tensorflow no longer working in the GPU image \(if you build from HEAD\) [\#549](https://github.com/kubeflow/kubeflow/issues/549)
- TFJob UI not included in ksonnet configs [\#546](https://github.com/kubeflow/kubeflow/issues/546)
- dev.kubeflow.org 502s [\#545](https://github.com/kubeflow/kubeflow/issues/545)

**Merged pull requests:**

- Add TfJob dashboard to ksonnet \(\#548\) [\#555](https://github.com/kubeflow/kubeflow/pull/555) ([jlewi](https://github.com/jlewi))
- Delete Makefile for tensorflow-notebook-image [\#551](https://github.com/kubeflow/kubeflow/pull/551) ([ankushagarwal](https://github.com/ankushagarwal))
- Add TfJob dashboard to ksonnet [\#548](https://github.com/kubeflow/kubeflow/pull/548) ([wbuchwalter](https://github.com/wbuchwalter))
- disable gpu test [\#547](https://github.com/kubeflow/kubeflow/pull/547) ([lluunn](https://github.com/lluunn))
- Add tf1.7 to tensorflow-notebook images [\#543](https://github.com/kubeflow/kubeflow/pull/543) ([ankushagarwal](https://github.com/ankushagarwal))

## [v0.1.0-rc.1](https://github.com/kubeflow/kubeflow/tree/v0.1.0-rc.1) (2018-03-30)
[Full Changelog](https://github.com/kubeflow/kubeflow/compare/v0.1.0-rc.0...v0.1.0-rc.1)

**Closed issues:**

- Upgrade ksonnet in our Jupyter images to 0.9.2 [\#490](https://github.com/kubeflow/kubeflow/issues/490)
- Javascripts widgets don't work in JupyterLab [\#489](https://github.com/kubeflow/kubeflow/issues/489)
- Option to disable use of PVC for Jupyter [\#365](https://github.com/kubeflow/kubeflow/issues/365)
- Katacoda Demo Scenario Python incompatibility - Warning [\#70](https://github.com/kubeflow/kubeflow/issues/70)

**Merged pull requests:**

- Cherrypick \#526 and \#533 into v0.1-branch [\#540](https://github.com/kubeflow/kubeflow/pull/540) ([ankushagarwal](https://github.com/ankushagarwal))
- Update the TFJob image in preparation for a new RC. [\#533](https://github.com/kubeflow/kubeflow/pull/533) ([jlewi](https://github.com/jlewi))
- Fix typos in tensorflow notebook images in spawner [\#526](https://github.com/kubeflow/kubeflow/pull/526) ([ankushagarwal](https://github.com/ankushagarwal))
- Adds Centraldashboard \(in place of \#146\) [\#525](https://github.com/kubeflow/kubeflow/pull/525) ([swiftdiaries](https://github.com/swiftdiaries))
- Clarify authentication requirements in release process [\#520](https://github.com/kubeflow/kubeflow/pull/520) ([willb](https://github.com/willb))
- Install jupyter widgets in tensorflow-notebook-image [\#518](https://github.com/kubeflow/kubeflow/pull/518) ([pdmack](https://github.com/pdmack))
- Mount pvc [\#503](https://github.com/kubeflow/kubeflow/pull/503) ([kkasravi](https://github.com/kkasravi))
- Enable tf serving gpu test [\#497](https://github.com/kubeflow/kubeflow/pull/497) ([lluunn](https://github.com/lluunn))

## [v0.1.0-rc.0](https://github.com/kubeflow/kubeflow/tree/v0.1.0-rc.0) (2018-03-27)
**Fixed bugs:**

- tf-cnn fails to create [\#458](https://github.com/kubeflow/kubeflow/issues/458)
- Presubmit failure; cannot import k.libsonnet [\#447](https://github.com/kubeflow/kubeflow/issues/447)
- Presubmit shows succeeded, but some test actually failed. [\#436](https://github.com/kubeflow/kubeflow/issues/436)

**Closed issues:**

- Tf serving component should provide default HTTP image [\#511](https://github.com/kubeflow/kubeflow/issues/511)
- Continuous testing for release branches [\#507](https://github.com/kubeflow/kubeflow/issues/507)
- construct base object: Failed to filter components; the following components don't exist: \[ 'kubeflow-core' \] [\#481](https://github.com/kubeflow/kubeflow/issues/481)
- Document GITHUB\_TOKEN  [\#478](https://github.com/kubeflow/kubeflow/issues/478)
-  ks env set default --namespace=kubeflow doesn't change the namespace [\#477](https://github.com/kubeflow/kubeflow/issues/477)
- Build Jupyter Notebook images for supported versions of TF [\#467](https://github.com/kubeflow/kubeflow/issues/467)
- \[ERROR\] Can not ks apply default -c kubeflow-core with ks 0.9.5 [\#453](https://github.com/kubeflow/kubeflow/issues/453)
- JupyterHub terminates with 500 Internal Server error [\#433](https://github.com/kubeflow/kubeflow/issues/433)
- Proposal: We should have basic tests for every ksonnet prototype [\#432](https://github.com/kubeflow/kubeflow/issues/432)
- Remove tensorboard link from Jupyter notebooks \(hub?\) [\#428](https://github.com/kubeflow/kubeflow/issues/428)
- jovyan user cannot sudo in terminal [\#425](https://github.com/kubeflow/kubeflow/issues/425)
- Cannot not run tensorboard from Jupyter notebooks [\#422](https://github.com/kubeflow/kubeflow/issues/422)
- IPyWidgets not displaying when using a Python 2 kernel [\#419](https://github.com/kubeflow/kubeflow/issues/419)
- normalize libsonnets so their "all\(params\)" is only called from kubeflow/core/all.libsonnet  [\#417](https://github.com/kubeflow/kubeflow/issues/417)
- libcublas.so.9.0: cannot open shared object file: No such file or directory [\#414](https://github.com/kubeflow/kubeflow/issues/414)
- Executing child process 'start-notebook.sh' failed: 'Permission denied' [\#412](https://github.com/kubeflow/kubeflow/issues/412)
- Use local NFS server as PersitentVolume [\#410](https://github.com/kubeflow/kubeflow/issues/410)
- Create a ksonnet component to deploy seldon-core models [\#405](https://github.com/kubeflow/kubeflow/issues/405)
- Replace two envoy containers with one in the envoy pod [\#404](https://github.com/kubeflow/kubeflow/issues/404)
- \[ question \]  when I follow the setup tutorial, I got cannot parse dnsName problem [\#397](https://github.com/kubeflow/kubeflow/issues/397)
- Build Envoy Container with JWT validation [\#394](https://github.com/kubeflow/kubeflow/issues/394)
- \[ support \] github.com set request rate limit [\#391](https://github.com/kubeflow/kubeflow/issues/391)
- cnn tfjob  status never change to completed [\#389](https://github.com/kubeflow/kubeflow/issues/389)
- TFServing prototype for using GCS with service account key [\#385](https://github.com/kubeflow/kubeflow/issues/385)
- Jupyter notebook image should pin TF version [\#375](https://github.com/kubeflow/kubeflow/issues/375)
- ClusterRole's and ClusterRoleBindings should include namespace in the name [\#374](https://github.com/kubeflow/kubeflow/issues/374)
- Ambassador can't watch services at the cluster level. [\#373](https://github.com/kubeflow/kubeflow/issues/373)
- Missing TFServing monitoring features? [\#369](https://github.com/kubeflow/kubeflow/issues/369)
- Set userid and group id in TF Serving GPU container [\#367](https://github.com/kubeflow/kubeflow/issues/367)
- Reviewable is blocking automatic merging [\#356](https://github.com/kubeflow/kubeflow/issues/356)
- Add tensorflow-serving-api to jupyter image [\#355](https://github.com/kubeflow/kubeflow/issues/355)
- Build http proxy for TF serving as part of our release workflow [\#353](https://github.com/kubeflow/kubeflow/issues/353)
- Better docs for http proxy [\#352](https://github.com/kubeflow/kubeflow/issues/352)
- Failed to pull image "gcr.io/kubeflow/tf-benchmarks-gpu:.... [\#348](https://github.com/kubeflow/kubeflow/issues/348)
- autoformat\_jsonnet.sh  unknown predicate -E [\#345](https://github.com/kubeflow/kubeflow/issues/345)
- ambassadors are crashed and cannot be created [\#344](https://github.com/kubeflow/kubeflow/issues/344)
- How to login the Jupyterhub on the remote server? [\#343](https://github.com/kubeflow/kubeflow/issues/343)
- \[ksonnet\] RUNTIME ERROR: Field does not exist: core [\#340](https://github.com/kubeflow/kubeflow/issues/340)
- Build TFServing GPU Docker Image [\#338](https://github.com/kubeflow/kubeflow/issues/338)
- Automatic PR merge [\#331](https://github.com/kubeflow/kubeflow/issues/331)
- Add additional links and information about JupyterHub to README [\#329](https://github.com/kubeflow/kubeflow/issues/329)
- Jupyter pod can't start; jinja exception Encountered unknown tag 'trans'. [\#325](https://github.com/kubeflow/kubeflow/issues/325)
- Avoid code duplication in Dockerfiles for Jupyter notebook images [\#321](https://github.com/kubeflow/kubeflow/issues/321)
- Kubeflow not deployed [\#318](https://github.com/kubeflow/kubeflow/issues/318)
- Investigate notebook container sidecar to enable in-notebook container builds [\#312](https://github.com/kubeflow/kubeflow/issues/312)
- JupyterHub Spawner should have a UI element that specifies default docker images [\#309](https://github.com/kubeflow/kubeflow/issues/309)
- Need an OWNERS file [\#308](https://github.com/kubeflow/kubeflow/issues/308)
- \[Discussion\] Refactor the Registry? [\#306](https://github.com/kubeflow/kubeflow/issues/306)
- option naming inconsistencies [\#303](https://github.com/kubeflow/kubeflow/issues/303)
- Test the TFServing configs with default image [\#301](https://github.com/kubeflow/kubeflow/issues/301)
- Configure JupyterHub spawner to allow root operations by default [\#300](https://github.com/kubeflow/kubeflow/issues/300)
- TFServing docs are incorrect; we no longer assign a public IP by default [\#296](https://github.com/kubeflow/kubeflow/issues/296)
- Add an option to set service type to TFServing deployment [\#295](https://github.com/kubeflow/kubeflow/issues/295)
- Example/Docs for using IAP with TFServing [\#293](https://github.com/kubeflow/kubeflow/issues/293)
- TFServing deployment should support GPUs [\#292](https://github.com/kubeflow/kubeflow/issues/292)
- E2E Test for TFServing with GPUs [\#291](https://github.com/kubeflow/kubeflow/issues/291)
- TFServing component should add an ambassador route [\#290](https://github.com/kubeflow/kubeflow/issues/290)
- How to add persistent volume in jupyter\_spawner.py file ? [\#285](https://github.com/kubeflow/kubeflow/issues/285)
- Prow jobs should use a common docker image [\#276](https://github.com/kubeflow/kubeflow/issues/276)
- TFJob test is failing [\#273](https://github.com/kubeflow/kubeflow/issues/273)
- Presubmit failing: Time out waiting for Workflows [\#272](https://github.com/kubeflow/kubeflow/issues/272)
- Better identity management in K8s [\#266](https://github.com/kubeflow/kubeflow/issues/266)
- JupyterLab not working in latest notebook images [\#262](https://github.com/kubeflow/kubeflow/issues/262)
- JupyterHub spawner: upstream request timeout [\#261](https://github.com/kubeflow/kubeflow/issues/261)
- \[bug\] TFJob dashboard UI not showing up through Ambassador reverse proxy [\#260](https://github.com/kubeflow/kubeflow/issues/260)
- IAP component should use cert-manager to get a signed certificate [\#255](https://github.com/kubeflow/kubeflow/issues/255)
- Run util\_test.jsonnet added in \#246 as part of E2E tests [\#254](https://github.com/kubeflow/kubeflow/issues/254)
- tf.transform libraries in our notebooks [\#244](https://github.com/kubeflow/kubeflow/issues/244)
- user guide - tf-serving: ClusterIP instead of LoadBalancer service [\#233](https://github.com/kubeflow/kubeflow/issues/233)
- Typo in argo-ui rolebinding [\#230](https://github.com/kubeflow/kubeflow/issues/230)
- JupyterHub fails to load image properly, but starts a notebook anyway [\#226](https://github.com/kubeflow/kubeflow/issues/226)
- Move troubleshooting guide into user\_guide [\#223](https://github.com/kubeflow/kubeflow/issues/223)
- Build and publish Docker images using Argo [\#221](https://github.com/kubeflow/kubeflow/issues/221)
- E2E tests need to verify that we can submit a TFJob [\#207](https://github.com/kubeflow/kubeflow/issues/207)
- Use kubeflow/testing to run Argo workflows [\#205](https://github.com/kubeflow/kubeflow/issues/205)
- KubeFlow on AWS - tf-hub-lb not created and cannot change jupyterHubServiceType to loadbalancer [\#203](https://github.com/kubeflow/kubeflow/issues/203)
- ERROR Server is unable to handle tensorflow.org/v1alpha1, Kind=TFJob [\#200](https://github.com/kubeflow/kubeflow/issues/200)
- Increase rate limit for installing kubeflow packages [\#195](https://github.com/kubeflow/kubeflow/issues/195)
- Add GPU Support for k8s-model-server on Kubeflow [\#194](https://github.com/kubeflow/kubeflow/issues/194)
- TFJob controller cannot terminate job [\#193](https://github.com/kubeflow/kubeflow/issues/193)
- Remove tensorflow/k8s as a submodule [\#190](https://github.com/kubeflow/kubeflow/issues/190)
- Delete components/tf-controller [\#189](https://github.com/kubeflow/kubeflow/issues/189)
- Error from server \(Forbidden\): error when creating "deploy\_crd.yaml": clusterroles.rbac.authorization.k8s.io "tf-job-operator" is forbidden [\#188](https://github.com/kubeflow/kubeflow/issues/188)
- tf-job.libsonnet is issuing the wrong CRD job type [\#186](https://github.com/kubeflow/kubeflow/issues/186)
- Test failures [\#176](https://github.com/kubeflow/kubeflow/issues/176)
- Create a repository for examples: kubeflow/examples [\#174](https://github.com/kubeflow/kubeflow/issues/174)
- Create a testing repository [\#173](https://github.com/kubeflow/kubeflow/issues/173)
- Change google/kubeflow links to kubeflow/kubeflow [\#168](https://github.com/kubeflow/kubeflow/issues/168)
- Setup prow for the new org [\#165](https://github.com/kubeflow/kubeflow/issues/165)
- Add TFJob CRD creation to ksonnet components [\#164](https://github.com/kubeflow/kubeflow/issues/164)
- ksonnet component for Seldon.io deployment [\#159](https://github.com/kubeflow/kubeflow/issues/159)
- E2E Solution for GitHub Issue Summarization On Kubeflow [\#157](https://github.com/kubeflow/kubeflow/issues/157)
- CreateSession still waiting for response from worker: /job:ps/replica:0/task:0 [\#153](https://github.com/kubeflow/kubeflow/issues/153)
- Test cluster is unhealthy no ready nodes [\#150](https://github.com/kubeflow/kubeflow/issues/150)
- ClusterRoleBinding.rbac.authorization.k8s.io "tf-job-operator" is invalid [\#148](https://github.com/kubeflow/kubeflow/issues/148)
- worker restart result in the TFJOB can not finish expectedly [\#147](https://github.com/kubeflow/kubeflow/issues/147)
- PVC created but not added to volume list [\#145](https://github.com/kubeflow/kubeflow/issues/145)
- Code of conduct [\#143](https://github.com/kubeflow/kubeflow/issues/143)
- Add ksonnet to our Jupyter notebook Docker images [\#138](https://github.com/kubeflow/kubeflow/issues/138)
- What's up with Tensorflow? [\#135](https://github.com/kubeflow/kubeflow/issues/135)
- Postsubmits appear to be broken [\#133](https://github.com/kubeflow/kubeflow/issues/133)
- Make ArgoUI for our tests publicly accessible [\#131](https://github.com/kubeflow/kubeflow/issues/131)
- tf-cnn template doesn't set TerminationPolicy correctly [\#129](https://github.com/kubeflow/kubeflow/issues/129)
- Copy Jupyter notebook Dockerfiles into Kubeflow repo [\#126](https://github.com/kubeflow/kubeflow/issues/126)
- tf-job-operator service account is missing roles [\#125](https://github.com/kubeflow/kubeflow/issues/125)
- JupyterHub should not open up external IP by default [\#123](https://github.com/kubeflow/kubeflow/issues/123)
- where is the Dockerfile of gcr.io/kubeflow/tensorflow-notebook-cpu? [\#122](https://github.com/kubeflow/kubeflow/issues/122)
- Default service type for ModelServer should not be loadbalancer [\#121](https://github.com/kubeflow/kubeflow/issues/121)
- Add tensorBoard field to tf-job prototype [\#113](https://github.com/kubeflow/kubeflow/issues/113)
- po/tf-job-operator logs said user cannot get endpoints in the namespace "default" [\#109](https://github.com/kubeflow/kubeflow/issues/109)
- Typo in tfjob.jsonnet [\#107](https://github.com/kubeflow/kubeflow/issues/107)
- Problems connecting to Jupyter Kernel with IAP [\#104](https://github.com/kubeflow/kubeflow/issues/104)
- Create only one service for JupyterHub and make type a parameter [\#99](https://github.com/kubeflow/kubeflow/issues/99)
- Delete inception.tar.gz [\#98](https://github.com/kubeflow/kubeflow/issues/98)
- Postsubmits need to use registry components at commit being tested [\#96](https://github.com/kubeflow/kubeflow/issues/96)
- Presubmits need to pull registry from the PR branch [\#95](https://github.com/kubeflow/kubeflow/issues/95)
- link to ksonnet might be confusing [\#91](https://github.com/kubeflow/kubeflow/issues/91)
- release .yaml manifest  [\#90](https://github.com/kubeflow/kubeflow/issues/90)
- Incorporate tf.transform [\#88](https://github.com/kubeflow/kubeflow/issues/88)
- ProwTestCase library [\#83](https://github.com/kubeflow/kubeflow/issues/83)
- Set suitable defaults for JupyterHub service type and make it configurable? [\#80](https://github.com/kubeflow/kubeflow/issues/80)
- if i use kubeflow on local cluster with gpu [\#79](https://github.com/kubeflow/kubeflow/issues/79)
- Failed to connect to my Hub at http://tf-hub-0:8081/hub/api \(attempt 1/5\). Is it running? [\#78](https://github.com/kubeflow/kubeflow/issues/78)
- Support for other Deep Learning Libraries [\#74](https://github.com/kubeflow/kubeflow/issues/74)
- Setup PR Dashboard [\#73](https://github.com/kubeflow/kubeflow/issues/73)
- TfServing uber tracking bug [\#64](https://github.com/kubeflow/kubeflow/issues/64)
- tf-job missing from ksonnet registry yaml [\#62](https://github.com/kubeflow/kubeflow/issues/62)
- Add missing features to TfJob controller ksonnet component [\#61](https://github.com/kubeflow/kubeflow/issues/61)
- Support IAP on GKE [\#60](https://github.com/kubeflow/kubeflow/issues/60)
- Syntax error of juypterhub.yaml for Kubernetes 1.6 [\#58](https://github.com/kubeflow/kubeflow/issues/58)
- Proposal: Include very basic tracking of usage by default  [\#55](https://github.com/kubeflow/kubeflow/issues/55)
- Should Kubeflow publish and maintain TF Serving Docker Images? [\#50](https://github.com/kubeflow/kubeflow/issues/50)
- tf-cnn prototype doesn't add GPU resource requests [\#48](https://github.com/kubeflow/kubeflow/issues/48)
- Remove namespace as a package parameter [\#43](https://github.com/kubeflow/kubeflow/issues/43)
- Clean up repo after switching to ksonnet [\#41](https://github.com/kubeflow/kubeflow/issues/41)
- Doc gen for kubeflow ksonnet registry [\#39](https://github.com/kubeflow/kubeflow/issues/39)
- E2E Testing For Kubeflow. [\#38](https://github.com/kubeflow/kubeflow/issues/38)
- Proposal: Discuss Kubeflow organization and community  [\#35](https://github.com/kubeflow/kubeflow/issues/35)
- Proposal: our expectation on KubeFlow [\#33](https://github.com/kubeflow/kubeflow/issues/33)
- Add LICENSE file: Apache License, Version 2.0 [\#27](https://github.com/kubeflow/kubeflow/issues/27)
- Fault tolerant storage for Jupterhub [\#19](https://github.com/kubeflow/kubeflow/issues/19)
- Tensorboard support [\#17](https://github.com/kubeflow/kubeflow/issues/17)
- python model server [\#15](https://github.com/kubeflow/kubeflow/issues/15)

**Merged pull requests:**

- Http proxy default image [\#517](https://github.com/kubeflow/kubeflow/pull/517) ([lluunn](https://github.com/lluunn))
- Update tensorflow notebook release to v20180327-6bb4058 [\#516](https://github.com/kubeflow/kubeflow/pull/516) ([ankushagarwal](https://github.com/ankushagarwal))
- Use ks version 0.9.2 [\#515](https://github.com/kubeflow/kubeflow/pull/515) ([ankushagarwal](https://github.com/ankushagarwal))
- Update ambassador and statsd to 0.30.1 as part of 0.1 release [\#513](https://github.com/kubeflow/kubeflow/pull/513) ([ankushagarwal](https://github.com/ankushagarwal))
- Pin tf serving version to 1.4 [\#512](https://github.com/kubeflow/kubeflow/pull/512) ([lluunn](https://github.com/lluunn))
- update default image for TF serving [\#510](https://github.com/kubeflow/kubeflow/pull/510) ([lluunn](https://github.com/lluunn))
- Fix TF serving release process [\#509](https://github.com/kubeflow/kubeflow/pull/509) ([lluunn](https://github.com/lluunn))
- Update images for our 0.1 release [\#508](https://github.com/kubeflow/kubeflow/pull/508) ([jlewi](https://github.com/jlewi))
- Update the nodejs and ipywidgets dependencies. [\#498](https://github.com/kubeflow/kubeflow/pull/498) ([ojarjur](https://github.com/ojarjur))
- Fix instructions for tensorflow-notebook release [\#494](https://github.com/kubeflow/kubeflow/pull/494) ([ankushagarwal](https://github.com/ankushagarwal))
- Update release instructions to ease onboarding [\#493](https://github.com/kubeflow/kubeflow/pull/493) ([willb](https://github.com/willb))
- Add google-cloud-storage package to jupyterhub notebook [\#492](https://github.com/kubeflow/kubeflow/pull/492) ([ankushagarwal](https://github.com/ankushagarwal))
- Update buildTemplateImage to take workflow\_name [\#488](https://github.com/kubeflow/kubeflow/pull/488) ([ankushagarwal](https://github.com/ankushagarwal))
- Temporarily disable gpu test since it's flaky [\#487](https://github.com/kubeflow/kubeflow/pull/487) ([lluunn](https://github.com/lluunn))
- Use a 10 minute timeout for jupyterhub backend in envoy config [\#486](https://github.com/kubeflow/kubeflow/pull/486) ([ankushagarwal](https://github.com/ankushagarwal))
- Enhance tf serving gpu test [\#485](https://github.com/kubeflow/kubeflow/pull/485) ([lluunn](https://github.com/lluunn))
- Add Github's rate exceeded error trobuleshooting [\#482](https://github.com/kubeflow/kubeflow/pull/482) ([inc0](https://github.com/inc0))
- Update jsonnet tests so that it tests all files under kubeflow [\#480](https://github.com/kubeflow/kubeflow/pull/480) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix ambassador\_test.jsonnet [\#476](https://github.com/kubeflow/kubeflow/pull/476) ([ankushagarwal](https://github.com/ankushagarwal))
- Tag tensorflow-notebook-images with latest [\#475](https://github.com/kubeflow/kubeflow/pull/475) ([ankushagarwal](https://github.com/ankushagarwal))
- Set a large timeout for jupyterhub spawner [\#474](https://github.com/kubeflow/kubeflow/pull/474) ([ankushagarwal](https://github.com/ankushagarwal))
- Update tensorflow-notebook-image workflow to pin tf and cuda version [\#471](https://github.com/kubeflow/kubeflow/pull/471) ([ankushagarwal](https://github.com/ankushagarwal))
- Update cert-manager component to inherit namespace [\#466](https://github.com/kubeflow/kubeflow/pull/466) ([ankushagarwal](https://github.com/ankushagarwal))
- Update docs so that namespace is only set at ks env level [\#463](https://github.com/kubeflow/kubeflow/pull/463) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix the TFCnn prototype which was broken by \#444. [\#461](https://github.com/kubeflow/kubeflow/pull/461) ([jlewi](https://github.com/jlewi))
- Create a script to deploy minikube on a VM. [\#459](https://github.com/kubeflow/kubeflow/pull/459) ([jlewi](https://github.com/jlewi))
- Move IAP config to initContainer on the envoy pod [\#457](https://github.com/kubeflow/kubeflow/pull/457) ([danisla](https://github.com/danisla))
- Add jsonnet\_path\_dirs flag to test\_jsonnet script [\#456](https://github.com/kubeflow/kubeflow/pull/456) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix for \#432 Provide basic tests for every ksonnet prototype. It will… [\#450](https://github.com/kubeflow/kubeflow/pull/450) ([kkasravi](https://github.com/kkasravi))
- remove the pip install tensorboard [\#446](https://github.com/kubeflow/kubeflow/pull/446) ([kkasravi](https://github.com/kkasravi))
- Add jsonnet unit tests for iap [\#445](https://github.com/kubeflow/kubeflow/pull/445) ([ankushagarwal](https://github.com/ankushagarwal))
- set termination policy to worker 0 by default when no master exists [\#444](https://github.com/kubeflow/kubeflow/pull/444) ([raddaoui](https://github.com/raddaoui))
- Run jsonnet tests as part of kubeflow-e2e workflow [\#443](https://github.com/kubeflow/kubeflow/pull/443) ([ankushagarwal](https://github.com/ankushagarwal))
- E2e test for TF serving with GPU [\#442](https://github.com/kubeflow/kubeflow/pull/442) ([lluunn](https://github.com/lluunn))
- Use cert-manager for obtaining valid certificates [\#441](https://github.com/kubeflow/kubeflow/pull/441) ([danisla](https://github.com/danisla))
- Use kubeflow-ci/test-worker as worker image [\#440](https://github.com/kubeflow/kubeflow/pull/440) ([ankushagarwal](https://github.com/ankushagarwal))
- Update autoformat script to only format files in kubeflow/ directory [\#439](https://github.com/kubeflow/kubeflow/pull/439) ([ankushagarwal](https://github.com/ankushagarwal))
- Run ks upgrade [\#434](https://github.com/kubeflow/kubeflow/pull/434) ([lluunn](https://github.com/lluunn))
- Libsonnet cleanup [\#431](https://github.com/kubeflow/kubeflow/pull/431) ([kkasravi](https://github.com/kkasravi))
- Allow creating ingress with hostname [\#429](https://github.com/kubeflow/kubeflow/pull/429) ([ankushagarwal](https://github.com/ankushagarwal))
- Inherit namespace from ksonnet environment [\#426](https://github.com/kubeflow/kubeflow/pull/426) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix the import name for seldon/serve-simple.libsonnet [\#420](https://github.com/kubeflow/kubeflow/pull/420) ([ankushagarwal](https://github.com/ankushagarwal))
- GCP credential support for TF serving [\#416](https://github.com/kubeflow/kubeflow/pull/416) ([lluunn](https://github.com/lluunn))
- Replace azure env by aks || acs-engine [\#415](https://github.com/kubeflow/kubeflow/pull/415) ([wbuchwalter](https://github.com/wbuchwalter))
- Create a seldon-serve ksonnet prototype [\#413](https://github.com/kubeflow/kubeflow/pull/413) ([ankushagarwal](https://github.com/ankushagarwal))
- Use kubeflow-ci as the test cluster [\#411](https://github.com/kubeflow/kubeflow/pull/411) ([lluunn](https://github.com/lluunn))
- Use kubeflow-images-staging to store envoy image instead of kubeflow-dev [\#409](https://github.com/kubeflow/kubeflow/pull/409) ([ankushagarwal](https://github.com/ankushagarwal))
- Replace ClusterRole/ClusterRoleBinding for ambassador with Role/RoleBinding [\#408](https://github.com/kubeflow/kubeflow/pull/408) ([ankushagarwal](https://github.com/ankushagarwal))
- Replace two envoy containers with a single one [\#407](https://github.com/kubeflow/kubeflow/pull/407) ([ankushagarwal](https://github.com/ankushagarwal))
- JWT validation works with GCP IAP - remove outdated docs [\#406](https://github.com/kubeflow/kubeflow/pull/406) ([ankushagarwal](https://github.com/ankushagarwal))
- Add HTML5 dropdown for image selector with cpu,gpu defaults [\#402](https://github.com/kubeflow/kubeflow/pull/402) ([pdmack](https://github.com/pdmack))
- Use the correct jwt validation config [\#401](https://github.com/kubeflow/kubeflow/pull/401) ([ankushagarwal](https://github.com/ankushagarwal))
- use tini to start model server [\#400](https://github.com/kubeflow/kubeflow/pull/400) ([yupbank](https://github.com/yupbank))
- Fix 2 issues with s3 config from \#387. [\#399](https://github.com/kubeflow/kubeflow/pull/399) ([jlewi](https://github.com/jlewi))
- Fix k8s dashboard on Azure [\#396](https://github.com/kubeflow/kubeflow/pull/396) ([wbuchwalter](https://github.com/wbuchwalter))
- Troubleshooting section updates [\#393](https://github.com/kubeflow/kubeflow/pull/393) ([pdmack](https://github.com/pdmack))
- Add info about authenticate user account [\#392](https://github.com/kubeflow/kubeflow/pull/392) ([lluunn](https://github.com/lluunn))
- Update tfserving gpu image to create model-server user [\#390](https://github.com/kubeflow/kubeflow/pull/390) ([ankushagarwal](https://github.com/ankushagarwal))
- fix id in OWNER file [\#388](https://github.com/kubeflow/kubeflow/pull/388) ([lluunn](https://github.com/lluunn))
- Refactor the TFServing component to better support GPUs and specific clouds [\#387](https://github.com/kubeflow/kubeflow/pull/387) ([jlewi](https://github.com/jlewi))
- Build http proxy image in release workflow [\#386](https://github.com/kubeflow/kubeflow/pull/386) ([lluunn](https://github.com/lluunn))
- Add pkg install step for argo README [\#384](https://github.com/kubeflow/kubeflow/pull/384) ([pdmack](https://github.com/pdmack))
- Add build-image option to TF serving workflow [\#383](https://github.com/kubeflow/kubeflow/pull/383) ([lluunn](https://github.com/lluunn))
- Fix tfjob dashboard  ambassador route [\#381](https://github.com/kubeflow/kubeflow/pull/381) ([wbuchwalter](https://github.com/wbuchwalter))
- change kubeflow.io to kubeflow.org [\#379](https://github.com/kubeflow/kubeflow/pull/379) ([Jimexist](https://github.com/Jimexist))
- add commands of how to delete a training job [\#378](https://github.com/kubeflow/kubeflow/pull/378) ([ChanYiLin](https://github.com/ChanYiLin))
- Consolidate down to a single Dockerfile [\#366](https://github.com/kubeflow/kubeflow/pull/366) ([ojarjur](https://github.com/ojarjur))
- update http proxy readme [\#363](https://github.com/kubeflow/kubeflow/pull/363) ([yupbank](https://github.com/yupbank))
- Create a GPU model deployment to use for E2E testing of serving with GPUs [\#362](https://github.com/kubeflow/kubeflow/pull/362) ([jlewi](https://github.com/jlewi))
- Example showing how to do TF serving when IAP is enabled. [\#361](https://github.com/kubeflow/kubeflow/pull/361) ([lluunn](https://github.com/lluunn))
- Allow seperate naming of model name vs deployment name for TF Serving. [\#359](https://github.com/kubeflow/kubeflow/pull/359) ([elsonrodriguez](https://github.com/elsonrodriguez))
-  Add tensorflow-serving-api to jupyter image  [\#358](https://github.com/kubeflow/kubeflow/pull/358) ([inc0](https://github.com/inc0))
- Remove -E from find command as it is not supported by GNU find [\#357](https://github.com/kubeflow/kubeflow/pull/357) ([ankushagarwal](https://github.com/ankushagarwal))
- Refactor the workflow for TF Serving [\#347](https://github.com/kubeflow/kubeflow/pull/347) ([jlewi](https://github.com/jlewi))
- Add classify support for http-proxy [\#341](https://github.com/kubeflow/kubeflow/pull/341) ([yupbank](https://github.com/yupbank))
- Build the TF Serving GPU image as part of a release workflow. [\#339](https://github.com/kubeflow/kubeflow/pull/339) ([jlewi](https://github.com/jlewi))
- Improve the Python 2 kernels for both CPU and GPU instances. [\#335](https://github.com/kubeflow/kubeflow/pull/335) ([ojarjur](https://github.com/ojarjur))
- Add signature support to http proxy [\#334](https://github.com/kubeflow/kubeflow/pull/334) ([lluunn](https://github.com/lluunn))
- Clarify JupyterHub and Jupyter description in component readme [\#333](https://github.com/kubeflow/kubeflow/pull/333) ([willingc](https://github.com/willingc))
- Edit user guide links and wording for Jupyter and JupyterHub [\#332](https://github.com/kubeflow/kubeflow/pull/332) ([willingc](https://github.com/willingc))
- Refine the text and links related to JupyterHub and Jupyter [\#330](https://github.com/kubeflow/kubeflow/pull/330) ([willingc](https://github.com/willingc))
- Fix jupyterlab by upgrading Jupyterlab [\#328](https://github.com/kubeflow/kubeflow/pull/328) ([jlewi](https://github.com/jlewi))
- Adding S3 support to model serving. [\#323](https://github.com/kubeflow/kubeflow/pull/323) ([elsonrodriguez](https://github.com/elsonrodriguez))
- Optimize start.sh [\#320](https://github.com/kubeflow/kubeflow/pull/320) ([inc0](https://github.com/inc0))
- Create an Argo workflow to build the Jupyter images. [\#317](https://github.com/kubeflow/kubeflow/pull/317) ([jlewi](https://github.com/jlewi))
- Create an initial owners file. [\#316](https://github.com/kubeflow/kubeflow/pull/316) ([jlewi](https://github.com/jlewi))
- Update the Dockerfiles for tensorflow notebook images [\#315](https://github.com/kubeflow/kubeflow/pull/315) ([ankushagarwal](https://github.com/ankushagarwal))
- Add support for Python 2 kernels to the tensorflow notebook images. [\#314](https://github.com/kubeflow/kubeflow/pull/314) ([ojarjur](https://github.com/ojarjur))
- Fix \#285 and make few tweaks to notebook Dockerfile [\#311](https://github.com/kubeflow/kubeflow/pull/311) ([inc0](https://github.com/inc0))
- Add ambassador annotation to tf-serving http proxy [\#307](https://github.com/kubeflow/kubeflow/pull/307) ([lluunn](https://github.com/lluunn))
- Add seldon to user guide docs as example serving component [\#304](https://github.com/kubeflow/kubeflow/pull/304) ([cliveseldon](https://github.com/cliveseldon))
- add option service\_type to set TFServing service type [\#302](https://github.com/kubeflow/kubeflow/pull/302) ([fxue](https://github.com/fxue))
- Update the image used for the TFJob controller. [\#299](https://github.com/kubeflow/kubeflow/pull/299) ([jlewi](https://github.com/jlewi))
- Start instructions for creating a release [\#298](https://github.com/kubeflow/kubeflow/pull/298) ([jlewi](https://github.com/jlewi))
- Remove unused file build/check\_errorf.sh [\#287](https://github.com/kubeflow/kubeflow/pull/287) ([ankushagarwal](https://github.com/ankushagarwal))
- Update jsonnet autoformat script [\#286](https://github.com/kubeflow/kubeflow/pull/286) ([ankushagarwal](https://github.com/ankushagarwal))
- Refactor the ksonnet configs [\#284](https://github.com/kubeflow/kubeflow/pull/284) ([jlewi](https://github.com/jlewi))
- Add names to tfserving service ports [\#283](https://github.com/kubeflow/kubeflow/pull/283) ([ankushagarwal](https://github.com/ankushagarwal))
- Integrate tf serving image building with prow [\#281](https://github.com/kubeflow/kubeflow/pull/281) ([lluunn](https://github.com/lluunn))
- Fix tf-serving command and args [\#280](https://github.com/kubeflow/kubeflow/pull/280) ([ankushagarwal](https://github.com/ankushagarwal))
- Drop imagePullPolicy override [\#279](https://github.com/kubeflow/kubeflow/pull/279) ([kflynn](https://github.com/kflynn))
- update image to use prow\_config if exists [\#275](https://github.com/kubeflow/kubeflow/pull/275) ([lluunn](https://github.com/lluunn))
- Fix TfJob test [\#274](https://github.com/kubeflow/kubeflow/pull/274) ([jlewi](https://github.com/jlewi))
- add prow\_config.yaml [\#271](https://github.com/kubeflow/kubeflow/pull/271) ([lluunn](https://github.com/lluunn))
- Add mount of pvc [\#270](https://github.com/kubeflow/kubeflow/pull/270) ([inc0](https://github.com/inc0))
- Bump Ambassador version to latest \(0.26.0\) [\#269](https://github.com/kubeflow/kubeflow/pull/269) ([pdmack](https://github.com/pdmack))
- Add seldon ksonnet integration [\#268](https://github.com/kubeflow/kubeflow/pull/268) ([cliveseldon](https://github.com/cliveseldon))
- Fix typo in user\_guide.md [\#259](https://github.com/kubeflow/kubeflow/pull/259) ([ankushagarwal](https://github.com/ankushagarwal))
- Redirect / to /hub for the envoy pods [\#257](https://github.com/kubeflow/kubeflow/pull/257) ([ankushagarwal](https://github.com/ankushagarwal))
- Add GPU scheduling instructions to user\_guide.md [\#256](https://github.com/kubeflow/kubeflow/pull/256) ([ankushagarwal](https://github.com/ankushagarwal))
- Update enable\_iap.sh so that it updates the healthcheck path [\#252](https://github.com/kubeflow/kubeflow/pull/252) ([ankushagarwal](https://github.com/ankushagarwal))
- Remove vim's .swp files from git [\#249](https://github.com/kubeflow/kubeflow/pull/249) ([inc0](https://github.com/inc0))
- Fix link to prow jobs dashboard [\#248](https://github.com/kubeflow/kubeflow/pull/248) ([jonas](https://github.com/jonas))
- Fix short description typo in tf-job.jsonnet [\#247](https://github.com/kubeflow/kubeflow/pull/247) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix jsonnet issue in iap-envoy.jsonnet [\#246](https://github.com/kubeflow/kubeflow/pull/246) ([ankushagarwal](https://github.com/ankushagarwal))
- Fix typos in iap.md [\#245](https://github.com/kubeflow/kubeflow/pull/245) ([ankushagarwal](https://github.com/ankushagarwal))
- Move spawner to separate file [\#243](https://github.com/kubeflow/kubeflow/pull/243) ([inc0](https://github.com/inc0))
- Fix the docker file so we do not need wrap cmd every time [\#242](https://github.com/kubeflow/kubeflow/pull/242) ([yupbank](https://github.com/yupbank))
- Troubleshooting: Gotcha for Docker for Mac kube [\#238](https://github.com/kubeflow/kubeflow/pull/238) ([pdmack](https://github.com/pdmack))
- install Ksonnet 0.8.0 in both CPU and GPU dockerfile. [\#237](https://github.com/kubeflow/kubeflow/pull/237) ([fxue](https://github.com/fxue))
- \*: Replace tensorflow/k8s with kubeflow/tf-operator [\#235](https://github.com/kubeflow/kubeflow/pull/235) ([gaocegege](https://github.com/gaocegege))
- Fix userguide issue223 [\#234](https://github.com/kubeflow/kubeflow/pull/234) ([fxue](https://github.com/fxue))
- Fix bug with using LoadBalancer for JupyterHub. [\#232](https://github.com/kubeflow/kubeflow/pull/232) ([jlewi](https://github.com/jlewi))
- fix typo for argo-ui role binding [\#231](https://github.com/kubeflow/kubeflow/pull/231) ([cliveseldon](https://github.com/cliveseldon))
- Add ksonnet template for http proxy [\#228](https://github.com/kubeflow/kubeflow/pull/228) ([yupbank](https://github.com/yupbank))
- Run TFJob tests as part of Kubeflow tests [\#227](https://github.com/kubeflow/kubeflow/pull/227) ([jlewi](https://github.com/jlewi))
- Made TFJob CRD requirement explicit [\#225](https://github.com/kubeflow/kubeflow/pull/225) ([nkashy1](https://github.com/nkashy1))
- Update README.md to mention OpenShift SCC [\#224](https://github.com/kubeflow/kubeflow/pull/224) ([pdmack](https://github.com/pdmack))
- Adds pushing images to dockerhub as well [\#222](https://github.com/kubeflow/kubeflow/pull/222) ([s1113950](https://github.com/s1113950))
- update the docker file for http proxy [\#220](https://github.com/kubeflow/kubeflow/pull/220) ([yupbank](https://github.com/yupbank))
- Code of conduct reference [\#219](https://github.com/kubeflow/kubeflow/pull/219) ([ewilderj](https://github.com/ewilderj))
- Delete components/tf-controller [\#216](https://github.com/kubeflow/kubeflow/pull/216) ([zmhassan](https://github.com/zmhassan))
- update workflow for building TF serving image [\#214](https://github.com/kubeflow/kubeflow/pull/214) ([lluunn](https://github.com/lluunn))
- Fixing readme typo [\#212](https://github.com/kubeflow/kubeflow/pull/212) ([zmhassan](https://github.com/zmhassan))
- feat\(model-server\): add Dockerfile of model-server with gpu support [\#210](https://github.com/kubeflow/kubeflow/pull/210) ([DjangoPeng](https://github.com/DjangoPeng))
- Update tests to use shared code in kubeflow/testing [\#209](https://github.com/kubeflow/kubeflow/pull/209) ([jlewi](https://github.com/jlewi))
- Changing tensorflow.org to kubeflow.org. Fixing CRD deployment. [\#208](https://github.com/kubeflow/kubeflow/pull/208) ([elsonrodriguez](https://github.com/elsonrodriguez))
- add correct boilerplates [\#204](https://github.com/kubeflow/kubeflow/pull/204) ([mitake](https://github.com/mitake))
- Workflow for building and pushing the TF serving image. [\#196](https://github.com/kubeflow/kubeflow/pull/196) ([lluunn](https://github.com/lluunn))
- fixed typo TfJob -\> TFJob [\#185](https://github.com/kubeflow/kubeflow/pull/185) ([sfabel](https://github.com/sfabel))
- add http proxy for tf-serving [\#183](https://github.com/kubeflow/kubeflow/pull/183) ([yupbank](https://github.com/yupbank))
- Add tensorflow-notebook-image dockerfiles [\#182](https://github.com/kubeflow/kubeflow/pull/182) ([dogopupper](https://github.com/dogopupper))
- Model Server Component documentation triage. [\#181](https://github.com/kubeflow/kubeflow/pull/181) ([elsonrodriguez](https://github.com/elsonrodriguez))
- Argo ksonnet package [\#178](https://github.com/kubeflow/kubeflow/pull/178) ([jlewi](https://github.com/jlewi))
- Use spartakus to report usage metrics [\#175](https://github.com/kubeflow/kubeflow/pull/175) ([jlewi](https://github.com/jlewi))
- README: Fix link [\#172](https://github.com/kubeflow/kubeflow/pull/172) ([gaocegege](https://github.com/gaocegege))
- Missing namespace scope for commands in userguide [\#171](https://github.com/kubeflow/kubeflow/pull/171) ([barney-s](https://github.com/barney-s))
- \*: Add CRD creation for TFJob [\#170](https://github.com/kubeflow/kubeflow/pull/170) ([gaocegege](https://github.com/gaocegege))
- \*: Update link to kubeflow/kubeflow [\#169](https://github.com/kubeflow/kubeflow/pull/169) ([gaocegege](https://github.com/gaocegege))
- Use ambassador as a reverse proxy [\#166](https://github.com/kubeflow/kubeflow/pull/166) ([jlewi](https://github.com/jlewi))
- Fix model path. [\#162](https://github.com/kubeflow/kubeflow/pull/162) ([jlewi](https://github.com/jlewi))
- add namespace setup to top-level readme quick-start section [\#161](https://github.com/kubeflow/kubeflow/pull/161) ([cliveseldon](https://github.com/cliveseldon))
- Updating the verbiage in the README to clarify project motivation. [\#160](https://github.com/kubeflow/kubeflow/pull/160) ([dynamicwebpaige](https://github.com/dynamicwebpaige))
- fix prow\_artifacts.py [\#158](https://github.com/kubeflow/kubeflow/pull/158) ([lluunn](https://github.com/lluunn))
- Fix the instruction for setting up cluster to run test [\#152](https://github.com/kubeflow/kubeflow/pull/152) ([lluunn](https://github.com/lluunn))
- Run jsonnet's autoformat tool to autoformat all our jsonnet files. [\#149](https://github.com/kubeflow/kubeflow/pull/149) ([jlewi](https://github.com/jlewi))
- fix guide typo [\#144](https://github.com/kubeflow/kubeflow/pull/144) ([lluunn](https://github.com/lluunn))
- Update README.md [\#142](https://github.com/kubeflow/kubeflow/pull/142) ([genome21](https://github.com/genome21))
- Changing Jupyter service to ClusterIP by default. [\#139](https://github.com/kubeflow/kubeflow/pull/139) ([elsonrodriguez](https://github.com/elsonrodriguez))
- Fix datascientists typo [\#137](https://github.com/kubeflow/kubeflow/pull/137) ([pmangg](https://github.com/pmangg))
- Make Argo UI available publicly at testing-argo.kubeflow.ui [\#132](https://github.com/kubeflow/kubeflow/pull/132) ([jlewi](https://github.com/jlewi))
- Fix TfJob operator roles and TfCNN prototype [\#130](https://github.com/kubeflow/kubeflow/pull/130) ([jlewi](https://github.com/jlewi))
- Support IAP on GKE using Envoy as a reverse proxy [\#128](https://github.com/kubeflow/kubeflow/pull/128) ([jlewi](https://github.com/jlewi))
- Fix bugs with TfJob operator prototype [\#127](https://github.com/kubeflow/kubeflow/pull/127) ([jlewi](https://github.com/jlewi))
- Add missing namespace to command invocation [\#124](https://github.com/kubeflow/kubeflow/pull/124) ([mindprince](https://github.com/mindprince))
- Document flow improvements, expanded on Jupyter usage [\#120](https://github.com/kubeflow/kubeflow/pull/120) ([elsonrodriguez](https://github.com/elsonrodriguez))
- change kjsonnet in tf-cnn to remove not used MASTER [\#119](https://github.com/kubeflow/kubeflow/pull/119) ([yupbank](https://github.com/yupbank))
- update tf-cnn example use terminationPolicy to address not using master replica [\#115](https://github.com/kubeflow/kubeflow/pull/115) ([yupbank](https://github.com/yupbank))
- Fixing errors and missing variables in user guide. [\#114](https://github.com/kubeflow/kubeflow/pull/114) ([elsonrodriguez](https://github.com/elsonrodriguez))
- Fix typo [\#112](https://github.com/kubeflow/kubeflow/pull/112) ([amitkumarj441](https://github.com/amitkumarj441))
- replace the model from tensorflow/models [\#111](https://github.com/kubeflow/kubeflow/pull/111) ([yupbank](https://github.com/yupbank))
- fix \#107; args improperly set to the namespace [\#108](https://github.com/kubeflow/kubeflow/pull/108) ([cwbeitel](https://github.com/cwbeitel))
- Fix a typo in README [\#103](https://github.com/kubeflow/kubeflow/pull/103) ([darthsuogles](https://github.com/darthsuogles))
- Update README.md [\#97](https://github.com/kubeflow/kubeflow/pull/97) ([puneith](https://github.com/puneith))
- Updated Quick Start section on README [\#94](https://github.com/kubeflow/kubeflow/pull/94) ([nkashy1](https://github.com/nkashy1))
- Make TfJob CRD prototype functionally equivalent to the helm chart [\#93](https://github.com/kubeflow/kubeflow/pull/93) ([jlewi](https://github.com/jlewi))
- Client script for inception model server [\#92](https://github.com/kubeflow/kubeflow/pull/92) ([nkashy1](https://github.com/nkashy1))
- Add a section about who should consider using/contributing to Kubeflow. [\#86](https://github.com/kubeflow/kubeflow/pull/86) ([jlewi](https://github.com/jlewi))
- Makefile override [\#84](https://github.com/kubeflow/kubeflow/pull/84) ([nkashy1](https://github.com/nkashy1))
- Some improvements to docs. [\#82](https://github.com/kubeflow/kubeflow/pull/82) ([jlewi](https://github.com/jlewi))
- Prow should launch and manage an argo workflow for e2e tests [\#81](https://github.com/kubeflow/kubeflow/pull/81) ([jlewi](https://github.com/jlewi))
- Fix a typo in the README [\#77](https://github.com/kubeflow/kubeflow/pull/77) ([jlewi](https://github.com/jlewi))
- fix\(doc\): correct cli instruction [\#75](https://github.com/kubeflow/kubeflow/pull/75) ([yue9944882](https://github.com/yue9944882))
- Argo workflow to run E2E tests [\#72](https://github.com/kubeflow/kubeflow/pull/72) ([jlewi](https://github.com/jlewi))
- A python script to test deploying Kubeflow [\#71](https://github.com/kubeflow/kubeflow/pull/71) ([jlewi](https://github.com/jlewi))
- Fix mailing list URL typo [\#69](https://github.com/kubeflow/kubeflow/pull/69) ([ScorpioCPH](https://github.com/ScorpioCPH))
- Add tf-job to registry.yaml. [\#66](https://github.com/kubeflow/kubeflow/pull/66) ([jlewi](https://github.com/jlewi))
- Typo in readme [\#63](https://github.com/kubeflow/kubeflow/pull/63) ([wydwww](https://github.com/wydwww))
- Update readme [\#59](https://github.com/kubeflow/kubeflow/pull/59) ([jlewi](https://github.com/jlewi))
- Update Jupyter docs to reflect the move to ksonnet [\#53](https://github.com/kubeflow/kubeflow/pull/53) ([jlewi](https://github.com/jlewi))
- Fix specifying of GPU resources. [\#49](https://github.com/kubeflow/kubeflow/pull/49) ([jlewi](https://github.com/jlewi))
- Add proposal link [\#47](https://github.com/kubeflow/kubeflow/pull/47) ([ddysher](https://github.com/ddysher))
- Clean up the k8s-model-server component [\#46](https://github.com/kubeflow/kubeflow/pull/46) ([jlewi](https://github.com/jlewi))
- Update instructions and README [\#45](https://github.com/kubeflow/kubeflow/pull/45) ([jlewi](https://github.com/jlewi))
- Add a note about TF serving Deployment not working with Minikube's kvm driver [\#40](https://github.com/kubeflow/kubeflow/pull/40) ([dimpavloff](https://github.com/dimpavloff))
- Use ksonnet to configure/deploy Kubeflow [\#36](https://github.com/kubeflow/kubeflow/pull/36) ([jlewi](https://github.com/jlewi))
- Update README.md [\#30](https://github.com/kubeflow/kubeflow/pull/30) ([aronchick](https://github.com/aronchick))
- Adding licence boilerplate verification [\#29](https://github.com/kubeflow/kubeflow/pull/29) ([vishh](https://github.com/vishh))
- Update Contributing.md, and add license headers [\#28](https://github.com/kubeflow/kubeflow/pull/28) ([foxish](https://github.com/foxish))
- Update README.md [\#26](https://github.com/kubeflow/kubeflow/pull/26) ([aronchick](https://github.com/aronchick))
- Add license and contributing.md [\#25](https://github.com/kubeflow/kubeflow/pull/25) ([foxish](https://github.com/foxish))
- Include Tensorboard and Docker Images [\#18](https://github.com/kubeflow/kubeflow/pull/18) ([foxish](https://github.com/foxish))
- Final readme fixes [\#16](https://github.com/kubeflow/kubeflow/pull/16) ([foxish](https://github.com/foxish))
- Cleanup JupyterHub Dockerfile [\#14](https://github.com/kubeflow/kubeflow/pull/14) ([yuvipanda](https://github.com/yuvipanda))
- Delete section on Tensorflow Training Operator which just has a TODO. [\#10](https://github.com/kubeflow/kubeflow/pull/10) ([jlewi](https://github.com/jlewi))
- Update the README w.r.t to distributed training. [\#9](https://github.com/kubeflow/kubeflow/pull/9) ([jlewi](https://github.com/jlewi))
- Resolve TODO for RBAC on GKE 1.8+ [\#8](https://github.com/kubeflow/kubeflow/pull/8) ([foxish](https://github.com/foxish))
- re-organize manifests and examples [\#7](https://github.com/kubeflow/kubeflow/pull/7) ([vishh](https://github.com/vishh))
- fix jupyterhub config for image selection and defaulting [\#6](https://github.com/kubeflow/kubeflow/pull/6) ([foxish](https://github.com/foxish))
- Move TF Job CRD to a more appropriately named directory [\#5](https://github.com/kubeflow/kubeflow/pull/5) ([vishh](https://github.com/vishh))
- Moving TF Serving from gke-accelerators repo to kubeflow [\#4](https://github.com/kubeflow/kubeflow/pull/4) ([vishh](https://github.com/vishh))
- Update README.md [\#3](https://github.com/kubeflow/kubeflow/pull/3) ([amygdala](https://github.com/amygdala))
- Create specs for running distributed training with/without GPUs. [\#2](https://github.com/kubeflow/kubeflow/pull/2) ([jlewi](https://github.com/jlewi))
- Updates to the Readme that include mission [\#1](https://github.com/kubeflow/kubeflow/pull/1) ([aronchick](https://github.com/aronchick))



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*